=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright © 2011 Fredo6 - Designed and written Jul 2011 by Fredo6
#
# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   FredoTools__ConstructFaceNormal.rb
# Original Date	:   15 Jul 2011 (based on work published in May 2011)
# Description	:   Create a construction line along the noormal and barycenter of each face selected
# IMPORTANT		:	DO NOT TRANSLATE STRINGS in the source code
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

module F6_FredoTools

#==================================================
#--------------------------------------------------
# Plugin Registration and startup
#--------------------------------------------------
#==================================================

module ConstructFaceNormal

F6_FredoTools.register_plug self, __FILE__

T7[:PlugName] = "Construct Face Normals"
T7[:PlugDesc] = "Create a small construction line at centroid and oriented along the normal of each selected face"

F6_FredoTools.register_info self, 	
	{	
		:version => "1.3a",
		:date => "20 Jul 11",	
		:link_info => "http://forums.sketchucation.com/viewtopic.php?f=323&t=37501#p330985"
	}
 
#Declare the main menu
def self.declare_commands
	F6_FredoTools.declare_command self
	F6_FredoTools::MYPLUGIN.register_obsolete_files "ConstructFaceNormal.rb"
	Traductor::AllPlugins.declare_obsolete_plugin "ConstructFaceNormal", T6[:MSG_NowPartFredoTools]
end

#Condition for contextual menu as ["menu", test, proc]
def self.contextual_menu_info
	[proc { contextual_on_selection? }]
end

#Check if entity is an edge, face, component or group
def self.contextual_on_selection?
	Sketchup.active_model.selection.find { |e| e.instance_of?(Sketchup::Face) }
end

end	#End Module ConstructFaceNormal

end	#End Module F6_FredoTools
