=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright © 2011 Fredo6 - Designed and written Aug 2011 by Fredo6
#
# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   FredoTools__CountFacesBySides.rb
# Original Date	:   23 Aug 2011 (based on work published in Sept. 2010)
# Description	:   Count faces by number of sides - Calculate Area
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

module F6_FredoTools

#==================================================
#--------------------------------------------------
# Plugin Registration and startup
#--------------------------------------------------
#==================================================

module CountFacesBySides

F6_FredoTools.register_plug self, __FILE__

T7[:PlugName] = "Count Faces by Sides"
T7[:PlugDesc] = "Count the number of faces for each category - Also calculate their area"

F6_FredoTools.register_info self, 	
	{	
		:version => "1.5a",
		:date => "19 dec 11",	
		:link_info => "http://forums.sketchucation.com/viewtopic.php?f=323&t=30976#p272262"
	}
 
#Declare the main menu
def self.declare_commands
	F6_FredoTools.declare_command self
	F6_FredoTools::MYPLUGIN.register_obsolete_files "CountFaceBySides.rb"
	Traductor::AllPlugins.declare_obsolete_plugin "CountFaceBySides", T6[:MSG_NowPartFredoTools]
end

#Declaration of contextual menu
def self.contextual_menu_info
	[proc { contextual_on_selection? }]
end

#Check if the selection is valid for contextual menu
def self.contextual_on_selection?
	Sketchup.active_model.selection.each do |e|
		return true if e.instance_of?(Sketchup::Face) || e.instance_of?(Sketchup::Group) || 
		               e.instance_of?(Sketchup::ComponentInstance)
	end
	false	
end
	
end	#End Module CountFacesBySides

end	#End Module F6_FredoTools
