=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright © 2011 Fredo6 - Designed and written Aug 2011 by Fredo6
#
# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   FredoTools__CurviShear.rb
# Original Date	:   23 Aug 2011 (based on work published in June 2010)
# Description	:   Shear curve(s) along their path (curvilenear shear) - Useful for ramps
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

module F6_FredoTools

#==================================================
#--------------------------------------------------
# Plugin Registration and startup
#--------------------------------------------------
#==================================================

module CurviShear

F6_FredoTools.register_plug self, __FILE__

T7[:PlugName] = "CurviShear"
T7[:PlugDesc] = "Shear curves along their path - useful for ramps"

F6_FredoTools.register_info self, 	
	{	
		:version => "1.5a",
		:date => "25 Aug 11",	
		:link_info => "http://forums.sketchucation.com/viewtopic.php?t=29230#p254673"
	}
 
#Declare the main menu
def self.declare_commands
	F6_FredoTools.declare_command self
	F6_FredoTools::MYPLUGIN.register_obsolete_files "CurviShear.rb"
	Traductor::AllPlugins.declare_obsolete_plugin "CurviShear", T6[:MSG_NowPartFredoTools]
end

#Condition for contextual menu as ["menu", test, proc]
def self.contextual_menu_info
	[proc { contextual_on_selection? }]
end

#Check if entity is an edge, face, component or group
def self.contextual_on_selection?
	Sketchup.active_model.selection.find { |e| e.instance_of?(Sketchup::Edge) && e.curve }
end

end	#End Module CurviShear

end	#End Module F6_FredoTools
