=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright © 2014 Fredo6 - Designed and written Mar 2014 by Fredo6
#
# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   FredoTools__MoveAlong.rb
# Original Date	:   11 Mar 2014 
# Description	:   Analog to SU Move tool, but can force the direction along a defined plane
# IMPORTANT		:	DO NOT TRANSLATE STRINGS in the source code
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

module F6_FredoTools

#====================================================================================================
#----------------------------------------------------------------------------------------------------
# Plugin Registration and startup
#----------------------------------------------------------------------------------------------------
#====================================================================================================

module MoveAlong

F6_FredoTools.register_plug self, __FILE__

T7[:PlugName] = "Move Along"
T7[:PlugDesc] = "Enhance the SU Move tool with capability to force direction along a plane or vector"

F6_FredoTools.register_info self, 	
	{	
		:version => "1.2b",
		:date => "07 Jul 14",	
		:credits => ["MoveAlong: Daniel S. for cursors",
		             "MoveAlong: Derei for an inspiring model"],
		:videos => ["MoveAlong: Overview ; http://www.youtube.com/watch?v=JyhYJqhycOY",
					"MoveAlong: Features in v1.1 ; http://www.youtube.com/watch?v=ETRplXHUqn4"],
		:link_info => "http://sketchucation.com/forums/viewtopic.php?f=323&t=57337#p521160"
	}
 
#Declare the main menu
def self.declare_commands
	F6_FredoTools.declare_command self
end

#Condition for contextual menu as ["menu", test, proc]
def self.contextual_menu_info
	[proc { contextual_on_selection? } ]
end

#Check if selection contains a vertex
def self.contextual_on_selection?
	Sketchup.active_model.selection.length > 0 
end

#Default Parameters
def self.default_param

end
					   
end	#End Module MoveAlong

end	#End Module F6_FredoTools
