=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright © 2011 Fredo6 - Designed and written Oct 2011 by Fredo6
#
# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   body_FredoTools__ThruPaint.rb
# Original Date	:   20 Oct 2011
# Description	:   Extend the SU Paint tools by painting faces within components and groups
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

module F6_FredoTools

#====================================================================================================
#----------------------------------------------------------------------------------------------------
# Plugin Implementation
#----------------------------------------------------------------------------------------------------
#====================================================================================================

module ThruPaint

#Texts for the module
T7[:TXT_TextureEdition] = "Texture Edition"

T7[:TIP_PainterFace] = "Toggle Paint Faces mode"
T7[:TIP_PainterEdge] = "Toggle Paint Edges mode"
T7[:MNU_Sample] = "Sample material under mouse (Enter)"
T7[:MNU_EditTexture] = "Edit / Transform texture mapping (any Arrow)"
T7[:MNU_VisualStart] = "Enter Visual Edition mode (Click or Enter)"
T7[:MNU_VisualStop] = "Exit Visual Edition mode"
T7[:MNU_ForcedPaint] = "Force Painting (Ctrl alone)"
T7[:MNU_RefreshTexture] = "Refresh texture mapping"
T7[:MNU_MirrorTextureU] = "Mirror texture along U (VCB: /u)"
T7[:MNU_MirrorTextureV] = "Mirror texture along V (VCB: /v)"
T7[:MNU_MirrorTexture] = "Mirror texture about picked point (VCB: /)"
T7[:MNU_RotatePlus90] = "Rotate +90 degrees (VCB: +)"
T7[:MNU_RotateMinus90] = "Rotate -90 degrees (VCB: -)"
T7[:MNU_Rotate180] = "Rotate 180 degrees (VCB: ++ or --)"
T7[:MNU_TilingUV1x1] = "Tiling 1 x 1 (VCB: 1*)"
T7[:MNU_TilingUV] = "Tiling with factors nu x nv (VCB: *)"
T7[:MNU_TilingUVParam] = "Set/Change Tiling factors nu, nv (VCB **)"
T7[:MNU_TilingUVParamU] = "Tiling factor in U"
T7[:MNU_TilingUVParamV] = "Tiling factor in V"
T7[:MNU_TilingUVAsk] = "Tiling factors"
T7[:MNU_ResetTexture] = "Reset Texture Transformation (VCB: 0)"
T7[:MNU_ResetTextureScaling] = "Reset Texture Scaling (VCB: 0x)"
T7[:MNU_ResetTextureRotation] = "Reset Texture Rotation (VCB: 0d)"
T7[:MNU_ToggleShowGuide] = "Toggle Mesh visibility (F7)"
T7[:MNU_HelpVCB] = "Help on VCB commands and Short cuts (F10)"

T7[:TIP_SetToDefault] = "Click to set to Default value"
T7[:TIP_FaceSideVisible] = "Visible face"		
T7[:TIP_FaceSideRecto] = "Front face"		
T7[:TIP_FaceSideVerso] = "Back face"		
T7[:TIP_FaceSideRectoVerso] = "Front and Back face"	
T7[:TIP_FaceSideFlip] = "Flip orientation of face according to adjacent painted face"	
	
T7[:TIP_Unpaint] = "Unpaint - Set current material to Default (BackSpace)"
T7[:TIP_MarkDiagonal] = "Mark edges as Diagonal (useful for QuadMesh mode)"
T7[:TIP_UVMode_Natural] = "Natural UV: Texture in continuity with no deformation"
T7[:TIP_UVMode_Mesh] = "QuadMesh UV: Texture follows the Mesh with possible deformation"
T7[:TIP_UVMode_Projected] = "Projected UV: Texture projected on the specified plane"
T7[:TIP_UVMode_Transfer] = "Transfer UV:  Texture is substituted without changing the existing UV mapping"

T7[:TIP_ActionUV] = "Actions related to Materials"
T7[:TIP_ActionUV_Sample] = "Sample material from faces of the model"
T7[:TIP_ActionUV_SamplePlus] = "Sample material and UV Mode from faces of the model"
T7[:TIP_ActionUV_Prev_Mat] = "Set Previous material as current (TAB)"
T7[:TIP_ActionUV_Next_Mat] = "Set Next material as current (Shift-TAB)"
T7[:TIP_SUEnv] = "Configuration of the Sketchup environment"	
T7[:TIP_SUEnv_CallNativePaint] = "Call the Native SU Paint tool (F9)"	

T7[:BOX_UVMode_Natural] = "Natural"
T7[:BOX_UVMode_Mesh] = "QuadMesh"
T7[:BOX_UVMode_Projected] = "Projected"
T7[:BOX_UVMode_Native] = "Native"
T7[:BOX_SUEnv] = "SU Env"	

T7[:TXT_AutoFlip] = "Auto Flip"
T7[:MSG_WontBeVisible] = "Won't be visible"	

T7[:BOX_CONT] = "CONT."
T7[:BOX_TEXT] = "TEXT"
T7[:TIP_PainterContainer] = "Paint Groups, Components, Texts, Dimensions"

T7[:INFO_ClickPaint] = "CLICK to Paint"
T7[:INFO_DragPaint] = "DRAG to continue painting"
T7[:INFO_ContainerPaint] = "CLICK to Paint Container"
T7[:INFO_TextPaint] = "CLICK to Paint Text"
T7[:INFO_DimensionPaint] = "CLICK to Paint Dimension"
T7[:INFO_ArrowEdit] = "Use ARROWS or VCB to Transform Texture"
T7[:INFO_ClicktoVisual] = "Click to enter Visual edition"
T7[:INFO_SampleMaterial] = "ENTER to Sample material"
T7[:INFO_ForceRepaint] = "Ctrl alone to force Repaint"
T7[:INFO_TooManyEdges] = "More than 4 Edges"
T7[:INFO_EditionLocked] = "Texture Edition Locked"

T7[:BOX_FaceSide] = "Face Side"	
T7[:BOX_Selection] = "Selection"	
T7[:BOX_Properties] = "Properties"
T7[:BOX_Material] = "Material"

T7[:BOX_Visual_Tiling] = "Tiling"
T7[:BOX_Visual_Reset] = "Reset"
T7[:BOX_Visual_Rotation] = "Rotation"
T7[:BOX_Visual_Mirror] = "Mirror"

T7[:MSG_CurMat] = "Current:"
T7[:MSG_MatOnFace] = "On Face:"
T7[:MSG_MatOnEdge] = "On Edge:"

T7[:TIT_UVProjected_Palette] = "Plane for UV Projection"

T7[:BOX_UVProjected_ByFace] = "By Face"
T7[:BOX_UVProjected_Local] = "Local"
T7[:BOX_UVProjected_Model] = "Model"

T7[:TIP_UVProjected_PickedFace] = "Plane of the initial face painted "
T7[:TIP_UVProjected_View] = "Plane of the view camera "
T7[:TIP_UVProjected_Custom] = "Custom plane determined by a face anywhere in the model"
T7[:TIP_UVProjected_Custom_Ask] = "Select a Custom Plane by picking a face or edge in the model"
T7[:TIP_UVProjected_Custom_DoubleClick] = "Double-Click to change"
T7[:BOX_UVProjected_Custom_Ask] = "Pick a custom plane (via face or edge)"
T7[:TIP_UVProjected_Custom_OK] = "A custom plane is defined"
T7[:TIP_UVProjected_Z] = "Horizontal plane (red-green)"
T7[:TIP_UVProjected_X] = "Vertical plane (green-blue)"
T7[:TIP_UVProjected_Y] = "Vertical plane (red-blue)"
T7[:TIP_UVProjected_ByFace] = "Planes specified by a face"
T7[:TIP_UVProjected_Local] = "Local axes in Component / group"
T7[:TIP_UVProjected_Model] = "Axes of the model"
T7[:BOX_Mark_Diagonal] = "Mark Diagonal"
T7[:BOX_UnMark_Diagonal] = "Unmark Diagonal"
T7[:MSG_Mark_Diagonal] = "Click on Edges to mark / unmark as diagonal"
T7[:MSG_Mark_Diagonal_Double_Click] = "Double-Click to exit mode"

T7[:TIP_ContainerSelectionContainer] = "Container: Components and Groups"	
T7[:TIP_ContainerSelectionTop] = "Paint from top Container"	

T7[:TXT_PressEscape] = "Press Escape to clear error"	
T7[:ERR_MiroMesh] = "Errors [%1] in the construction of the mesh"	
T7[:ERR_MiroFaceNotPainted] = "Warning: some faces [%1] could not be painted"	
T7[:MNU_ClearError] = "Clear Error (ESC)"

T7[:TIP_EditionLock] = "Lock Texture Edition"
T7[:TIP_EditionUnlock] = "Unlock Texture Edition"
T7[:TIP_EditionToggleLock] = "Toggle Lock of Texture Edition (F5)"
T7[:BOX_EditionLocked] = "Lock"

T7[:BOX_VisualInference] = "Inference"
T7[:TIP_VisualToggleInference] = "Toggle Inference for Scaling and Rotating (Ctrl Alone)"

T7[:BOX_VisualExitClick] = "Click to Exit Visual mode"
T7[:MSG_VisualClickDragScale] = "Click & Drag to Scale"
T7[:MSG_VisualClickDragTranslate] = "Click & Drag to Translate"
T7[:MSG_VisualClickDragRotate] = "Click & Drag to Rotate"
T7[:MSG_VisualDragScale] = "Drag to Scale"
T7[:MSG_VisualDragTranslate] = "Drag to Translate"
T7[:MSG_VisualDragRotate] = "Drag to Rotate"
T7[:TIT_Visual_Palette] = "Texture Transformation"

T7[:HLP_TitleMain] = "ThruPaint: VCB and Shortcut Help"
T7[:HLP_TitleArrow] = "Texture Transformation with Arrows"
T7[:HLP_ArrowGeneral] = "ARROW [General]"
T7[:HLP_AboutOriginRotScale] = "Rotation and Scaling are done about the Mouse location or visual origin"
T7[:HLP_AlongRedAxis] = "Along the Red Axis (U)"	
T7[:HLP_AlongGreenAxis] = "Along the Green Axis (V)"	
T7[:HLP_OppositeRedAxis] = "Opposite to the Red Axis (-U)"	
T7[:HLP_OppositeGreenAxis] = "Opposite to the Green Axis (-V)"	
T7[:HLP_UniformScalingGrowing] = "Uniform Scaling - Growing"	
T7[:HLP_UniformScalingReducing] = "Uniform Scaling - Reducing"	
T7[:HLP_ScalingUGrowing] = "Scaling in U - Growing"	
T7[:HLP_ScalingUReducing] = "Scaling in U - Reducing"	
T7[:HLP_ScalingVGrowing] = "Scaling in V - Growing"	
T7[:HLP_ScalingVReducing] = "Scaling in V - Reducing"	
T7[:HLP_RotationGreenToRed] = "Rotation Green toward Red (clockwise)"	
T7[:HLP_RotationRedToGreen] = "Rotation Red toward Green"	
T7[:HLP_RotationP90NoScene] = "Rotate +90 Degrees (when no scenes)"	
T7[:HLP_RotationM90NoScene] = "Rotate -90 Degrees (when no scenes)"	
T7[:HLP_ChainedCommand] = "Chained commands separated by space or ;"
T7[:HLP_Formula] = "Formula accepted (no space)"
T7[:HLP_TranslationPositive] = "Positive for Red and Green directions - in UV unit (0 to 1.0)"
T7[:HLP_AnglePositive] = "Angle Positive from Green to Red (Clockwise)"
T7[:HLP_RotationAbout] = "Rotation is done about the Mouse location or visual origin"
T7[:HLP_RelRotationDegree] = "Relative Rotation in degrees"
T7[:HLP_RelRotationRadians] = "Relative Rotation in radians"
T7[:HLP_RelRotationGrades] = "Relative Rotation in grades"
T7[:HLP_RelRotationSlope] = "Relative Rotation in % (slope)"
T7[:HLP_AbsRotation] = "Absolute Rotation: double the suffix"
T7[:HLP_RotationP90] = "Rotation +90 degrees"
T7[:HLP_RotationM90] = "Rotation -90 degrees"
T7[:HLP_Rotation180] = "Rotation 180 degrees"
T7[:HLP_ScalePositive] = "Scale factor Positive for relative, Negative for absolute"
T7[:HLP_ScaleAbout] = "Scaling is done about the Mouse location or visual origin"
T7[:HLP_MirrorAbout] = "Mirror is done about the Mouse location or visual origin"
T7[:HLP_MirrorOrigin] = "Symmetry about origin"
T7[:HLP_MirrorAxisU] = "Mirror about U axis"
T7[:HLP_MirrorAxisV] = "Mirror about V axis"
T7[:HLP_CallNativePaintTool] = "Call the native SU Paint tool"
T7[:HLP_ToggleMeshVisibility] = "Toggle Mesh visibility (in Mesh UV mode)"
T7[:HLP_TilingDesc] = "Map texture to defined factors in U and V"	
T7[:HLP_TilingFull] = "Full tiling (factor 1x1)"	
T7[:HLP_TilingU] = "Factor in U"	
T7[:HLP_TilingV] = "Factor in V"	
T7[:HLP_TilingStored] = "Use stored factors (or 1 if not defined)"	
T7[:HLP_TilingAsk] = "Ask tiling factors"	
T7[:HLP_ResetTexture] = "Reset Texture Position"	
T7[:HLP_ResetAll] = "Reset ALL"	
T7[:HLP_ResetRotation] = "Reset Rotation"	
T7[:HLP_ResetScaling] = "Reset Scaling"	
T7[:HLP_Sample] = "Sample material under mouse"
T7[:HLP_SampleUV] = "Sample material and UV mode under mouse (when textured)"
T7[:HLP_ForcePaint] = "Force Paint mode when on current texture"
T7[:HLP_VisualToggleInference] = "Visual Edition: Toggle inference for Rotation and Scaling"
T7[:HLP_MaterialToDefault] = "Set current material to Default material (for unpaint)"
T7[:HLP_MaterialCycleBackward] = "Cycle backward through the list of materials loaded in model"
T7[:HLP_MaterialCycleForward] = "Cycle forward through the list of materials loaded in model"

#----------------------------------------------------------------------------------------------------
# Plugin Execution
#----------------------------------------------------------------------------------------------------

#Launch Method from the ThruPaint command (icon or menu)
def ThruPaint._execution(symb)
	#LibFredo6.debug "Begin Thurpain Execution ___"
	#Check if the ThruPaint tool is already active
	current_tool_id = Sketchup.active_model.tools.active_tool_id
	return if current_tool_id == ThruPaint.get_tool_id
	
	#Invoke the SU Paint Tool, forcing call to ThruPaint
	set_tracking_tempo true
	Sketchup.send_action "selectPaintTool:"
	
	#If Paint Tool was already active, then call ThruPaint directly
	#####LibFredo6.debug "Before real activate"
	@thru_tool.real_activate if @thru_tool && !ThruPaint.alien_tool_before
	#LibFredo6.debug "After real activate"
	if current_tool_id == ThruPaint.supaint_id
		UI.start_timer(0) { ThruPaint.execute_direct }
	end	
	#LibFredo6.debug "End Thurpain Execution ___"
end

#----------------------------------------------------------------------------------------------------
# ThruPaintTool: Class managing the SU Tool
#----------------------------------------------------------------------------------------------------

class ThruPaintTool < Traductor::PaletteSuperTool

DrawFrame = Struct.new :frames, :dashed, :contour, :triangles, :ll_frames, :ll_dashed, :ll_contour, :ll_triangles, :partial

#THRUPAINT_TOOL: Tool Initialization
def initialize
	@txt_front = T6[:T_TXT_Recto]
	@txt_back = T6[:T_TXT_Verso]
	@txt_wont_be_visible = " |#{T7[:MSG_WontBeVisible]}|"
	@htext_uv = { :natural => T7[:BOX_UVMode_Natural], :mesh => T7[:BOX_UVMode_Mesh], :projected => T7[:BOX_UVMode_Projected],
                  :native => T7[:BOX_UVMode_Native] }
	
	@action_uv = nil
	set_uv_projected_specs :picked_face
	@matos = Traductor::MaterialManager.manager

	#Initializing the Zoom Manager
	@zoom_void = G6::ZoomVoid.new
		
	real_activate
end

#THRUPAINT_TOOL: Real activation of the tool when started explictly by user
def real_activate
	@tracking_auto = ThruPaint.load_tracking_auto
	persistence_load
	@lst_all_miros = []
	miro_invalidate_all	
	@time_move = nil
	reset_drawing_env
	selection_arrange
end

#THRUPAINT_TOOL: SU Activation of the tool
def activate
	#LibFredo6.debug "Begin Activate"
	LibFredo6.register_ruby "ThruPaint"
	@model = Sketchup.active_model
	ThruPaint.set_tool_id @model.tools.active_tool_id
	
	#Resetting the environment
	@model = Sketchup.active_model	
	@model_current = @model if @model != @model_current
	@view_tracker = G6::ViewTracker.new
	reset_env
		
	#Initialization
	@view = @model.active_view
	@selection = @model.selection
	@materials = @model.materials
	@tw = Sketchup.create_texture_writer
	@rendering_options = @model.rendering_options
	@ph = @view.pick_helper
	@phdrag = @view.pick_helper
	@ipdrag = Sketchup::InputPoint.new
	
	#Real actrivation
	real_activate if ThruPaint.alien_tool_before
	
	#One off initialization
	#unless @one_off_init
		init_cursor
		init_colors
		init_VCB
		init_messages
		init_palette
		@one_off_init = true
	#end
	
	@button_down = false
	@painting = false
	set_edge_render_mode
	start_over

	@time_move = nil
	@material_painted = nil
	@mat_previous = nil
	@material_on_picked_face = nil
	@material_on_picked_face_previous = nil
	@material_on_picked_edge_name = nil
	@material_on_picked_face_name = nil
	@with_texture = false
	@with_texture_previous = false
	####@timer_move = UI.start_timer(1, true) { timer_move_proc }
	
	after_pick
	onMouseMove_zero if RUN_ON_MAC
	#LibFredo6.debug "End Activate"
end

#THRUPAINT_TOOL: Deactivation
def deactivate(view)
	ThruPaint.save_tracking_auto @tracking_auto
	UI.stop_timer @timer_move if @timer_move
	arrow_animation_stop
	miro_edition_commit
	restore_edge_render_mode
	persistence_save
	view.invalidate
end

#THRUPAINT_TOOL: Initialize colors
def init_colors
	@color_message = 'khaki'
	@color_face = 'blue'
	@color_edge = 'orange'
	@color_family_contour = 'yellow'
	@color_pointer_picked = 'blue'
	@color_line_component = 'green'
	@color_line_group = 'navy'
	@color_line_text = 'magenta'
	
	if G6.su_capa_color_polygon
		@color_plane = Sketchup::Color.new 'dodgerblue'
		@color_plane.alpha = 0.3
		@color_custom_plane = Sketchup::Color.new 'green'
		@color_custom_plane.alpha = 0.5
		@color_picked_faces = Sketchup::Color.new 'lightgrey'
		@color_picked_faces.alpha = 0.15
		@color_picked_face = Sketchup::Color.new 'gray'
		@color_picked_face.alpha = 0.5
		@color_picked_face_error = Sketchup::Color.new 'red'
		@color_picked_face_error.alpha = 0.8
		@color_error_faces = Sketchup::Color.new 'red'
		@color_error_faces.alpha = 0.7	
		@color_warning_faces = Sketchup::Color.new 'orange'
		@color_warning_faces.alpha = 0.7	
		@color_face_text = Sketchup::Color.new @color_line_text
		@color_face_text.alpha = 0.15	
		@color_face_component = Sketchup::Color.new @color_line_component
		@color_face_component.alpha = 0.15	
		@color_face_group = Sketchup::Color.new @color_line_group
		@color_face_group.alpha = 0.15	
	else
		@color_plane = nil
		@color_custom_plane = nil
		@color_picked_face = nil
		@color_picked_face_error = nil
		@color_picked_faces = nil
		@color_warning_faces = 'orange'
		@color_error_faces = 'red'
		@color_face_component = nil
		@color_face_group = nil
		@color_face_text = nil
	end	
	@grid_shape = G6::ShapeGrid.new 2
	@grid_shape.set_line_param 'black', 2, '-'
	@grid_shape.set_polygon_param @color_plane, 'blue', 3, ''
	@grid_custom_shape = G6::ShapeGrid.new 2
	@grid_custom_shape.set_line_param 'black', 2, '-'
	@grid_custom_shape.set_polygon_param @color_custom_plane, 'green', 3, ''
end

#THRUPAINT_TOOL: Initialize cursors
def init_cursor
	@id_cursor_paint_transfer = MYPLUGIN.create_cursor "ThruPaint_cursor_Transfer", 0, 0
	@id_cursor_paint_mesh = MYPLUGIN.create_cursor "ThruPaint_cursor_Mesh", 0, 0
	@id_cursor_paint_normal = MYPLUGIN.create_cursor "ThruPaint_cursor_Normal", 0, 0
	@id_cursor_paint_projected = MYPLUGIN.create_cursor "ThruPaint_cursor_Projected", 0, 0
	@id_cursor_paint_edge = MYPLUGIN.create_cursor "ThruPaint_cursor_Edge", 0, 0
	@id_cursor_paint_container = MYPLUGIN.create_cursor "ThruPaint_cursor_Container", 0, 0
	@id_cursor_pipette = MYPLUGIN.create_cursor "ThruPaint_cursor_Pipette", 0, 0	
	@id_cursor_pipette_plus = MYPLUGIN.create_cursor "ThruPaint_cursor_PipettePlus", 0, 0	
	@id_cursor_diagonal = Traductor.create_cursor "Cursor_Arrow_Diagonal", 0, 0	
	@id_cursor_custom_plane = Traductor.create_cursor "Cursor_Custom_Plane", 0, 0	
	@id_cursor_hand = Traductor.create_cursor "Cursor_Hand", 9, 0
	@id_cursor_hand_inference = Traductor.create_cursor "Cursor_Hand_Inference", 9, 0
	@id_cursor = @id_cursor_paint_normal
end

#THRUPAINT_TOOL: Initialize messages to be displayed in the palette message bar
def init_messages
	@hsh_messages = {}
	@hsh_messages[:exit] = T7[:T_INFO_DoubleClickExit]
	@hsh_messages[:click_paint] = T7[:INFO_ClickPaint]
	@hsh_messages[:drag_paint] = T7[:INFO_DragPaint]
	@hsh_messages[:container_paint] = T7[:INFO_ContainerPaint]
	@hsh_messages[:text_paint] = T7[:INFO_TextPaint]
	@hsh_messages[:dimension_paint] = T7[:INFO_DimensionPaint]
	@hsh_messages[:arrow_edit] = T7[:INFO_ArrowEdit]
	@hsh_messages[:click_visual] = T7[:INFO_ClicktoVisual]
	@hsh_messages[:enter_sample] = T7[:INFO_SampleMaterial]
	@hsh_messages[:force_repaint] = T7[:INFO_ForceRepaint]
	@hsh_messages[:too_many_edges] = T7[:INFO_TooManyEdges]
	@hsh_messages[:edition_locked] = T7[:INFO_EditionLocked]

	@hsh_messages[:visible] = T7[:TIP_FaceSideVisible]		
	@hsh_messages[:recto] = T7[:TIP_FaceSideRecto]		
	@hsh_messages[:verso] = T7[:TIP_FaceSideVerso]		
	@hsh_messages[:recto_verso] = T7[:TIP_FaceSideRectoVerso]
	@hsh_messages[:auto_flip] = T7[:TXT_AutoFlip]	
	
	@text_custom_plane = T7[:BOX_UVProjected_Custom_Ask]
	@text_mark_diagonal = T7[:BOX_Mark_Diagonal]
	@text_unmark_diagonal = T7[:BOX_UnMark_Diagonal]
	
	@msg_curmat = T7[:MSG_CurMat]
	@msg_mat_on_face = T7[:MSG_MatOnFace]
	@msg_mat_on_edge = T7[:MSG_MatOnEdge]
	@txt_box_text_label = T6[:T_TXT_TextLabel]	
	@txt_box_dimension = T6[:T_TXT_Dimension]	

	visual_init_messages
end

#THRUPAINT_TOOL: Check if material sampling is authorized
def sampling_authorized?
	!@button_down && @initial_face && !materials_equal?(@material_on_picked_face, @material_painted)
end

#THRUPAINT_TOOL: Check if material sampling with UV Mode is authorized
def sampling_plus_authorized?
	!@button_down && @initial_face && (!materials_equal?(@material_on_picked_face, @material_painted) || @uv_mode != @uv_mode_ini)
end

#THRUPAINT_TOOL: Reset context environment
def reset_env
	@tr = @tr_r = @tr_id = Geom::Transformation.new
	@parent_down = nil
	@parent = nil
	@picked_faces = nil
	@picked_edges = nil
	@family_contour = nil
	reset_drawing_env
	@key_picked = nil
	@key_previous = nil
	@axes_uv = nil
	@initial_face = nil
	@last_face = nil
	@forced_paint = false
	@visual_edition_active = false
	@action_uv = nil
end	
	
def materials_equal?(mat1, mat2)
	mat1.object_id == mat2.object_id
end
	
#---------------------------------------------------------------------------------------------
# THRUPAINT_TOOL: Persistence Management
#---------------------------------------------------------------------------------------------

@@hsh_persistence = {} unless defined?(@@hsh_persistence)
@@lst_params = [[:uv_mode, :natural], [:painter_mode_face, true], [:stop_at_crossing, true], [:anglemax_follow, 40.degrees],
                [:option_face_selection, :surface], [:option_face_side, :visible], [:option_auto_flip, true],
				[:painter_mode_edge, false], [:option_edge_selection, :follow], [:option_edge_prop, 'P'],
				[:uv_projected_specs, :picked_face], [:painter_mode_container, false], [:option_container_selection, 'GCT']]
				
#THRUPAINT_TOOL: Load parameters from persistence
def persistence_load
	sparam = Sketchup.read_default "FredoTools_ThruPaint", "Param"
	if sparam
		begin
			hsh = eval sparam
		rescue
			hsh = nil
		end	
	end
	@@hsh_persistence = hsh if hsh.class == Hash
	@@lst_params.each do |a| 
		begin
			@@hsh_persistence[a[0]] = eval "@#{a[0]} = persistence_get(:#{a[0]}, #{a[1].inspect})" 
		rescue
			LibFredo6.debug "ThruPaint param a0 = <#{a[0]}> a1 = <#{a[1].inspect}>"
		end
	end	
end

#THRUPAINT_TOOL: Save parameters to persistence
def persistence_save
	@@lst_params.each { |a| @@hsh_persistence[a[0]] = eval "@#{a[0]}" }	
	sparam = @@hsh_persistence.inspect.gsub('"', "'")
	Sketchup.write_default "FredoTools_ThruPaint", "Param", sparam	
	
	sparam = Sketchup.read_default "FredoTools_ThruPaint", "Param"
end

#THRUPAINT_TOOL: Get a parameter value from the persistence array
def persistence_get(symb, default)
	return @@hsh_persistence[symb] if @@hsh_persistence.has_key?(symb)
	default
end
	
#---------------------------------------------------------------------------------------------
# Show Messages
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Show message in the palette
def show_message
	#Mouse if either in the palette or out of the viewport
	if @mouseOut
		palette_set_message nil
		return
	elsif @mouse_in_palette
		palette_set_message @palette.get_main_tooltip, 'aliceblue'
		return
	end	
	
	#Error in the painting
	if @miro_error
		msg = @miro_error.error_message
		msg += " - " + T7[:TXT_PressEscape]
		palette_set_message msg, 'E'
		return
	elsif @miro_warning
		msg = @miro_warning.warning_message
		msg += " - " + T7[:TXT_PressEscape]
		palette_set_message msg, 'W'
		return
	end
	
	#Custom Plane selection
	if @action_uv == :custom_plane
		palette_set_message T7[:BOX_UVProjected_Custom_Ask], @color_message
		return
	end

	#Sampling
	if @action_uv == :sample
		palette_set_message T7[:TIP_ActionUV_Sample], @color_message
		return
	end
	if @action_uv == :sample_plus
		palette_set_message T7[:TIP_ActionUV_SamplePlus], @color_message
		return
	end

	#Custom Plane selection
	if @action_uv == :mark_diagonal
		tip = T7[:MSG_Mark_Diagonal] + ' - ' + T7[:MSG_Mark_Diagonal_Double_Click]
		tip = T7[:MSG_Mark_Diagonal] + ' - ' + T7[:MSG_Mark_Diagonal_Double_Click]
		palette_set_message tip, @color_message
		return
	end
	
	#Building the text to be displayed
	lst = []
	add = []
	lst.push :enter_sample if sampling_authorized?
	if !@lst_picked || @lst_picked.empty?
		lst.push :exit
	elsif (symb_err = initial_face_in_error?)
		lst.push symb_err
	elsif @painter_mode_container
		if @picked_container
			lst.push :container_paint
		elsif @picked_element.instance_of?(Sketchup::Text)
			lst.push :text_paint
		elsif @picked_element.instance_of?(Sketchup::Drawingelement)
			lst.push :dimension_paint
		end	
	elsif @initial_face && @painter_mode_face
		unless @match_material && @uv_mode == @uv_mode_ini && !@forced_paint
			if @button_down
				lst.push :drag_paint
			else
				lst.push :click_paint
			end	
			add.push @option_face_side
			add.push :auto_flip if @option_auto_flip
		end	
		if !@button_down
			if @miro_locked
				lst.push :edition_locked
			elsif direct_edition_authorized?
				lst.push :arrow_edit
			end	
			if miro_edition_authorized? && !@visual_edition_active
				lst.push :click_visual
				lst.push :force_repaint			
			end	
		end
	end	
		
	atx = add.collect { |symb| @hsh_messages[symb] }
	ltx = lst.collect do |symb|
		tx = @hsh_messages[symb]
		tx += " [" + atx.join(" - ") + "]" if (symb == :drag_paint || symb == :click_paint) && add.length > 0
		tx
	end	
	text_visu = visual_text_message
	ltx = [text_visu] + ltx if text_visu
	text = ltx.join(" -- ")
	palette_set_message text, @color_message
end

#THRUPAINT_TOOL: Display the message in the palette zone and SU status bar
def palette_set_message(msg, color=nil)
	@palette.set_message msg, color
	Sketchup.set_status_text((msg) ? msg : "")
end
	
#---------------------------------------------------------------------------------------------
# THRUPAINT_TOOL: Modes and Flags
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Navigate back and forth thorugh history of materials
def material_history_navigate(incr, beg_end=false)
	@matos.history_navigate incr, beg_end
	onMouseMove_zero
end

#THRUPAINT_TOOL: Set the current material to the default
def material_set_to_default
	@matos.current = nil
	onMouseMove_zero
end

def set_tracking_auto(onoff)
	@tracking_auto = onoff
	F6_FredoTools::ThruPaint.set_tracking_auto @tracking_auto
end

def toggle_tracking_auto
	@tracking_auto = !@tracking_auto
	F6_FredoTools::ThruPaint.set_tracking_auto @tracking_auto
end

def call_native_supaint
	F6_FredoTools::ThruPaint.set_tracking_auto false
	F6_FredoTools::ThruPaint.set_tracking_tempo false
	Sketchup.send_action "selectPaintTool:"
end

def set_edge_render_mode
	@old_edge_color_mode = @rendering_options["EdgeColorMode"]
	@rendering_options["EdgeColorMode"] = 0
end

def restore_edge_render_mode
	@rendering_options["EdgeColorMode"] = @old_edge_color_mode if @old_edge_color_mode
end
	
def set_container_parameters_default
	@painter_mode_container = true
	@option_container_selection = 'GCT'
end
	
def toggle_container_selection(s)
	if @option_container_selection.include?(s)
		@option_container_selection.sub! s, ''
	else
		@option_container_selection += s
	end	
end
	
def set_face_parameters_default
	@painter_mode_face = true
	set_face_selection_default
	set_face_side_default
end

def set_face_selection_default
	@option_face_selection = :surface
end

def set_face_side_default
	@option_face_side = :visible
	@option_auto_flip = true	
end

def set_edge_parameters_default
	@painter_mode_edge = true
	set_edge_selection_default
	set_edge_prop_default
end

def set_edge_selection_default
	@option_edge_selection = :follow
	@stop_at_crossing = true
	@anglemax_follow = 40.degrees
end

def set_edge_prop_default
	@option_edge_prop = 'P'
end

def set_uv_mode(mode)
	if mode == @uv_mode
		toggle_uv_mode
	else	
		@uv_mode = mode
	end	
	start_over
	visual_stop if @visual_edition_active
end

def force_uv_mode(mode)
	@uv_mode = mode
	@uv_mode = :natural if mode != :mesh && mode != :projected
	start_over
end

def toggle_uv_mode
	if @uv_mode == :natural
		@uv_mode = :projected
	elsif @uv_mode == :mesh
		@uv_mode = :natural
	elsif @uv_mode == :projected
		@uv_mode = :mesh
	end	
	start_over
end

def force_painter_mode_face
	@painter_mode_face = true
	@painter_mode_edge = false
	@painter_mode_container = false
end

def force_painter_mode_edge
	@painter_mode_face = false
	@painter_mode_edge = true
	@painter_mode_container = false
end

def toggle_painter_mode_container
	if @painter_mode_container
		@old_painter_mode_face = true if @old_painter_mode_face == nil
		@painter_mode_face = @old_painter_mode_face
		@painter_mode_edge = @old_painter_mode_edge
	else
		@old_painter_mode_face = @painter_mode_face
		@old_painter_mode_edge = @painter_mode_edge
		@painter_mode_face = nil
		@painter_mode_edge = nil
	end
	@painter_mode_container = !@painter_mode_container
end

def toggle_painter_mode_face
	@painter_mode_container = false
	@painter_mode_face = !@painter_mode_face
	toggle_painter_mode_edge unless @painter_mode_edge || @painter_mode_face
end

def set_face_selection(mode=nil)
	mode = :surface unless mode
	@option_face_selection = mode
	reset_drawing_face_env
	toggle_painter_mode_face unless @painter_mode_face
end	

def set_face_side(side=nil)
	side = :recto unless side
	@option_face_side = side
	toggle_painter_mode_face unless @painter_mode_face
end	

def toggle_painter_mode_edge
	@painter_mode_container = false
	@painter_mode_edge = !@painter_mode_edge
	toggle_painter_mode_face unless @painter_mode_edge || @painter_mode_face
end

def toggle_stop_at_crossing
	@stop_at_crossing = !@stop_at_crossing
end

def set_edge_selection(mode=nil)
	mode = :curve unless mode
	@option_edge_selection = mode
	reset_drawing_edge_env
	toggle_painter_mode_edge unless @painter_mode_edge
end	

def toggle_auto_flip
	@option_auto_flip = !@option_auto_flip
end
	
def toggle_draw_hidden
	@rendering_options["DrawHidden"] = !@rendering_options["DrawHidden"]
end

def toggle_edge_prop(letter)
	lst = @option_edge_prop.split(//)
	if lst.include?(letter)
		lst.delete letter
	else
		lst.push letter
	end	
	lst = ['P'] if lst.empty?
	@option_edge_prop = lst.join
end

def set_edge_prop(letter)
	@option_edge_prop = letter
end

def set_action_uv(action)
	action = nil if action == @action_uv
	@action_uv = action
	visual_stop
	after_pick
	onSetCursor
end

#THRUPAINT_TOOL: Reset to force reevaluation of Miro under mouse
def start_over
	@key_previous = nil
	@last_initial_face = nil
	@miro_error = nil
	@miro_warning = nil
end

#---------------------------------------------------------------------------------------------
# THRUPAINT_TOOL: Management of Initial Selection
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Organize initial selection
def selection_arrange
	ss = Sketchup.active_model.selection
	@lst_selection_faces = []
	@hsh_selection_edges = {}
	@hsh_selection_elements = {}
	@hsh_selection_containers = {}
	return if ss.empty?
	hsh_selection_faces = {}
	ss.each do |e|
		if e.instance_of?(Sketchup::Face)
			hsh_selection_faces[e.entityID] = e
		elsif e.instance_of?(Sketchup::Edge)
			@hsh_selection_edges[e.entityID] = e
		elsif e.instance_of?(Sketchup::ComponentInstance) || e.instance_of?(Sketchup::Group)
			@hsh_selection_containers[e.entityID] = e
		elsif e.instance_of?(Sketchup::Text) || e.instance_of?(Sketchup::Drawingelement)
			@hsh_selection_elements[e.entityID] = e
		end	
	end

	#Finding group of faces
	hsh_treated = {}
	hsh_selection_faces.each do |face_id, face|
		next if hsh_treated[face_id]
		hf = selection_compute_neighbours(face, hsh_selection_faces)
		hf.each { |fid, f| hsh_treated[fid] = true }
		@lst_selection_faces.push hf
	end
end

#THRUPAINT_TOOL: Calculate the nighbours of a face within selection
def selection_compute_neighbours(face, hsh_selection)
	lface = [face]
	hsh_faces = {}
	
	while lface.length > 0
		f = lface.shift
		f_id = f.entityID
		next if hsh_faces[f_id] || !hsh_selection[f_id]
		hsh_faces[f.entityID] = f
		f.edges.each do |e|
			e.faces.each do |ff| 
				lface.push ff unless ff == f || hsh_faces[ff.entityID]
			end	
		end
	end	
	hsh_faces
end

#THRUPAINT_TOOL: Check if a face is part of the selection and return the index in the selection list
def selection_face_belong(face)
	@lst_selection_faces.each_with_index do |hf, ipos|
		return ipos if hf[face.entityID]
	end
	nil
end

#THRUPAINT_TOOL: Check if a face is part of the selection and return its neighbours
def selection_neighbour_faces_by_index(ipos)
	return @lst_selection_faces[ipos].values if ipos
	lf = []
	@lst_selection_faces.each { |a| lf += a.values }
	lf
end

#THRUPAINT_TOOL: Check if an edge is part of the selection and return its neighbours
def selection_edge_belong(edge)
	(@hsh_selection_edges[edge.entityID]) ? @hsh_selection_edges.values : nil
end

#---------------------------------------------------------------------------------------------
# THRUPAINT_TOOL: Undo Management
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Callback after a Undo
def handle_undo
	start_over
	onMouseMove_zero
end

#---------------------------------------------------------------------------------------------
# THRUPAINT_TOOL: Picking Element on Screen
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Manage actions on a mouse move
def handle_move(flags, x, y, view)	
	@far_from_down = (x - @xdown).abs > 5 || (y - @ydown).abs > 5 unless @far_from_down || !@button_down
	return after_pick if visual_move(flags, x, y, view)
	t0 = Time.now
	pick_current_element(flags, x, y, view)
	after_pick	
end

#THRUPAINT_TOOL: Interactive pick of edges, faces or container
def pick_current_element(flags, x, y, view)
	#Getting material parameters
	t0 = Time.now
	@material_painted = @matos.current
	#@with_texture = (@painter_mode_face && @matos.current_with_texture?) ? true : false
	@with_texture = (@matos.current_with_texture?) ? true : false
	
	#Getting the faces and edges under the mouse
	@picked_faces = @picked_edges = @lst_picked = nil
	if @button_down && @painting && @painter_mode_face
		@picked_faces = picking_with_drag(flags, x, y, view)
		return unless @picked_faces
		@key_picked = "#{@picked_faces.last.object_id}-#{@tr.to_a}"
	else
		@initial_face, ph_edge, @tr, @parent = picking_under_mouse(flags, x, y, view)
		@tr_r = @tr.inverse if @tr

		#Analyzing the picked face or edge
		analyze_picked_face
	
		@material_on_picked_edge_name = (ph_edge) ? @matos.material_name(ph_edge.material) : nil
		
		#Getting the container or other element
		if @painter_mode_container
			picking_container_or_element
			
		#Getting the faces
		elsif @painter_mode_face && @initial_face
			iposel = selection_face_belong @initial_face
			@picked_faces = @hsh_extend_faces["#{@initial_face.entityID}--#{@tr.to_a}"]
			@key_picked = "#{@picked_faces.object_id}-#{@tr.to_a}"
			unless @picked_faces && !iposel
				if iposel
					iposel = nil unless @with_texture
					@picked_faces = selection_neighbour_faces_by_index iposel
				else
					@picked_faces = picking_extend_faces(@initial_face, @option_face_selection) 
				end	
				@picked_faces.each { |f| @hsh_extend_faces["#{f.entityID}--#{@tr.to_a}"] = @picked_faces }
				@key_picked = "#{@picked_faces.object_id}-#{@tr.to_a}"
				compute_frames_faces
			end	
			find_closest_edge x, y, @initial_face
			compute_custom_plane
			
		#Getting the edges	
		elsif @painter_mode_edge && ph_edge
			@picked_edges = @hsh_extend_edges["#{ph_edge.entityID}--#{@tr.to_a}"]
			@key_picked = "#{@picked_edges.object_id}-#{@tr.to_a}"
			unless @picked_edges && !selection_edge_belong(ph_edge)
				@picked_edges = picking_extend_edges(ph_edge, @option_edge_selection)
				@picked_edges.each { |e| @hsh_extend_edges["#{e.entityID}--#{@tr.to_a}"] = @picked_edges }
				@key_picked = "#{@picked_edges.object_id}-#{@tr.to_a}"
				compute_frames_edges
			end	
		end		
	end	
	
	#List of faces or edges picked
	if @painter_mode_container
		@lst_picked = [@picked_element, @picked_container].find_all { |e| e }
	elsif @painter_mode_face
		@lst_picked = [@picked_faces, @picked_edges].find { |e| e }
	else	
		@lst_picked = [@picked_edges, @picked_faces].find { |e| e }
	end	
	
	#Checking if entities picked are new
	@material_painted = @matos.current
	return if @key_previous == @key_picked && @with_texture_previous == @with_texture && 
	          materials_equal?(@mat_previous, @material_painted) &&
			  materials_equal?(@material_on_picked_face_previous, @material_on_picked_face)
	@key_previous = @key_picked
	@with_texture_previous = @with_texture
	@mat_previous = @material_painted
	@material_on_picked_face_previous = @material_on_picked_face
	
	#New selection - Highlighting or painting	
	if @button_down
		if @painting && @parent == @parent_down
			continue_painting if @lst_picked && @far_from_down
		else
			@picked_faces = @picked_edges = nil
		end	
	end	
end

#THRUPAINT_TOOL: Analyze the picked container or element
def picking_container_or_element
	@picked_element = nil
	@picked_container = nil
	ph_el = @ph.picked_element
	
	#Picking Text label or Dimension
	if (@option_container_selection =~ /D/ && ph_el.instance_of?(Sketchup::Drawingelement)) ||
		(@option_container_selection =~ /L/ && ph_el.instance_of?(Sketchup::Text))
		@picked_element = ph_el
		if ph_el.parent == @model
			@parent = nil
			@tr = @tr_id
		elsif !@parent
			lpath = @ph.path_at(0)
			par = (lpath) ? lpath[-2] : nil
			if par.class == Sketchup::ComponentInstance || par.class == Sketchup::Group
				@parent = par
				@tr = @ph.transformation_at 0
			end	
		end	
		
	#Picking Group or Component	
	elsif @option_container_selection =~ /GC/ && @parent
		ctop = @ph.path_at(0)
		if @option_container_selection =~ /T/ && ctop	
			@parent = nil
			@picked_container = ctop[0]
			@tr = @picked_container.transformation
		else	
			@picked_container = @parent
		end	
	end	
end

#THRUPAINT_TOOL: Special method for dragging - Use the trace of mouse movements to collect faces selected
def picking_with_drag(flags, x, y, view)
	#Reference of picked point in 2D	
	@pt_buf = Geom::Point3d.new(@xdown, @ydown, 0) unless @pt_buf
	ptxy = Geom::Point3d.new x, y, 0
	vec = ptxy.vector_to @pt_buf
	return nil unless vec.valid?
	segxy = [ptxy, @pt_buf]
	
	#Compute start face
	next_face = nil
	facebuf, edgebuf, trbuf, parentbuf = picking_under_mouse(flags, @pt_buf.x, @pt_buf.y, view)
	facebuf = nil if parentbuf != @parent_down
	next_face = facebuf
	@pt_buf = ptxy.clone
	return nil unless next_face 
	
	#Finding progressively contiguous faces
	t0 = Time.now
	picked_faces = []
	hsh_edges = {}
	lst = [next_face]
	while lst.length > 0
		next_face = lst.shift
		picked_faces.push next_face
		next_face.edges.each do |edge|
			edge_id = edge.entityID
			next if hsh_edges[edge_id]
			hsh_edges[edge_id] = true
			seg_edge = [edge.start.position, edge.end.position].collect { |pt| pt2d = @view.screen_coords(@tr * pt) ; pt2d.z = 0 ; pt2d }
			if G6.intersect_segment_segment(segxy, seg_edge)
				newface = face_visible_from_edge next_face, edge
				lst.push newface if newface
			end	
		end
	end
	return nil if picked_faces.empty?
	
	#Extending the picked faces
	ls_faces = []
	picked_faces.each do |face|
		next if ls_faces.include?(face)
		ls_faces += picking_extend_faces(face, @option_face_selection)
	end
	ls_faces
end

#THRUPAINT_TOOL: Find the next visible face bordering the edge
def face_visible_from_edge(face0, edge)
	ptmid = @tr * Geom.linear_combination(0.5, edge.start.position, 0.5, edge.end.position)
	ptmid2d = @view.screen_coords ptmid
	edge.faces.each do |f|
		next if f == face0
		vec_in = G6.transform_vector G6.normal_in_to_edge(edge, f), @tr
		size = @view.pixels_to_model 2, ptmid
		ptdec = ptmid.offset vec_in, size
		pt2d = @view.screen_coords(ptdec)
		ray = @view.pickray pt2d.x, pt2d.y
		pt, item = @model.raytest ray
		return f if pt && (@tr.inverse * pt).on_plane?(f.plane)
	end	
	nil
end

#THRUPAINT_TOOL: Extending the initial face
def picking_extend_faces(face0, option_face_selection)
	#Extending faces
	return nil unless face0
	case option_face_selection
	when :surface
		lsfaces = [face0] + G6.face_neighbours(face0)
	when :connected
		lsfaces = face0.all_connected.find_all { |e| e.instance_of?(Sketchup::Face) } 
	when :same_color
		lsfaces = adjacent_faces_same([face0])
	when :same_all
		lsfaces = adjacent_faces_same([face0], true)
	else
		lsfaces = [face0]
	end	
	lsfaces	
end

#THRUPAINT_TOOL: Extending the picked edge
def picking_extend_edges(edge0, option_edge_selection)	
	return nil unless edge0
	lsedges = []
	le = selection_edge_belong(edge0)
	if le
		lsedges = le
	elsif option_edge_selection == :connected
		lsedges = G6.curl_all_connected(edge0)
	elsif option_edge_selection == :curve
		lsedges = [edge0] + G6.curl_edges(edge0)
	elsif option_edge_selection == :follow
		lsedges = [edge0] + G6.curl_follow_extend(edge0, @anglemax_follow, @stop_at_crossing) { |e| acceptable_edge?(e) }  
	else
		lsedges = [edge0]
	end	
	lsedges.find_all { |e| acceptable_edge?(e) }
end
	
#THRUPAINT_TOOL: Find the adjacent faces with same color	
def adjacent_faces_same(faces, flg_stamp=false)
	face0 = faces[0]
	front0 = front_face_is_visible?(face0)
	mat0 = (front0) ? face0.material : face0.back_material
	uv_mode_ini0, stamp0 = Miro.check_stamp_uv_mode(face0, @recto, @verso)
	
	hsh_faces = {}
	faces.each do |face|
		next if hsh_faces[face.entityID]
		lface = [face]	
		while lface.length > 0
			f = lface.shift
			next if hsh_faces[f.entityID]
			hsh_faces[f.entityID] = f
			f.edges.each do |e|
				e.faces.each do |ff| 
					lface.push ff unless ff == f || hsh_faces[ff.entityID] || !same_as_initial_face?(front0, mat0, uv_mode_ini0, stamp0, ff, flg_stamp)
				end	
			end
		end	
	end	
	hsh_faces.values
end

#THRUPAINT_TOOL: Check if edge prop follows the specifications	
def acceptable_edge?(edge)
	return true if @action_uv == :mark_diagonal && @ph.picked_face
	return false unless edge
	return true if edge.soft? && @option_edge_prop =~ /S/
	return true if edge.smooth? && @option_edge_prop =~ /M/
	return true if edge.hidden? && @option_edge_prop =~ /H/
	return true if !edge.soft? && !edge.smooth? && !edge.hidden? && @option_edge_prop =~ /P/
	false
end

#THRUPAINT_TOOL: Identify which objects (face and edge)  are under the mouse
def picking_under_mouse(flags, x, y, view)
	precision = (@painter_mode_face) ? 0 : 10
	@ph.do_pick x, y, precision
	
	ph_edge = @ph.picked_edge
	ph_edge = nil unless acceptable_edge?(ph_edge)
	@ph_edge = ph_edge
	ph_face = @ph.picked_face
	@diag_edge = (@action_uv == :mark_diagonal) ? find_diagonal_edge(x, y, ph_face) : nil
	if @painter_mode_face
		elt = [ph_face, ph_edge].find { |e| e }
	else	
		elt = [ph_edge, ph_face].find { |e| e }
	end	
				
	#Finding the parent and transformation
	tr = @tr_id
	parent = nil
	return nil unless elt
	for i in 0..@ph.count
		ls = @ph.path_at(i)
		if ls && ls.include?(elt)
			parent = ls[-2]
			tr = @ph.transformation_at(i)
			break
		end
	end	
	tr = @tr_id unless tr
	[ph_face, ph_edge, tr, parent]
end
	
#THRUPAINT_TOOL: Compute the side of the initial face	
def analyze_picked_face
	face = @initial_face
	@picked_point = nil
	
	#No face
	unless face && @tr
		@miro = nil
		@last_initial_face = nil
		@material_on_picked_face = nil
		@material_on_picked_has_texture = false
		miro_edition_param_show
		return
	end	
	
	#Side of the face
	ray = @view.pickray @x, @y
	@initial_face_front = front_face_is_visible?(face)
	@material_on_picked_face = (@initial_face_front) ? face.material : face.back_material
	@material_on_picked_face = @parent.material unless @material_on_picked_face || !@parent
	@material_on_picked_face_name = @matos.material_name(@material_on_picked_face)
	@material_on_picked_has_texture = (@material_on_picked_face && @material_on_picked_face.texture) ? true : false
	@material_direct_edition = (@initial_face) ? ((@recto) ? @initial_face.material : @initial_face.back_material) : nil
	
	compute_recto_verso
	@match_material = match_material?(@initial_face)
	
	#3D Point picked on the face
	ray = ray.collect { |pt| @tr_r * pt }
	@picked_point = Geom.intersect_line_plane ray, face.plane
	
	#Finding the Miro
	if @last_initial_face != @initial_face
		@miro = miro_detect
		@family_contour = (@miro) ? @miro.family_compute_contour : nil
		@miro_locked = Miro.check_locked(@initial_stamp, @recto, @verso)
		compute_initial_face_text
		@last_initial_face = @initial_face
	end
	miro_edition_param_show
	
	#Computing the mire for UV axes
	compute_axes_uv
end

#THRUPAINT_TOOL: Calculate the text to be shown at cursor
def compute_initial_face_text	
	#Text for the face labelling
	if @initial_face_front
		@text_initial_face = @txt_front
		@text_initial_warning = (@option_face_side == :verso)
	else
		@text_initial_face = @txt_back
		@text_initial_warning = (@option_face_side == :recto)
	end	
	
	if @material_on_picked_has_texture
		txuv = @htext_uv[@uv_mode_ini]
		@text_initial_face += " [#{txuv}]" if txuv
	end
	
	if @text_initial_warning
		@text_initial_face += @txt_wont_be_visible
	end	
end

#THRUPAINT_TOOL: Compute the axes for the picked point
def compute_axes_uv
	visual_compute_axes_uv if @visual_edition_active && @visu
	@axes_uv = nil
	return unless @initial_face && !@button_down && miro_edition_authorized?
	@axes_uv = @miro.compute_axes_uv(@initial_face, @picked_point, @material_painted, @initial_face_front)
	@axes_uv
end

#THRUPAINT_TOOL: Check if the initial face in valid or not
def initial_face_in_error?
	return false unless @initial_face
	if @with_texture && (@uv_mode == :mesh && @initial_face.vertices.length > 4)
		return :too_many_edges
	end
	false
end

#THRUPAINT_TOOL: Determine the closest edge
def find_closest_edge(x, y, face)
	@direction_edge = @direction_vorigin = nil
	@uv_specs = @pts_direction = nil
	return if initial_face_in_error?
	ray = @view.pickray x, y
	t = @tr.inverse
	ray = ray.collect { |pt| t * pt }
	pt = Geom.intersect_line_plane ray, face.plane
	lst = []
	face.edges.each do |edge|
		info = G6.proximity_point_segment pt, edge.start.position, edge.end.position
		lst.push [edge, info[0]]
	end
	lst.sort! { |a, b| a[1] <=> b[1] }
	
	#Ignore edges with no cast shadow (convention for diagonals of pseudo quads)
	if @uv_mode == :mesh
		le = lst.find { |a| !G6.edge_is_diagonal?(a[0]) }
		edge = (le) ? le[0] : lst[0][0]
	else
		edge = lst[0][0]
	end	
	vorigin = (edge.start.position.distance(pt) < edge.end.position.distance(pt)) ? edge.start : edge.end
	@direction_edge = edge
	@direction_vorigin = vorigin
	
	#Computing the direction UV and specs for UV application
	compute_uv_specs
end

#THRUPAINT_TOOL: Find diagonal edge close to the mouse location
def find_diagonal_edge(x, y, face)
	return nil unless face && @tr
	pt = Geom::Point3d.new x, y, 0
	lst = []
	face.edges.each do |edge|
		lpt = [edge.start, edge.end].collect { |v| @view.screen_coords(@tr * v.position) }
		d, = G6.proximity_point_segment pt, *lpt
		lst.push [edge, d] if d < 15
	end	
	return nil if lst.empty?
	lst.sort! { |a, b| a[1] <=> b[1] }
	lst[0][0]
end

#---------------------------------------------------------------------------------------------
# THRUPAINT_TOOL: Contextual Menu
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Entries for the contextual menu
def ctxmenu_add_separator ; ctxmenu_add_item ; end
def ctxmenu_add_item(text=nil, &proc)
	if text
		@ctxmenu.add_item(text) { proc.call }
		@sepa_ctxmenu = false
	elsif !@sepa_ctxmenu
		@ctxmenu.add_separator
		@sepa_ctxmenu = true
	end	
end

#THRUPAINT_TOOL: SU call back for contextual menu
def getMenu(menu)
	@ctxmenu = menu
	@sepa_ctxmenu = true
	
	#Clear Error
	ctxmenu_add_item(T7[:MNU_ClearError]) { @miro_error = @miro_warning = nil } if @miro_error || @miro_warning

	#Sampling
	ctxmenu_add_separator
	ctxmenu_add_item(T7[:MNU_Sample]) { sample_current_material } if sampling_authorized?
	
	#Texture Management
	if direct_edition_authorized?
		ctxmenu_add_separator
		if @visual_edition_active
			ctxmenu_add_item(T7[:MNU_VisualStop]) { visual_stop }
		elsif miro_edition_authorized?
			ctxmenu_add_item(T7[:MNU_VisualStart]) { visual_start }
			ctxmenu_add_separator
			ctxmenu_add_item(T7[:MNU_ForcedPaint]) { @forced_paint = true ; onMouseMove_zero }
		else
			ctxmenu_add_item(T7[:MNU_EditTexture]) { miro_edit_texture }
		end	
		unless @miro_locked
			if @uv_mode_ini == :mesh || @uv_mode_ini == :projected
				ctxmenu_add_item(T7[:MNU_RefreshTexture]) { miro_refresh_texture } unless @visual_edition_active
				ctxmenu_add_separator
				ctxmenu_add_item(T7[:MNU_MirrorTextureU]) { miro_edition_mirror_uv :u }
				ctxmenu_add_item(T7[:MNU_MirrorTextureV]) { miro_edition_mirror_uv :v }
				ctxmenu_add_item(T7[:MNU_MirrorTexture]) { miro_edition_mirror_uv }
			end	
			ctxmenu_add_separator
			ctxmenu_add_item(T7[:MNU_TilingUV]) { miro_tiling_uv }
			ctxmenu_add_item(T7[:MNU_TilingUV1x1]) { miro_tiling_uv 1, 1 }
			ctxmenu_add_item(T7[:MNU_TilingUVParam]) { miro_tiling_uv_ask }
			ctxmenu_add_separator
			ctxmenu_add_item(T7[:MNU_RotatePlus90]) { miro_edition_rotate90_uv 1 }
			ctxmenu_add_item(T7[:MNU_RotateMinus90]) { miro_edition_rotate90_uv -1 }
			ctxmenu_add_item(T7[:MNU_Rotate180]) { miro_edition_rotate90_uv 2 }
			ctxmenu_add_separator
			ctxmenu_add_item(T7[:MNU_ResetTexture]) { miro_edition_translate_uv nil }
			ctxmenu_add_item(T7[:MNU_ResetTextureScaling]) { miro_edition_scale_uv 0, 0 }
			ctxmenu_add_item(T7[:MNU_ResetTextureRotation]) { miro_edition_rotate_uv 0 }
		end	
		if @miro
			ctxmenu_add_separator
			text = (@miro_locked) ? T7[:TIP_EditionUnlock] : T7[:TIP_EditionLock]
			ctxmenu_add_item(text) { miro_edition_toggle_lock }
			if @uv_mode == :mesh
				ctxmenu_add_separator
				ctxmenu_add_item(T7[:MNU_ToggleShowGuide]) { @miro.toggle_show_guide }
			end	
		end	
	end
		
	#Fixed commands
	ctxmenu_add_separator
	ctxmenu_add_item(T7[:TIP_SUEnv_CallNativePaint]) { call_native_supaint }
	ctxmenu_add_separator
	ctxmenu_add_item(T7[:MNU_HelpVCB]) { ThruPaint::VCBKeyHelpDialog.display }
	ctxmenu_add_separator
	ctxmenu_add_item(T6[:T_STR_ExitTool]) { exit_tool }
	
	menu
end

def menu_onoff_text(text, flag)
	onoff = (flag) ? T6[:T_MNU_On] : T6[:T_MNU_Off]
	text + " --> #{onoff}"
end
	
#---------------------------------------------------------------------------------------------
# Navigation logic
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Compute the Tooltip for view
def compute_tooltip
	level = (@matos.current_with_texture?) ? 'lightblue' : nil
	level = 'lightgreen' if materials_equal?(@matos.current, @material_on_picked_face)
	tip = "#{@msg_curmat} #{@matos.current_name}"
	if @painter_mode_face && @initial_face
		tip += "\n#{@msg_mat_on_face} #{@material_on_picked_face_name}"
	elsif @painter_mode_edge && @material_on_picked_edge_name
		tip += "\n#{@msg_mat_on_edge} #{@material_on_picked_edge_name}"
	end
	@palette.set_tooltip tip, level
end

#THRUPAINT_TOOL: Compute the cursor
def compute_cursor
	if @visual_edition_active
		@id_cursor = (@visu.inference) ? @id_cursor_hand_inference : @id_cursor_hand
	elsif @action_uv == :sample
		@id_cursor = @id_cursor_pipette
	elsif @action_uv == :sample_plus
		@id_cursor = @id_cursor_pipette_plus
	elsif @action_uv == :custom_plane
		@id_cursor = @id_cursor_custom_plane
	elsif @action_uv == :mark_diagonal
		@id_cursor = @id_cursor_diagonal
	elsif @painter_mode_container
		@id_cursor = @id_cursor_paint_container
	elsif @painter_mode_edge && !@painter_mode_face
		@id_cursor = @id_cursor_paint_edge
	elsif @uv_mode == :transfer
		@id_cursor = @id_cursor_paint_transfer
	elsif @uv_mode == :mesh
		@id_cursor = @id_cursor_paint_mesh
	elsif @uv_mode == :projected
		@id_cursor = @id_cursor_paint_projected
	else
		@id_cursor = @id_cursor_paint_normal
	end	
end

#THRUPAINT_TOOL: Update context and display after a pick	
def after_pick
	compute_cursor
	compute_tooltip
	show_message
	@view.invalidate	
end

#THRUPAINT_TOOL: Manage the click down
def handle_click_down(flags, x, y, view)
	@far_from_down = false
	arrow_animation_stop
	return if !@action_uv && visual_click_down(flags, x, y, view)
	
	face, edge, = picking_under_mouse(flags, x, y, view)	
	
	#Special actions
	@action_uv_down = @action_uv
	if @action_uv == :sample 
		sample_current_material if @initial_face #&& !materials_equal?(@material_on_picked_face, @material_painted)
	elsif @action_uv == :sample_plus 
		sample_current_material_plus if @initial_face
	elsif @action_uv == :custom_plane 
		store_custom_plane if @initial_face
	elsif @action_uv == :mark_diagonal 	
		diagonal_mark
		
	#Painting	
	elsif (face || edge) || (@painter_mode_container && (@picked_container || @picked_element))
		@parent_down = @parent
		start_painting
	end	
end

#THRUPAINT_TOOL: Manage the click up: put pick elements in selection
def handle_click_up(flags, x, y, view)
	return if visual_click_up(flags, x, y, view)
	
	if @action_uv
		#do nothing
	elsif @far_from_down || @real_painting
		finish_painting if @painting
	elsif @initial_face && miro_edition_authorized? && !@action_uv_down
		visual_start
		after_pick
		onSetCursor
	end
	@action_uv_down = false
	@painting = false
	onMouseMove_zero
end
	
#THRUPAINT_TOOL: Button click - On a face, label the face, otherwise end the selection
def handleDoubleClick(flags, x, y, view)
	if @action_uv
		if @action_uv == :mark_diagonal
			diagonal_toggle
		else
			@action_uv = nil
		end
	elsif miro_edition_authorized?
		visual_start
	elsif !@lst_picked || @lst_picked.empty?
		return exit_tool
	end	
	onMouseMove_zero
end

#THRUPAINT_TOOL: Return or Enter key pressed
def handle_onReturn
	if @visual_edition_active
		visual_stop
	elsif miro_edition_authorized?
		visual_start
		onMouseMove_zero
	else	
		sample_current_material if sampling_authorized?
	end	
end

#---------------------------------------------------------------------------------------------
#---------------------------------------------------------------------------------------------
# VISUAL: Handling Visual Edition
#---------------------------------------------------------------------------------------------
#---------------------------------------------------------------------------------------------

VisualInfo = Struct.new :picked_point, :origin, :tr, :axes, :axes0, :plane, :miro, :initial_face, :material, :initial_face_front,
                        :hsh_handles, :draw_axes, :draw_axes2d, :hi_handle, :clicked_handle, :transforming, 
						:message, :scaling, :rotating, :protractor, :inference, :color_black, :hsh_ticks, :hsh_llticks
VisualHandle = Struct.new :symb, :polygon, :origin, :color, :mark, :text, :size, :target, :scale, :prev_scale, :angle, :prev_angle

#VISUAL: Start the visual edition mode
def visual_start
	@visual_edition_active = true
	@visual_edition_stopping = false
	
	#Creating the structure
	@visual_pixel = 150.0
	@visu = VisualInfo.new
	@visu.transforming = false
	@visu.miro = @miro
	@visu.picked_point = @picked_point
	@visu.initial_face = @initial_face
	@visu.initial_face_front = @initial_face_front
	@visu.material = @material_painted
	@visu.tr = @tr
	@visu.origin = @tr * @picked_point
	@visu.protractor = G6::ShapeProtractor.new
	@visu.inference = true
	@visu.color_black = Traductor::Couleur.color_at_face('black', @visu.initial_face)
	
	#Computing the origin and axes
	@miro.edition_prepare @visu.material
	#@miro.edition_set_origin @visu.picked_point, @visu.initial_face, @visu.initial_face_front
	miro_edition_set_origin @miro, @visu.picked_point, @visu.initial_face, @visu.initial_face_front
	visual_compute_axes_uv
	
	#Creating the handles
	@visu.hsh_handles = {}
	visual_handle_define :translate, 'blue', T6[:T_STR_TR_Translation], 8, G6::DrawMark_FourArrows.new(6, 'black', 2)
	if @uv_mode == :mesh || @uv_mode == :projected
		visual_handle_define :scaleU, 'red', T6[:T_STR_TR_ScalingU], 6
		visual_handle_define :scaleV, 'green', T6[:T_STR_TR_ScalingV], 6
	end	
	visual_handle_define :scale, 'magenta', T6[:T_STR_TR_ScalingUniform], 6
	visual_handle_define :rotateU, 'lightpink', T6[:T_STR_TR_Rotation], 8, G6::DrawMark_Curve.new(6, 'black', 2)
	visual_handle_define :rotateV, 'lightgreen', T6[:T_STR_TR_Rotation], 8, G6::DrawMark_Curve.new(6, 'black', 2)
	compute_cursor
	visual_display_compute
end

#VISUAL: Initialize messages
def visual_init_messages
	@visual_msg_click_drag_scale = T7[:MSG_VisualClickDragScale]
	@visual_msg_click_drag_translate = T7[:MSG_VisualClickDragTranslate]
	@visual_msg_click_drag_rotate = T7[:MSG_VisualClickDragRotate]
	@visual_msg_drag_scale = T7[:MSG_VisualDragScale]
	@visual_msg_drag_translate = T7[:MSG_VisualDragTranslate]
	@visual_msg_drag_rotate = T7[:MSG_VisualDragRotate]
	@visual_msg_click_exit = T7[:BOX_VisualExitClick]
	@visual_msg_texture_locked = T7[:INFO_EditionLocked]
end

#VISUAL: Compute the axes for the picked point
def visual_compute_axes_uv
	axes_uv = @visu.miro.compute_axes_uv(@visu.initial_face, @visu.picked_point, @visu.material, @visu.initial_face_front)
	@visu.axes = axes_uv.collect { |v| G6.transform_vector(v, @visu.tr) }
	@visu.axes[2] = @visu.axes[0] * @visu.axes[1]
	@visu.plane = [@visu.origin, @visu.axes[2]]
end

#VISUAL: Stop and finish the visual edition mode
def visual_stop
	return unless @visual_edition_active
	@visual_edition_active = false
	@visual_edition_stopping = false
	@visu.transforming = false
	@visu.clicked_handle = nil
	onMouseMove_zero
	onSetCursor
end

#VISUAL: Manage the cancel by Escape during visual session
def visual_cancel
	return unless @visual_edition_active
	visual_reset_after_transform
end

#VISUAL: Define the handles and store parameters in a structure
def visual_handle_define(symb, color, text, size, mark=nil)
	handle = VisualHandle.new
	@visu.hsh_handles[symb] = handle
	handle.symb = symb
	handle.color = color
	handle.text = text
	handle.mark = mark
	handle.size = size
	handle
end

#VISUAL: Draw the visual controller
def visual_draw(view)
	return unless @visual_edition_active && @visu
	visual_display_compute if @view_tracker.changed?
	
	#Drawing the axes
	origin_2d, ptx_2d, pty_2d, ptd_2d = @visu.draw_axes2d
	view.line_width = 2
	view.line_stipple = '_'
	view.drawing_color = 'gray'
	view.draw2d GL_LINE_STRIP, [origin_2d, ptd_2d]		
	view.draw2d GL_LINE_STRIP, [ptx_2d, ptd_2d]		
	view.draw2d GL_LINE_STRIP, [pty_2d, ptd_2d]		
	view.line_width = 2
	view.line_stipple = ''
	view.drawing_color = 'red'
	view.draw2d GL_LINE_STRIP, [origin_2d, ptx_2d]		
	view.drawing_color = 'green'
	view.draw2d GL_LINE_STRIP, [origin_2d, pty_2d]	

	#Draw the text, mark, protractors and Scale grids if applicable
	hi_handle = @visu.hi_handle
	clicked_handle = @visu.clicked_handle
	if clicked_handle
		ptxy = view.screen_coords clicked_handle.target
		pts = G6.pts_square(ptxy.x, ptxy.y, 2)
		view.drawing_color = 'green'
		view.draw2d GL_POLYGON, pts		
		case clicked_handle.symb
		when :translate
			visual_draw_translate_meter view
		when :scale, :scaleU, :scaleV
			visual_draw_scale_meter view, clicked_handle		
		when :rotateU, :rotateV
			visual_draw_protractor view, clicked_handle, 1.5		
		end
		text = clicked_handle.text
		text += " = #{Traductor.nice_float(clicked_handle.scale, 3)}x" if clicked_handle.scale
		text += " = #{Sketchup.format_angle(clicked_handle.angle)}d" if clicked_handle.angle
		G6.draw_rectangle_text view, @x, @y, text, 'lightgreen', 'green' unless @mouse_in_palette
	elsif hi_handle 
		case hi_handle.symb
		when :translate
			visual_draw_translate_meter view
		when :scale, :scaleU, :scaleV
			visual_draw_scale_meter view, hi_handle		
		when :rotateU, :rotateV
			visual_draw_protractor view, hi_handle, 0.5		
		end
		text = hi_handle.text
		G6.draw_rectangle_text view, @x, @y, text, 'lightgreen', 'green' unless @mouse_in_palette
	else	
		G6.draw_rectangle_text view, @x, @y, @visual_msg_click_exit, 'lightgrey', 'green' unless @mouse_in_palette
	end	
	
	#Drawing the handles
	@visu.hsh_handles.each do |symb, handle|
		visual_draw_handle view, handle
	end	
end

#VISUAL: Draw the Translate meter line
def visual_draw_translate_meter(view)
	return if @visu.miro.edition_locked?
	origin2d, ptx2d, pty2d, ptd2d = @visu.draw_axes.collect { |pt| @view.screen_coords pt }
	vec_u = origin2d.vector_to ptx2d
	vec_v = origin2d.vector_to pty2d
	w = view.vpwidth
	ptmin_u = origin2d.offset vec_u, -w
	ptmax_u = origin2d.offset vec_u, w
	h = view.vpheight
	ptmin_v = origin2d.offset vec_v, -h
	ptmax_v = origin2d.offset vec_v, h
	view.line_width = 1
	view.line_stipple = '-'
	view.drawing_color = 'red'
	view.draw2d GL_LINE_STRIP, [ptmin_u, ptmax_u]
	view.drawing_color = 'green'
	view.draw2d GL_LINE_STRIP, [ptmin_v, ptmax_v]
end

#VISUAL: Draw the Scale meter line
def visual_draw_scale_meter(view, handle)
	return if @visu.miro.edition_locked?
	symb = handle.symb
	llticks = @visu.hsh_llticks[symb]
	color = handle.color
	view.drawing_color = color
	view.line_width = 2
	view.line_stipple = ''
	view.draw2d GL_LINES, llticks
end

#VISUAL: Update the placement of the protractor
def visual_update_protector(view, handle)
	axeU, axeV, normal = @visu.axes
	axe = (handle.symb == :rotateU) ? axeU : axeV
	@visu.protractor.set_placement @visu.origin, @visu.axes[2], axe, @visu.initial_face
end

#VISUAL: Draw the protractors
def visual_draw_protractor(view, handle, scale)
	return if @visu.miro.edition_locked?
	@visu.protractor.draw view, scale
	return unless handle == @visu.clicked_handle
	
	#Drawing the guide line
	w = view.vpwidth
	h = view.vpheight
	d = Math.sqrt(w * w + h * h)
	lines = [@visu.origin, handle.target].collect { |pt| view.screen_coords pt }
	vec2d = lines[0].vector_to lines[1]
	ptbeg = lines[0].offset vec2d, -d
	ptend = lines[1].offset vec2d, d
	view.drawing_color = @visu.color_black
	view.line_width = 2
	view.line_stipple = '_'
	view.draw2d GL_LINE_STRIP, [ptbeg, ptend]
end

#VISUAL: Draw a single handle
def visual_draw_handle(view, handle)
	return if @visu.scaling && handle.symb.to_s !~ /scale/
	target = (handle.target) ? handle.target : handle.origin
	origin2d = view.screen_coords handle.origin
	target2d = view.screen_coords target
	t = Geom::Transformation.translation origin2d.vector_to(target2d)
	polygon = handle.polygon.collect { |pt| t * pt }
	
	if @visu.miro.edition_locked?
		color = 'lightgrey'
	elsif handle == @visu.hi_handle
		color = (@button_down || @visu.transforming) ? 'white' : 'yellow'
	else	
		color = handle.color
	end	
	view.drawing_color = color
	view.draw2d GL_POLYGON, polygon
	view.drawing_color = 'black'
	view.line_width = 1
	view.line_stipple = ''
	view.draw2d GL_LINE_LOOP, polygon
	handle.mark.draw_at_point3d view, target if handle.mark		
end

#VISUAL: Compute the visual controller for display
def visual_display_compute
	axe_u0, axe_v0 = @visu.axes
	
	#Compute the axes
	origin = @visu.origin
	size = @view.pixels_to_model @visual_pixel, origin
	ptx = origin.offset axe_u0, size
	pty = origin.offset axe_v0, size
	ptd = pty.offset axe_u0, size
	@visu.draw_axes = [origin, ptx, pty, ptd]
	@visu.draw_axes2d = @visu.draw_axes.collect { |pt| @view.screen_coords(pt) }
	
	#Compute the handles
	@visu.hsh_handles.each do |symb, handle|
		case symb
		when :scaleU	
			ptorig = Geom.linear_combination 0.5, origin, 0.5, ptx
			axe_u = axe_u0
		when :scaleV	
			ptorig = Geom.linear_combination 0.5, origin, 0.5, pty
			axe_u = axe_v0
		when :scale	
			ptorig = Geom.linear_combination 0.5, origin, 0.5, ptd
			axe_u = Geom.linear_combination 0.5, axe_u0, 0.5, axe_v0
		when :rotateU	
			ptorig = ptx
			axe_u = axe_u0
		when :rotateV	
			ptorig = pty
			axe_u = axe_v0
		else	
			ptorig = origin
			axe_u = axe_u0
		end	
		handle.origin = handle_target = ptorig
		size = @view.pixels_to_model handle.size, ptorig
		size2 = 2 * size
		axe_v = @visu.plane[1] * axe_u
		pt0 = ptorig.offset(axe_u, -size).offset axe_v, -size
		pt1 = pt0.offset(axe_u, size2)
		pt2 = pt1.offset(axe_v, size2)
		pt3 = pt2.offset(axe_u, -size2)
		handle.polygon = [pt0, pt1, pt2, pt3].collect { |pt| @view.screen_coords(pt) }
		handle.polygon.each { |pt| pt.z = 0 }
	end	
	
	#Compute the Scale Meter
	visual_compute_scale_meter
end

#VISUAL: Compute the drawing instructions for the mark in a handle
def visual_handle_instruction(handle, polygon)
	lst_gl = []
	pt0, pt1, pt2, pt3 = polygon
	case handle.symb
	when :translate
		ptmid1 = Geom::Point3d.new(0.5, pt0, 0.5, pt1)
		ptmid2 = Geom::Point3d.new(0.5, pt0, 0.5, pt1)
		lst_gl.push [GL_LINE_STRIP, [ptmid1, ptmid2], color, 2, '']
	end
	lst_gl
end

#VISUAL: Check if mouse is within a handle
def visual_handle_within?(x, y)
	ptxy = Geom::Point3d.new x, y, 0
	@visu.hsh_handles.each do |symb, handle|
		return handle if Geom.point_in_polygon_2D(ptxy, handle.polygon, true)
	end
	nil
end

#VISUAL: Track mouse move
def visual_move(flags, x, y, view)
	#return true if @visual_edition_stopping
	return false unless @visual_edition_active
	visual_display_compute if @view_tracker.changed?

	#Computing the point in 3d space
	ray = view.pickray x, y
	target = Geom.intersect_line_plane ray, @visu.plane
	return false unless target
	
	#Finding if the mouse is within a handle
	clicked_handle = @visu.clicked_handle
	if clicked_handle && (@button_down || @visu.transforming)
		if @visu.miro.edition_locked?
			@visu.message = @visual_msg_texture_locked
			@visu.scaling = @visu.rotating = nil
		else	
			case clicked_handle.symb
			when :translate
				visual_uv_translate clicked_handle, target
				@visu.message = @visual_msg_drag_translate
				@visu.scaling = @visu.rotating = nil
			when :scale, :scaleU, :scaleV
				visual_uv_scale clicked_handle, target
				@visu.message = @visual_msg_drag_scale
				@visu.scaling = clicked_handle.symb
			when :rotateU, :rotateV
				visual_uv_rotate clicked_handle, target
				@visu.message = @visual_msg_drag_rotate
				@visu.rotating = clicked_handle.symb
			else
				@visu.message = nil
				@visu.scaling = @visu.rotating = nil
			end
		end	
		status = true
	else
		@visu.hi_handle = visual_handle_within?(x, y)
		if @visu.hi_handle && !@visu.miro.edition_locked?
			symb = @visu.hi_handle.symb
			case symb
			when :translate
				@visu.message = @visual_msg_click_drag_translate
				@visu.scaling = @visu.rotating = nil
			when :scale, :scaleU, :scaleV
				@visu.message = @visual_msg_click_drag_scale
				@visu.scaling = symb
			when :rotateU, :rotateV
				@visu.message = @visual_msg_click_drag_rotate
				@visu.rotating = symb
				visual_update_protector view, @visu.hi_handle
			end
		else	
			@visu.message = @visual_msg_click_exit
			@visu.scaling = @visu.rotating = nil
		end	
		status = false
	end
	
	after_pick
	status
end

#VISUAL: Click down: Start transformation if mouse within a handle
def visual_click_down(flags, x, y, view)
	return false unless @visual_edition_active
	
	#Checking if click is on visual controls
	if @visu.transforming
		return true
	else
		handle = visual_handle_within?(x, y)
		if handle
			return true if @visu.miro.edition_locked?
			@miro = @visu.miro
			start_operation_edition
			handle.target = handle.origin
			@visu.clicked_handle = handle
			@visu.axes0 = @visu.axes.clone
			@visu.miro.edition_compute_hotfaces
			visual_update_protector view, handle
			return true
		end	
	end
	
	#Exiting from Visual Mode
	@visual_edition_stopping = true
	after_pick
	true
end

#VISUAL: Click up - Finish visual mode
def visual_click_up(flags, x, y, view)
	return false unless @visual_edition_active
	@miro = @visu.miro
	status = false
	handle = @visu.clicked_handle
	if handle
		if @far_from_down || @visu.transforming
			miro_edition_commit
			visual_reset_after_transform
		else
			@visu.transforming = true
		end
		status = true
	elsif @visual_edition_stopping
		visual_stop
		status = true
	end		
	status
end

#VISUAL: Double click
def visual_doubleclick(flags, x, y, view)
	return false unless @visual_edition_active
end

#VISUAL: Reset environment after transform
def visual_reset_after_transform
	return unless @visu
	handle = @visu.clicked_handle
	if handle
		handle.target = nil
		handle.prev_scale = handle.scale = nil
		handle.prev_angle = handle.angle = nil
	end	
	visual_compute_axes_uv	
	#@visu.miro.edition_set_origin @visu.picked_point, @visu.initial_face, @visu.initial_face_front
	miro_edition_set_origin @visu.miro, @visu.picked_point, @visu.initial_face, @visu.initial_face_front
	@visu.hi_handle = nil
	@visu.clicked_handle = nil
	@visu.transforming = false
	@visu.message = nil
	@visu.scaling = @visu.rotating = nil
	visual_display_compute
	onMouseMove_zero
	after_pick
end

#VISUAL: Compute the text for message area
def visual_text_message
	return nil unless @visual_edition_active
	@visu.message
end

#VISUAL: Perform UV Translation
def visual_uv_translate(handle, target)
	target = visual_inference_translation(handle, target)
	pt_cursor = handle.target
	handle.target = target
	return if target == pt_cursor
	miro = @visu.miro
	origin = @visu.origin
	tr_axes = (Geom::Transformation.axes origin, *@visu.axes).inverse
	vec = G6.transform_vector(pt_cursor.vector_to(target), tr_axes)
	u_u, u_v = miro.get_axis_uv
	vec.x /= u_u
	vec.y /= u_v
	return if vec.length == 0
	miro.edition_translate_uv vec
end

#VISUAL: Manage inference along axis for Translation
def visual_inference_translation(handle, target)
	return target unless @visu.inference
	deltapix = 10
	origin2d, ptx2d, pty2d, ptd2d = @visu.draw_axes.collect { |pt| @view.screen_coords pt }
	target2d = @view.screen_coords target
	lineU = [origin2d, origin2d.vector_to(ptx2d)]
	lineV = [origin2d, origin2d.vector_to(pty2d)]
	du = target2d.distance_to_line lineU
	dv = target2d.distance_to_line lineV
	ptproj = nil
	ptproj = target2d.project_to_line lineU if du <= deltapix && du < dv
	ptproj = target2d.project_to_line lineV if dv <= deltapix && dv < du
	target = Geom.intersect_line_plane @view.pickray(ptproj.x, ptproj.y), @visu.plane if ptproj
	target
end

#VISUAL: Perform UV Scaling
def visual_uv_scale(handle, target)
	origin, ptx, pty, ptd = @visu.draw_axes
	case handle.symb
	when :scale
		ptend = ptd
	when :scaleU
		ptend = ptx
	when :scaleV
		ptend = pty
	end	
	vec = origin.vector_to ptend
	ptmid = Geom.linear_combination 0.5, origin, 0.5, ptend
	ptproj = target.project_to_line [origin, ptend]
	vecproj = ptmid.vector_to ptproj
	reduce = (vec % vecproj < 0)
	handle.target = ptproj
	miro = @visu.miro
	origin = @visu.origin
	
	origin2d = @view.screen_coords ptmid
	target2d = @view.screen_coords ptproj
	d = origin2d.distance(target2d).round
	return if d == 0
	d0, scale = visual_inference_scaling(d, reduce)
	if d0
		vec2d = origin2d.vector_to target2d
		pt2d = origin2d.offset vec2d, d0
		handle.target = Geom.intersect_line_plane @view.pickray(pt2d.x, pt2d.y), @visu.plane
	end	
	handle.scale = scale
	prev_scale = (handle.prev_scale) ? handle.prev_scale : 1.0
	handle.prev_scale = scale
	scale /= prev_scale
	
	#Preforming the scaling
	fac_u = fac_v = 1.0
	case handle.symb
	when :scale
		fac_u = fac_v = scale
	when :scaleU
		fac_u = scale
	when :scaleV
		fac_v = scale
	end	
	miro.edition_scale_uv 1.0 / fac_u, 1.0 / fac_v
end

#VISUAL: Manage inference for scaling
def visual_inference_scaling(d, reduce)
	return visual_log_scale(nil, reduce) unless @visu.inference
	delta_pix = 4
	if reduce
		for i in 1..9
			scale0 = 0.1 * i
			d0 = visual_log_distance scale0, reduce
			return [d0, scale0] if (d - d0).abs < delta_pix
		end	
		dmin = visual_log_distance(0.1, reduce)
		return [dmin, 0.1] if d > dmin
		return [nil, visual_log_scale(d, reduce)]
	end
	
	for i in 1..100
		scale0 = 1.0 * i
		d0 = visual_log_distance scale0, reduce
		return [d0, scale0] if (d - d0).abs < delta_pix
		break if d0 > d
	end	
	return [nil, visual_log_scale(d, reduce)]
end

#VISUAL: Compute the scaling factor based on distance on the screen
def visual_log_scale(d, reduce)
	ff = 2.0
	if reduce
		d = @visual_pixel if d > @visual_pixel
		scale = 1.0 - d / @visual_pixel
	else	
		ratio = 1.0 + ff * d / @visual_pixel
		scale = 1.0 + d / @visual_pixel * ratio
	end
	scale = 0.1 if scale < 0.1
	scale
end

#VISUAL: Compute the distance based on scale factor on the screen
def visual_log_distance(scale, reduce)
	ff = 2.0
	if reduce
		d = (1.0 - scale) * @visual_pixel
	else
		a = ff / @visual_pixel / @visual_pixel
		b = 1.0 / @visual_pixel
		c = 1.0 - scale
		d = (-b + Math.sqrt(b * b - 4.0 * a * c)) / 2.0 / a
	end
	d
end

#VISUAL: Compute the Scale meter line
def visual_compute_scale_meter
	dtick = 5
	origin2d, ptx2d, pty2d, ptd2d = @visu.draw_axes.collect { |pt| @view.screen_coords pt }
	hsh_ticks = @visu.hsh_ticks = {}
	hsh_llticks = @visu.hsh_llticks = {}
	[:scale, :scaleU, :scaleV].each do |symb|
		handle = @visu.hsh_handles[symb]
		next unless handle
		hori2d = @view.screen_coords handle.origin
		case symb
		when :scale
			vec = origin2d.vector_to ptd2d
		when :scaleU
			vec = origin2d.vector_to ptx2d
		when :scaleV
			vec = origin2d.vector_to pty2d
		end
		vperp = vec * Z_AXIS
	
		@visu.hsh_ticks[symb] = ticks = []
		@visu.hsh_llticks[symb] = llticks = []
		for i in 1..9
			scale = 0.1 * i
			d = visual_log_distance scale, true
			break if d > @visual_pixel
			ticks.push [scale, d]
			pt = hori2d.offset vec, -d
			ptp1 = pt.offset vperp, dtick
			ptp2 = pt.offset vperp, -dtick
			llticks.push ptp1, ptp2
		end
		for i in 2..100
			scale = i
			d = visual_log_distance scale, false
			break if d > 2 * @visual_pixel
			ticks.push [scale, d]
			pt = hori2d.offset vec, d
			ptp1 = pt.offset vperp, dtick
			ptp2 = pt.offset vperp, -dtick
			llticks.push ptp1, ptp2
		end
		ptp1 = hori2d.offset vperp, dtick+4
		ptp2 = hori2d.offset vperp, -(dtick+4)
		ptmin = hori2d.offset vec, -@visual_pixel
		ptmax = hori2d.offset vec, 2 * @visual_pixel
		llticks.push ptp1, ptp2, ptmin, ptmax
	end		
end


#VISUAL: Perform UV Rotating
def visual_uv_rotate(handle, target)
	origin, ptx, pty, ptd = @visu.draw_axes
	normal = @visu.axes[2]
	incr_angle = 15.degrees
	precision_angle = 4.degrees
	
	ptend = (handle.symb == :rotateU) ? ptx : pty
	ptproj = target.project_to_plane @visu.plane
	vec_base = origin.vector_to ptend
	vec_rot = origin.vector_to ptproj
	angle = vec_base.angle_between vec_rot
	angle = -angle if angle != 0 && (vec_base * vec_rot) % normal < 0
	
	#Simulating the inference
	if @visu.inference
		d0 = origin.distance ptend
		d = origin.distance ptproj
		fac = (d0 >= d) ? 1.0 : ((d > 2 * d0) ? 0 : d0 / d)
		inf_angle = (angle / incr_angle).round * incr_angle
		if (angle - inf_angle).abs < precision_angle * fac
			trot = Geom::Transformation.rotation(origin, normal, inf_angle - angle)
			angle = inf_angle
			ptproj = trot * ptproj
		end
	end
	
	#Executing the transformation
	prev_angle = (handle.prev_angle) ? handle.prev_angle : 0
	angle_rot = angle - prev_angle
	handle.prev_angle = angle
	handle.angle = angle
	handle.target = ptproj	
	@visu.miro.edition_rotate_uv -angle_rot if angle_rot != 0
end

#VISUAL: Display the ticked line for scaling
def visual_draw_scale_ticks(view)
	symb = @visu.scaling
	return symb
end

#---------------------------------------------------------------------------------------------
#---------------------------------------------------------------------------------------------
# Handling VCB inputs
#---------------------------------------------------------------------------------------------
#---------------------------------------------------------------------------------------------
	
#THRUPAINT_TOOL - VCB: Declare vcb formats
def init_VCB	
	@vcb = Traductor::VCB.new
	@vcb.declare_input_format :scale, "f_x_uv"
	@vcb.declare_input_format :rotation180plus, "_++"
	@vcb.declare_input_format :rotation180minus, "_--"
	@vcb.declare_input_format :rotation90plus, "_+"
	@vcb.declare_input_format :rotation90minus, "_-"
	@vcb.declare_input_format :rotation_abs, "aa"
	@vcb.declare_input_format :rotation, "a"
	@vcb.declare_input_format :translation, "f__uv"
	@vcb.declare_input_format :mirror, "_/_uv"
	@vcb.declare_input_format :tiling, ["f_*_uv", "_*_uv"]
	@vcb.declare_input_format :tiling_ask, "_**"
end
	
#THRUPAINT_TOOL - VCB: Input in VCB
def handle_VCB(text, view)
	return UI.beep unless @vcb
	return UI.beep unless (direct_edition_authorized? && @picked_point) || @visual_edition_active
	nb_errors = @vcb.process_parsing(text)
	
	if nb_errors > 0
		lmsg = []
		@vcb.each_error { |symb, s| lmsg.push "<#{s}>" }
		msg = "#{T6[:T_ERROR_InVCB]} \"#{text}\"  --> #{lmsg.join(' - ')}"
		@palette.set_message msg, 'E'
		view.invalidate
	else
		action_from_VCB
	end	
end

#THRUPAINT_TOOL - VCB: Execute the transform action from the VCB input	
def action_from_VCB
	#Preparing the edition
	return UI.beep if @miro_locked
	return UI.beep unless miro_edition_begin(true)
	refresh = false

	#Building the transformation in sequence
	@vcb.each_result do |symb, val, suffix|
		case symb
		when :scale
			fac_u = fac_v = 1.0
			fac = (val.abs > 0.0001) ? 1.0 / val : 0
			if @uv_mode == :natural || suffix == ""
				fac_u = fac_v = fac
			elsif suffix == 'u'
				fac_u = fac
			elsif suffix == 'v'
				fac_v = fac
			end	
			refresh |= @miro.edition_set_scaling_uv 0, 1.0 if fac_u < 0
			refresh |= @miro.edition_set_scaling_uv 1.0, 0 if fac_v < 0
			refresh |= @miro.edition_set_scaling_uv fac_u.abs, fac_v.abs
			
		when :rotation
			refresh |= @miro.edition_set_rotation_uv val.degrees

		when :rotation_abs
			refresh |= @miro.edition_set_rotation_uv 0
			refresh |= @miro.edition_set_rotation_uv val.degrees
			
		when :translation
			vu = vv = 0
			if suffix == 'u'
				vu = val
			elsif suffix == 'v'
				vv = val
			else
				vu = vv = val
			end
			vec = miro_edition_translate_vector_from_values(vu, vv)
			refresh |= @miro.edition_set_translation_uv vec
			
		when :mirror
			if suffix == 'u'
				refresh |= @miro.edition_set_mirror_uv :u
			elsif suffix == 'v'
				refresh |= @miro.edition_set_mirror_uv :v
			else
				refresh |= @miro.edition_set_mirror_uv
			end
		
		when :tiling
			mu = mv = nil
			val = val.abs if val
			if suffix == 'u'
				mu = val
			elsif suffix == 'v'
				mv = val
			else
				mu = mv = val
			end
			refresh |= @miro.edition_set_tiling_uv mu, mv

		when :tiling_ask
			mu, mv = @miro.edition_ask_tiling_uv
			refresh |= @miro.edition_set_tiling_uv if mu
			
		when :rotation180plus
			refresh |= @miro.edition_set_rotation_uv 180.degrees
		when :rotation180minus
			refresh |= @miro.edition_set_rotation_uv -180.degrees
		when :rotation90plus
			refresh |= @miro.edition_set_rotation_uv 90.degrees
		when :rotation90minus
			refresh |= @miro.edition_set_rotation_uv -90.degrees
		end	
	end	
	
	#Executing the transformation
	return unless refresh
	start_operation_edition
	@miro.edition_refresh_uv
	miro_edition_commit
	compute_axes_uv	
	visual_reset_after_transform
end

#---------------------------------------------------------------------------------------------
# Matching of material and face sides
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL - MATERIAL: Test if current face has the material
def match_material?(face)
	(!@recto || (@recto && materials_equal?(face.material, @material_painted))) &&
	(!@verso || (@verso && materials_equal?(face.back_material, @material_painted)))
end

#THRUPAINT_TOOL - MATERIAL: Check if the face has the same material as the initial face (and optionally same stamp / uv_mode)
def same_as_initial_face?(front, mat, uv_mode_ini, stamp_ini, face, flg_stamp=false)
	status = (front) ? face.material == mat : face.back_material == mat
	return status unless flg_stamp && status
	uv_mode, stamp = Miro.check_stamp_uv_mode(face, @recto, @verso)
	(stamp == stamp_ini && uv_mode == uv_mode_ini)
end

#THRUPAINT_TOOL - MATERIAL: Check if the face under the mouse can be edited for texture
def direct_edition_authorized?
	@painter_mode_face && @initial_face && @material_direct_edition && @material_direct_edition.valid? && @material_direct_edition.texture
end

#THRUPAINT_TOOL - MATERIAL: Update the current material with the matrial which is under the mouse if any
def sample_current_material
	if (@material_on_picked_face == nil || @material_on_picked_face.class == Sketchup::Material) #&&
	   #!materials_equal?(@matos.current, @material_on_picked_face)
		play_camera_sound
		change_current_material @material_on_picked_face
		
		#Sample transformation (scale + rotation)
		if @material_on_picked_face && @material_on_picked_face.texture
			Miro.sample_material_transformation @material_on_picked_face, @initial_stamp, @recto, @verso
		end	
	end
	
	set_action_uv nil if @action_uv
	onMouseMove_zero
end

#THRUPAINT_TOOL - MATERIAL: Update the current material with the matrial which is under the mouse if any and change the UV mode
def sample_current_material_plus
	force_uv_mode @uv_mode_ini if @material_on_picked_face && @material_on_picked_face.texture
	sample_current_material
end

#THRUPAINT_TOOL - MATERIAL: Change current material
def change_current_material(mat)
	@matos.current = mat
	reset_drawing_face_env
	start_over
	unless @mouseOut
		onMouseMove_zero
		compute_axes_uv
	end	
end

#THRUPAINT_TOOL - MATERIAL: Play a camera click sound
def play_camera_sound	
	@camera_sound = Traductor::MYPLUGIN.picture_get "Camera_click.wav" unless @camera_sound
	UI.play_sound @camera_sound if FileTest.exist?(@camera_sound)
end

#---------------------------------------------------------------------------------------------
# MIRO Management
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Invalidate the miro to force recalculation further on
def miro_invalidate_all(miro_except=nil)
	@lst_all_miros.each { |miro| miro.invalidate unless miro == miro_except } if @lst_all_miros
end

#THRUPAINT_TOOL: Detect if the picked face is part of a family of faces previously painted
def miro_detect
	mat = @material_painted
	@uv_mode_ini = nil
	return nil unless @painter_mode_face && @initial_face
	@uv_mode_ini, stamp = Miro.check_stamp_uv_mode(@initial_face, @recto, @verso)
	@initial_stamp = stamp
	
	#No match of material
	return nil unless @match_material && (!@with_texture || ((stamp && @uv_mode_ini == @uv_mode) || (!stamp && (!@with_texture || @uv_mode == :natural))))
	return nil if @forced_paint
	
	#Check if the initial face is already in a Miro
	@lst_all_miros = [] unless @lst_all_miros
	
	miro = @lst_all_miros.find { |m| (!stamp || m.get_stamp == stamp) && m.contain_initial_face(@uv_mode, mat, @initial_face, @recto, @verso) }
	
	#If the Miro is not created already, instantiate it
	unless miro
		miro = Miro.create(@uv_mode, stamp, @recto, @verso)
		miro.family_search_stamped_faces(stamp, mat, @initial_face)
		@lst_all_miros.push miro
		miro.edition_param_retrieve if miro
	end
	
	miro
end

#---------------------------------------------------------------------------------------------
# Painting Logic
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Start Painting
def start_painting()
	return unless @lst_picked && @lst_picked.length > 0
	Traductor::HourGlass.start
	@painting = true
	@miro_error = @miro_warning = nil
	@real_painting = false	
	@forced_paint = false
	@model.start_operation "ThruPaint"

	#Getting the current material - Load it if not already done
	@material_painted = @matos.load_material 

	#Texturing Container
	if @painter_mode_container
		ls = []
		ls = (@hsh_selection_elements[@picked_element.entityID]) ? @hsh_selection_elements.values : [@picked_element] if @picked_element
		ls += (@hsh_selection_containers[@picked_container.entityID]) ? @hsh_selection_containers.values : [@picked_container] if @picked_container
		ls.each { |e| e.material = @material_painted }
	
	#Painting just Edges
	elsif !@painter_mode_face
		@real_painting = true
		@picked_edges.each { |edge| edge.material = @material_painted } if @picked_edges
	
	#Painting faces
	else
		miro_prepare_session if @initial_face
	end	
end

#THRUPAINT_TOOL: Prepare a painting session for face
def miro_prepare_session
	#Creating the miro if not already created
	unless @miro
		@lst_all_miros = [] unless @lst_all_miros
		@miro = Miro.create @uv_mode, nil, @recto, @verso 
		@lst_all_miros.push @miro
	end	
	@miro.set_face_side_info @option_face_side, @option_auto_flip, @initial_face_front
	
	#Preparing the session
	@miro.prepare_session @material_painted, @initial_face, @direction_edge, @direction_vorigin, @uv_specs, @tr
	
	#Continuing the session after painting the initial face
	if @miro.empty?
		@real_painting = true
		@miro.painting_initial_face
		@miro.continue_session @picked_faces, @initial_face
		@family_contour = @miro.family_compute_contour
	end	
	painting_edges_of_faces unless error_painting
end

#THRUPAINT_TOOL: Subsequent painting
def continue_painting
	Traductor::HourGlass.start
	#Painting the Edges
	if @painter_mode_edge && @picked_edges
		@picked_edges.each { |edge| edge.material = @material_painted }
		@hsh_frames_edge = {}
	
	#Painting faces
	elsif @painter_mode_face && @picked_faces
		@miro.continue_session @picked_faces, @initial_face
		@family_contour = @miro.family_compute_contour
		painting_edges_of_faces unless error_painting
	end	
end

#THRUPAINT_TOOL: Check errors and warnings in the painting
def error_painting
	if @miro.in_error?
		@miro_error = @miro 
	elsif @miro.number_warnings != 0
		@miro_warning = @miro 
	else
		@miro_error = @miro_warning = nil
		return false
	end	
	true
end

#THRUPAINT_TOOL: Finish Painting method
def finish_painting()
	#Marking the faces with unique stamp
	Traductor::HourGlass.check?
	if @painter_mode_face
		@miro.finish_session
		miro_invalidate_all(@miro)
		@miro.family_search_stamped_faces(nil, @material_painted, @initial_face) unless @with_texture
		@family_contour = @miro.family_compute_contour if @miro
		@uv_mode_ini = @uv_mode
		compute_initial_face_text
	else
		@just_painted_edges = @key_picked 
	end
	
	#Committing Operation
	@model.commit_operation	
	@painting = false
	@picked_edges = nil
	Traductor::HourGlass.stop
	compute_cursor
end

#THRUPAINT_TOOL: Paint the edges around faces if applicable
def painting_edges_of_faces
	return unless @painter_mode_edge && @painter_mode_face && @picked_faces
	hedges = {}
	ledges = []
	@picked_faces.each do |face|
		face.edges.each do |edge|
			edge_id = edge.entityID
			next if hedges[edge_id]
			hedges[edge_id] = edge
			ledges.push edge if acceptable_edge?(edge)			
		end
	end
	ledges.each { |edge| edge.material = @material_painted }
end

#---------------------------------------------------------------------------------------------
# Utilities for Texturing Logic
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Apply a non-textured material
def compute_recto_verso
	@recto = @verso = false
	case @option_face_side
	when :visible
		@recto = @initial_face_front
		@verso = !@recto
	when :recto
		@recto = true
	when :verso
		@verso = true
	when :recto_verso
		@recto = @verso = true
	end	
end
	
#THRUPAINT_TOOL: Determine if the front (or back) face is the visible face
def front_face_is_visible?(face)
	pt2d = @view.screen_coords(@tr * face.vertices[0].position)
	ray = @view.pickray pt2d.x, pt2d.y
	vec = @tr * face.normal
	(vec % ray[1] <= 0)	
end

#---------------------------------------------------------------------------------------------
# Transformation for textures
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Begin a Transformation for texture
def start_operation_edition
	@model.start_operation "ThruPaint #{T7[:TXT_TextureEdition]}"
end

#THRUPAINT_TOOL: Start an operation of texture Edition
def arrow_animation_start
	return unless !@button_down && direct_edition_authorized? && @picked_point
	unless @arrow_animation_started
		@arrow_animation_started = true
		return unless @miro
	end	
	@view.animation = self
end

#THRUPAINT_TOOL: Stop the operation of texture edition
def arrow_animation_stop
	@arrow_animation_proc = false
	if @arrow_animation_started
		miro_edition_commit
		@arrow_animation_started = false
	end	
end

#THRUPAINT_TOOL: Check if inference are on or off for visual edition
def miro_visual_inference?
	return false unless @visu
	@visu.inference
end

#THRUPAINT_TOOL: Toggle inference for visual edition
def miro_visual_toggle_inference
	@visu.inference = !@visu.inference if @visu
	compute_cursor
	onSetCursor
end

#THRUPAINT_TOOL: Check if inference are on or off for visual edition
def miro_edition_locked?
	miro = (@visual_edition_active) ? @visu.miro : @miro
	return false unless miro
	miro.edition_locked?
end

#THRUPAINT_TOOL: Toggle inference for visual edition
def miro_edition_toggle_lock
	miro = (@visual_edition_active) ? @visu.miro : @miro
	return unless miro
	start_operation_edition
	@miro_locked = miro.edition_toggle_lock
	miro.edition_param_storage
	@model.commit_operation
	miro.committed
end

#THRUPAINT_TOOL: Check if texture edition is authorized
def miro_edition_authorized?
	(@painter_mode_face && @with_texture && @miro && !@miro.empty?) ? true : false
end

#THRUPAINT_TOOL: Show the transformation parameters in the VCB Value area
def miro_edition_param_show
	if @initial_face && @miro && miro_edition_authorized?
		@miro.edition_param_show
	else	
		Sketchup.set_status_text "", SB_VCB_VALUE
		Sketchup.set_status_text "", SB_VCB_LABEL
	end	
end

#THRUPAINT_TOOL: Force edition of the Miro under the current face
def miro_edit_texture(from_menu=false)
	@forced_paint = false
	return unless @initial_face
	uv_mode, = Miro.check_stamp_uv_mode(@initial_face, @recto, @verso)
	mat = (@recto) ? @initial_face.material : @initial_face.back_material
	uv_mode = :natural if uv_mode == :native
	force_uv_mode uv_mode unless uv_mode == @uv_mode
	change_current_material mat
end

#THRUPAINT_TOOL: Refresh the texture application
def miro_refresh_texture
	return unless miro_edition_begin
	@miro.edition_refresh_uv
	miro_edition_finish
end

#THRUPAINT_TOOL: Begin the transaction for UV transformation
def miro_edition_begin(no_start=false)
	miro_edit_texture unless @miro
	@miro = @visu.miro if !@miro && @visual_edition_active
	return nil unless @miro && !@miro.edition_locked?
	Traductor::HourGlass.start 0
	miro_edition_prepare
	start_operation_edition unless no_start
	@miro
end

#THRUPAINT_TOOL: Finish and commit the transaction for UV transformation
def miro_edition_finish
	miro_edition_commit
	compute_axes_uv
	visual_reset_after_transform
	Traductor::HourGlass.stop
end

#THRUPAINT_TOOL: Commit the change after edition
def miro_edition_commit
	unless @miro && @miro.not_committed?
		@model.commit_operation
		return false
	end	
	@miro.edition_finalize_hotfaces
	@miro.edition_param_storage
	@model.commit_operation
	@miro.committed
	true
end

#THRUPAINT_TOOL: Prepare the transformation of texture
def miro_edition_prepare
	if @visual_edition_active && @visu 
		if @miro != @visu.miro
			visual_stop
		else
			return
		end
	end	
	return unless @miro
	@miro.edition_prepare @material_painted
	#@miro.edition_set_origin @picked_point, @initial_face, @recto
	miro_edition_set_origin @miro, @picked_point, @initial_face, @recto
end

#THRUPAINT_TOOL: Miror the texture about UV axes
def miro_edition_set_origin(miro, origin3d, face_ini, recto)
	miro.edition_set_origin origin3d, face_ini, recto
end

#THRUPAINT_TOOL: Miror the texture about UV axes
def miro_edition_mirror_uv(uv=nil)
	return unless miro_edition_begin
	@miro.edition_mirror_uv uv
	miro_edition_finish
	true
end

#THRUPAINT_TOOL: Tiling of texture
def miro_tiling_uv(fu=nil, fv=nil)
	return unless miro_edition_begin
	@miro.edition_tiling_uv fu, fv
	miro_edition_finish
	true
end

#THRUPAINT_TOOL: Ask the factor for Tiling of texture
def miro_tiling_uv_ask
	return unless miro_edition_begin(true)
	if @miro.edition_ask_tiling_uv
		start_operation_edition
		@miro.edition_tiling_uv 
		miro_edition_finish
	end	
	true
end

#THRUPAINT_TOOL: Texture translation
def miro_edition_translate_uv(vec)
	vec = Geom::Vector3d.new(0, 0, 0) unless vec
	return unless miro_edition_begin
	@miro.edition_translate_uv vec
	miro_edition_finish
end

#THRUPAINT_TOOL: Texture transation, with vector given by u and v	
def miro_edition_translate_vector_from_values(vu, vv)
	vu = 0 unless vu
	vv = 0 unless vv
	vu = vu.modulo(100.0)
	vu = vu / 100.0 if vu > 1
	vv = vv.modulo(100.0)
	vv = vv / 100.0 if vv > 1
	Geom::Vector3d.new vu, vv, 0
end
	
#THRUPAINT_TOOL: Texture scaling 
def miro_edition_scale_uv(fac_u, fac_v=nil)
	return unless miro_edition_begin
	fac_v = fac_u unless fac_v
	@miro.edition_scale_uv fac_u, fac_v
	miro_edition_finish
end
	
#THRUPAINT_TOOL: Texture rotation
def miro_edition_rotate_uv(angle)
	return unless miro_edition_begin
	@miro.edition_rotate_uv angle
	miro_edition_commit
	miro_edition_finish
end

#THRUPAINT_TOOL: Texture rotation
def miro_edition_rotate90_uv(fac)
	return unless miro_edition_begin
	@miro.edition_rotate_uv fac * 90.degrees
	miro_edition_finish
end
	
#---------------------------------------------------------------------------------------------
# UV Specs Management
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Compute the UV direction based on picked face, edge and origin 
def compute_uv_specs
	@uv_specs = nil
	return if @button_down || @painting || @uv_mode == :transfer || @action_uv || !@painter_mode_face || !@with_texture
	return unless @initial_face && @direction_edge
	
	#Computing the origin and axes
	origin = @direction_vorigin.position
	vend = @direction_edge.other_vertex @direction_vorigin
	pt_u = vend.position
	
	#Mesh UV mode
	if @uv_mode == :mesh
		face1 = @initial_face
		edge1 = @direction_vorigin.edges.find { |e| e != @direction_edge && e.faces.include?(@initial_face) }
		if !edge1.casts_shadows?
			face1 = edge1.faces.find { |f| f != @initial_face }
			edge1 = @direction_vorigin.edges.find { |e| e != @direction_edge && e != edge1 && e.faces.include?(face1) }
		end
		vec = origin.vector_to edge1.other_vertex(@direction_vorigin).position
		pt_v = origin.offset vec
		@uv_specs = [face1, edge1]
		
	#Other mode	
	else
		vec_u = origin.vector_to pt_u
		vec_v = @initial_face.normal * vec_u
		vec_v = vec_v.reverse if vec_v % G6.normal_in_to_edge(@direction_edge, @initial_face) < 0	
		size = @view.pixels_to_model 50, @tr * origin
		pt_v = origin.offset vec_v, size
		
		if @uv_mode == :projected
			@uv_specs = compute_projected_plane_specs		
		end
	end
	
	@pts_direction = [origin, pt_u, pt_v].collect { |pt| @tr * pt }
end

#THRUPAINT_TOOL: Set the specifications for the Projection plane
def set_uv_projected_specs(mode)
	@uv_projected_specs = mode
	ask_projected_plane if mode == :custom_plane && @uv_projected_custom_plane == nil
	@action_uv = nil if @action_uv == :custom_plane && mode != :custom_plane
	@forced_paint = true
	@uv_projected_specs
end

#THRUPAINT_TOOL: Start the mode to pick a custom plnae in the model
def ask_projected_plane
	@action_uv = :custom_plane
end

#THRUPAINT_TOOL: Compute the picked normal when asking custom plane
def compute_custom_plane
	@uv_projected_custom_plane_picked = nil
	return unless @action_uv == :custom_plane
	if @ph_edge
		normal = @ph_edge.line[1]
	elsif @initial_face
		normal = @initial_face.normal
	end
	@uv_projected_custom_plane_picked = G6.transform_vector(normal, @tr)
end

#THRUPAINT_TOOL: Pick the plane of the picked face as the custom plane
def store_custom_plane
	return unless @initial_face
	@uv_projected_custom_plane = @uv_projected_custom_plane_picked
	@action_uv = nil
end

#THRUPAINT_TOOL: Compute the projected plane specs in local coordinates
def compute_projected_plane_specs
	normal = nil
	case @uv_projected_specs
	when :z
		normal = Z_AXIS
	when :zl
		normal = G6.transform_vector Z_AXIS, @tr
	when :x
		normal = X_AXIS
	when :xl
		normal = G6.transform_vector X_AXIS, @tr
	when :y
		normal = Y_AXIS
	when :yl
		normal = G6.transform_vector Y_AXIS, @tr
	when :custom_plane
		normal = @uv_projected_custom_plane
	when :view_plane
		normal = @view.camera.direction
	end
	[normal]
end

#---------------------------------------------------------------------------------------------
# Diagonal editor
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Start or finish the Make Diagonal mode
def diagonal_toggle
	if @action_uv != :mark_diagonal
		@action_uv = :mark_diagonal
		unless @rendering_options["DrawHidden"]
			@rendering_options["DrawHidden"] = true
			@diago_no_hidden = true
		else
			@diago_no_hidden = false
		end
	else
		@action_uv = nil
		if @diago_no_hidden
			@rendering_options["DrawHidden"] = false
			@diago_no_hidden = false
		end	
	end	
	start_over
	onMouseMove_zero
end

#THRUPAINT_TOOL: Mark an edge as a diagonal
def diagonal_mark
	G6.mark_diagonal @diag_edge if @diag_edge
end

#---------------------------------------------------------------------------------------------
# Drawing methods
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL - DRAW: Top method to execute drawing
def handle_drawing(view)
	#Errors and warnings
	if (@miro_error || @miro_warning) && @tr
		miro = [@miro_error, @miro_warning].find { |a| a }
		miro.draw_error(view, @tr, @color_error_faces) 
	end	
	if @miro_warning && @tr
		@miro_warning.draw_warning_faces(view, @tr, @color_warning_faces)
	end
	
	if @miro && @uv_mode == :mesh && !@visual_edition_active && @miro.show_guide?
		@miro.draw_guides(view, @tr, @color_error_faces)
	end
	
	if @action_uv == :sample || @action_uv == :sample_plus
		drawing_sample view
	elsif @action_uv == :custom_plane
		drawing_custom_plane_picked view	
	elsif @action_uv == :mark_diagonal
		drawing_diagonal view
	elsif @visual_edition_active
		visual_draw view	
	elsif !@painter_mode_face && @painter_mode_edge
		drawing_frame_edges view
	elsif @painter_mode_container
		if @picked_container
			drawing_container view
		elsif @picked_element
			drawing_parent view
			drawing_element view
		end	
	else
		if @family_contour && @family_contour.length > 0 
			drawing_family_contour view
		elsif @initial_face && !@miro	
			drawing_uv_specs view
		end	
		drawing_frames_faces view unless @button_down || @miro
		drawing_parent view
		drawing_axes_uv view
		drawing_face_side view
	end	
end

#THRUPAINT_TOOL - DRAW: Draw diagonals
def drawing_diagonal(view)
	return unless @diag_edge
	if G6.edge_is_diagonal?(@diag_edge)
		G6.draw_rectangle_text view, @x, @y, @text_unmark_diagonal, 'pink', 'red'
		color = 'red'
		stipple = ''
		width = 2
	else
		G6.draw_rectangle_text view, @x, @y, @text_mark_diagonal, 'lightgreen', 'green'
		color = 'green'
		stipple = ''
		width = 4
	end
	lines = [@diag_edge.start.position, @diag_edge.end.position] 
	view.drawing_color = color
	view.line_width = width
	view.line_stipple = stipple
	view.draw GL_LINE_STRIP, lines.collect { |pt| G6.small_offset(view, @tr * pt, 1) }
end

#THRUPAINT_TOOL - DRAW: Sample mode: highlight current face
def drawing_sample(view)
	return unless @initial_face
	lines = []
	@initial_face.edges.each { |e| lines.push e.start.position, e.end.position } 
	view.drawing_color = 'blue'
	view.line_width = 4
	view.line_stipple = '-'
	view.draw GL_LINES, lines.collect { |pt| G6.small_offset(view, @tr * pt, 1) }
end

#THRUPAINT_TOOL - DRAW: Draw a label to tell the side of picked face
def drawing_face_side(view)
	return if @button_down || !@painter_mode_face || !@initial_face || !@x
	text = @text_initial_face
	if @initial_face_front
		bkcolor = 'yellow'
		frcolor = 'orange'
	else
		bkcolor = 'lightgrey'
		frcolor = 'black'
	end	
	
	if @text_initial_warning || initial_face_in_error?
		bkcolor = 'pink'
		frcolor = 'red'
	end	

	if (symb_err = initial_face_in_error?)
		bkcolor = 'lightcoral'
		frcolor = 'darkred'
		text = text + " - " + @hsh_messages[symb_err]
	end	
	
	G6.draw_rectangle_text view, @x, @y, text, bkcolor, frcolor
end

#THRUPAINT_TOOL - DRAW: Draw the contour of the painting zone
def drawing_family_contour(view)
	return unless @painter_mode_face && @family_contour && @tr && @family_contour.length > 0 
	#G6.draw_face view, @ph.picked_face, @color_picked_face, @tr unless @button_down
	view.line_width = 3
	view.line_stipple = ''
	view.drawing_color = @color_family_contour
	pts = @family_contour.collect { |pt| G6.small_offset(view, @tr * pt, 2) }
	view.draw GL_LINES, pts
end

#THRUPAINT_TOOL - DRAW: Draw highlights for faces and edges
def drawing_uv_specs(view)
	#Highlighting the picked face
	if @color_picked_face && (@uv_mode != :projected || @uv_projected_specs != :picked_face)
		color = (initial_face_in_error?) ? @color_picked_face_error : @color_picked_face
		G6.draw_face view, @initial_face,color, @tr
	end	

	return unless @with_texture && @pts_direction && @uv_mode != :transfer

	#Drawing the picked edge and direction
	view.line_width = 3
	view.line_stipple = ''
	view.drawing_color = 'red'
	view.draw GL_LINES, [0, 1].collect { |i| G6.small_offset view, @pts_direction[i], 2}	
	view.drawing_color = 'green'
	view.draw GL_LINES, [0, 2].collect { |i| G6.small_offset view, @pts_direction[i], 2}	
	
	#Drawing the origin picked point
	ori_2d = view.screen_coords(@pts_direction[0])
	pts = G6.pts_square ori_2d.x, ori_2d.y, 3
	view.drawing_color = 'black'
	view.draw2d GL_POLYGON, pts
	
	#Drawing the plane if applicable
	if @uv_mode == :projected
		drawing_plane(view, @uv_specs[0], @direction_edge.line[1], @color_plane, @grid_shape) if @uv_mode == :projected && @uv_specs
	end	
end

#THRUPAINT_TOOL - DRAW: Draw highlights for faces and edges
def drawing_plane(view, normal, xdir, color, grid_shape)
	if normal && normal.valid?
		origin = @tr * @picked_point
		xdir = G6.transform_vector(xdir, @tr)
		plane = [origin, normal]
		ptproj = origin.offset(xdir, 1).project_to_plane(plane)
		xdir = origin.vector_to(ptproj)
		grid_shape.draw view, origin, normal, xdir, 25
	else
		G6.draw_face(view, @initial_face, color, @tr)
	end	
end

#THRUPAINT_TOOL - DRAW: Custom Plane mode: highlight current face for picking plane
def drawing_custom_plane_picked(view)
	return unless @uv_projected_custom_plane_picked && @picked_point
	G6.draw_rectangle_text view, @x, @y, @text_custom_plane, 'lightgreen', 'green'
	normal = (@ph_edge) ? @uv_projected_custom_plane_picked : nil
	drawing_plane view, normal, X_AXIS, @color_custom_plane, @grid_custom_shape
end

#THRUPAINT_TOOL - DRAW: Draw the parent container box if any
def drawing_parent(view)
	return unless @parent
	view.drawing_color, view.line_width, view.line_stipple = ['gray', 1, '']
	G6.draw_component view, @parent, @tr
end

#THRUPAINT_TOOL - DRAW: Draw the parent container box if any
def drawing_container(view)
	return unless @picked_container
	t = (@tr) ? @tr : @tr_id
	if @picked_container.instance_of?(Sketchup::Group)
		color_face = @color_face_group
		color_line = @color_line_group
	else
		color_face = @color_face_component
		color_line = @color_line_component
	end	
	bb = G6.grouponent_definition(@picked_container).bounds
	ts = Geom::Transformation.scaling bb.center, 1.05
	t = t * ts
	lquads, llines = G6.bbox_quads_lines(bb)
	view.drawing_color = color_line
	view.line_stipple = ''
	view.line_width = 2
	view.draw GL_LINES, llines.collect { |pt| t * pt }
	if color_face
		view.drawing_color = color_face
		view.draw GL_QUADS, lquads.collect { |pt| t * pt }
	end	
	text = G6.grouponent_name @picked_container
	color = (@picked_container.instance_of?(Sketchup::Group)) ? 'burlywood' : 'orchid'
	G6.draw_rectangle_text view, @x, @y, text, color, 'darkgray'
end

#THRUPAINT_TOOL - DRAW: Draw the parent container box if any
def drawing_element(view)
	return unless @picked_element
	t = (@tr) ? @tr : @tr_id
	bb = @picked_element.bounds
	ts = Geom::Transformation.scaling bb.center, 1.05
	t = t * ts
	lquads, llines = G6.bbox_quads_lines(bb)
	if @color_face_text
		view.drawing_color = @color_face_text
		view.draw GL_QUADS, lquads.collect { |pt| t * pt }
	end	
	view.drawing_color = @color_line_text
	view.line_stipple = ''
	view.line_width = 1
	view.draw GL_LINES, llines.collect { |pt| t * pt }
	text = nil
	if @picked_element.instance_of?(Sketchup::Text)
		text = @txt_box_text_label
		color = 'bisque'
	elsif @picked_element.instance_of?(Sketchup::Drawingelement)
		text = @txt_box_dimension
		color = 'gold'
	end	
	G6.draw_rectangle_text view, @x, @y, text, color, 'darkgray' if text
end

#THRUPAINT_TOOL - DRAW: Draw the mire with UV axes
def drawing_axes_uv(view)
	return unless @axes_uv && @tr && @picked_point
	return if @button_down || @visual_edition_active
	return unless @axes_uv[0].valid? && @axes_uv[1].valid?
	origin = @picked_point
	dec = (@initial_face_front) ? 1 : 1
	ptx = origin.offset @axes_uv[0], dec
	pty = origin.offset @axes_uv[1], dec
	
	origin_2d = view.screen_coords(@tr * origin)
	ptx_2d = view.screen_coords(@tr * ptx)
	pty_2d = view.screen_coords(@tr * pty)
	vec_x2d = origin_2d.vector_to ptx_2d
	vec_y2d = origin_2d.vector_to pty_2d

	len = 15
	dec = 4
	x = origin_2d.x
	y = origin_2d.y
	pts = G6.pts_square x, y, 2
	view.drawing_color = @color_pointer_picked
	view.draw2d GL_POLYGON, pts	
	
	view.line_width = 3
	view.line_stipple = ''

	view.drawing_color = 'red'
	pt1 = origin_2d.offset vec_x2d, dec
	pt2 = origin_2d.offset vec_x2d, len
	view.draw2d GL_LINE_STRIP, [pt1, pt2]	
	
	view.drawing_color = 'green'
	pt1 = origin_2d.offset vec_y2d, dec
	pt2 = origin_2d.offset vec_y2d, len
	view.draw2d GL_LINE_STRIP, [pt1, pt2]	

	view.drawing_color = Traductor::Couleur.color_at_face('black', @initial_face)
	pt1 = origin_2d.offset vec_x2d, -dec
	pt2 = origin_2d.offset vec_x2d, -len
	view.draw2d GL_LINE_STRIP, [pt1, pt2]	
	pt1 = origin_2d.offset vec_y2d, -dec
	pt2 = origin_2d.offset vec_y2d, -len
	view.draw2d GL_LINE_STRIP, [pt1, pt2]	
	
	#Drawing the lock status
	if @miro && @miro.edition_locked?
		len += 2
		pt = origin_2d.offset X_AXIS, -len
		pt = pt.offset Y_AXIS, -len
		pts1 = G6.pts_square pt.x, pt.y, 6
		pts2 = G6.pts_square pt.x, pt.y, 2
		ptcenter = pt.offset Y_AXIS, -6
		pts = G6.pts_circle ptcenter.x, ptcenter.y, 4
		view.line_stipple = ''
		view.drawing_color = 'red'
		view.draw2d GL_POLYGON, pts1	
		view.drawing_color = 'black'
		view.draw2d GL_POLYGON, pts2	
		view.drawing_color = 'red'
		view.line_width = 2
		view.draw2d GL_LINE_STRIP, pts	
	end	
end

#---------------------------------------------------------------------------------------------
# Keyboard Management
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL - KEY: Event on Key down
def handle_arrow_down(key, ctrl_down, shift_down, repeat)
	unless @miro
		miro_edit_texture
		miro_edition_prepare
		return unless @miro
		return if @miro.edition_locked?
		start_operation_edition
		return
	end	

	#Uniform scaling and Rotation
	if ctrl_down
		case key
		when VK_UP, VK_DOWN	
			fac = 1 + (repeat * 0.0005)
			fac = 1.0 / fac if key == VK_UP
			@miro.edition_scale_uv fac, fac
		when VK_LEFT, VK_RIGHT	
			angle = 0.1.degrees + (repeat * 0.1.degrees)
			angle = -angle if key == VK_LEFT
			@miro.edition_rotate_uv angle
		end
	
	#Non Uniform Scaling
	elsif shift_down 
		case key
		when VK_UP, VK_DOWN	
			fac_u = 1
			fac_v = 1 + (repeat * 0.0005)
			fac_v = 1.0 / fac_v if key == VK_UP
			fac_u = fac_v if @uv_mode == :natural
			@miro.edition_scale_uv fac_u, fac_v
		when VK_LEFT, VK_RIGHT	
			fac_v = 1
			fac_u = 1 + (repeat * 0.0005)
			fac_u = 1.0 / fac_u if key == VK_RIGHT
			fac_v = fac_u if @uv_mode == :natural
			@miro.edition_scale_uv fac_u, fac_v
		end
		
	#Translation
	else
		case key
		when VK_DOWN	
			lm = [0, -1]
		when VK_UP	
			lm = [0, 1]
		when VK_LEFT	
			lm = [-1, 0]
		when VK_RIGHT	
			lm = [1, 0]
		end
		fac = 0.001 + [(repeat * 0.001), 0.2].min
		vec = Geom::Vector3d.new lm[0] * fac, lm[1] * fac, 0
		@miro.edition_translate_uv vec
	end	
	
	#recomputing the axes for UV
	compute_axes_uv
end

#---------------------------------------------------------------------------------------------
# Utility methods for managing faces and edges
#---------------------------------------------------------------------------------------------

#THRUPAINT_TOOL: Reset the drawing caches
def reset_drawing_env
	reset_drawing_face_env
	reset_drawing_edge_env
end

def reset_drawing_face_env
	@hsh_extend_faces = {}
	@hsh_frames_face = {}
end

def reset_drawing_edge_env
	@hsh_extend_edges = {}
	@hsh_frames_edge = {}
end

#THRUPAINT_TOOL: Recompute some display elements when view or scene is changed
def on_change_of_view

end

#THRUPAINT_TOOL: Compute the triangles and frames for a list of entities
def compute_frames_faces
	return unless @painter_mode_face && @picked_faces
	drframe = @hsh_frames_face[@key_picked]
	return if drframe
	Traductor::HourGlass.start
	
	draw_frames = []
	draw_dashed = []
	draw_contour = []
	draw_triangles = []
	
	nbmax = 300
	if @picked_faces.length > nbmax
		picked_faces = [@initial_face]
		partial = true
	else	
		picked_faces = @picked_faces
		partial = false
	end
	
	hfaces = {}
	picked_faces.each { |f| hfaces[f.entityID] = true }
	
	#if @option_face_selection == :single || picked_faces.length == 1
	if picked_faces.length == 1
		picked_faces[0].edges.each { |edge| draw_contour.push(@tr * edge.start.position, @tr * edge.end.position) } unless partial

	elsif G6.su_capa_color_polygon
		picked_faces.each do |face|
			mesh = face.mesh
			pts = mesh.points
			mesh.polygons.each { |p| draw_triangles += p.collect { |i| @tr * pts[i.abs-1] } }
			unless partial
				face.edges.each do |edge| 
					Traductor::HourGlass.check?
					if edge_is_border(edge, hfaces)
						draw_contour.push(@tr * edge.start.position, @tr * edge.end.position) 
					end	
				end	
			end	
		end		
	else
		picked_faces.each do |face|
			face.edges.each do |edge| 
				Traductor::HourGlass.check?
				if edge_is_border(edge, hfaces)
					draw_contour.push(@tr * edge.start.position, @tr * edge.end.position) unless partial
				elsif G6.edge_plain?(edge)
					draw_frames.push(@tr * edge.start.position, @tr * edge.end.position) 
				else
					draw_dashed.push(@tr * edge.start.position, @tr * edge.end.position) 
				end	
			end	
		end
	end	
	
	#Storing in a structure
	drframe = DrawFrame.new	
	drframe.partial = partial
	drframe.frames = draw_frames
	drframe.dashed = draw_dashed
	drframe.contour = draw_contour
	drframe.triangles = draw_triangles
	@hsh_frames_face[@key_picked] = drframe
	update_frames_for_drawing drframe
	Traductor::HourGlass.stop
end

#THRUPAINT_TOOL: Compute the lines for edges
def compute_frames_edges
	return unless @painter_mode_edge && @picked_edges
	drframe = @hsh_frames_edge[@key_picked]
	return if drframe
	
	draw_frames = []
	draw_dashed = []
	
	if @rendering_options["DrawHidden"]
		@picked_edges.each do |edge|
			if G6.edge_plain?(edge)
				draw_frames.push(@tr * edge.start.position, @tr * edge.end.position) 
			else
				draw_dashed.push(@tr * edge.start.position, @tr * edge.end.position) 
			end	
		end
	else
		@picked_edges.each do |edge|
			draw_frames.push(@tr * edge.start.position, @tr * edge.end.position) if G6.edge_plain?(edge)
		end
	end	
	
	#Storing in a structure
	drframe = DrawFrame.new	
	drframe.frames = draw_frames
	drframe.dashed = draw_dashed
	drframe.contour = []
	drframe.triangles = []
	@hsh_frames_edge[@key_picked] = drframe
	update_frames_for_drawing drframe
end

#THRUPAINT_TOOL: Update the frames drawing lines
def update_frames_for_drawing(drframe)
	drframe.ll_dashed = drframe.dashed.collect { |pt| G6.small_offset @view, pt, 2}
	drframe.ll_frames = drframe.frames.collect { |pt| G6.small_offset @view, pt, 2}
	drframe.ll_contour = drframe.contour.collect { |pt| G6.small_offset @view, pt}
	drframe.ll_triangles = drframe.triangles.collect { |pt| G6.small_offset @view, pt}
end

#THRUPAINT_TOOL: Draw the frames
def drawing_frames_faces(view)
	return unless @painter_mode_face && @picked_faces
	drframe = @hsh_frames_face[@key_picked]
	return unless drframe
	drawing_frames view, drframe
end

#THRUPAINT_TOOL: Draw highlights for edges 
def drawing_frame_edges(view)
	return unless @painter_mode_edge && @picked_edges
	return if @just_painted_edges == @key_picked
	drframe = @hsh_frames_edge[@key_picked]
	return unless drframe
	drawing_frames view, drframe
end
	
#THRUPAINT_TOOL: Generic draw of farmes	
def drawing_frames(view, drframe)	
	#Checking for recalculation
	if @view_tracker.changed?
		update_frames_for_drawing drframe
	end
				
	#Drawing the face triangles if applicable
	unless drframe.ll_triangles.empty?
		view.drawing_color = @color_picked_faces
		view.draw GL_TRIANGLES, drframe.ll_triangles
	end	
	
	#Drawing the frames
	view.drawing_color = (@painter_mode_face) ? @color_face : @color_edge
	unless drframe.ll_dashed.empty?
		view.line_width = (@painter_mode_face) ? 1 : 3
		view.line_stipple = '_'
		view.draw GL_LINES, drframe.ll_dashed
	end	
	unless drframe.ll_frames.empty?
		view.line_width = (@painter_mode_face) ? 1 : 3
		view.line_stipple = ''
		view.draw GL_LINES, drframe.ll_frames
	end	
	unless drframe.ll_contour.empty?
		view.line_width = 3
		view.line_stipple = ''
		view.draw GL_LINES, drframe.ll_contour
	end	
end

#THRUPAINT_TOOL: Check if the edge is a border
def edge_is_border(edge, hfaces)
	n = 0
	edge.faces.each do |f|
		n += 1 if hfaces[f.entityID]
		return false if n > 1
	end
	true
end

#---------------------------------------------------------------------------------------------
# Standard Tool methods
#---------------------------------------------------------------------------------------------

def timer_move_proc
	return unless @time_move
	t = Time.now
	if t - @time_move > 2
		@time_move = nil
		@view.invalidate
	end	
end

#THRUPAINT_TOOL: Current cursor
def onSetCursor
	ic = super
	return (ic != 0) if ic
	UI.set_cursor @id_cursor
end

#THRUPAINT_TOOL: Handle Return key
def onReturn(view)
	handle_onReturn
end

#THRUPAINT_TOOL: Before Zooming or changing view
def suspend(view)
	@zoom_void.suspend(view, @xmove, @ymove)
end

#THRUPAINT_TOOL: Resume after scroll or zoom	
def resume(view)
	@zoom_void.resume(view)
	on_change_of_view
	onMouseMove_zero
end
	
#THRUPAINT_TOOL: Mouse Movements
def onMouseMove_zero(flags=0) ; @last_initial_face = nil ; onMouseMove(flags, @x, @y, @view) ; end
def onMouseMove(flags, x, y, view)
	#LibFredo6.debug "onMousemove"
	@xmove = x
	@ymove = y
	@time_move = nil
	if super
		@mouse_in_palette = true
		@miro = nil
		@initial_face = nil
		show_message
		return
	end	
	@mouse_in_palette = false
	@flags = flags
	return unless x
	@time_move = Time.now

	reconcile_button_state(flags, x, y, view)
	
	return if @drawing_ 
	@drawing_ = true

	@x = x
	@y = y
	handle_move flags, x, y, view
end	

#THRUPAINT_TOOL: Check if the state of mouse is compatible with internal flags
def reconcile_button_state(flags, x, y, view)
	if RUN_ON_MAC
		onLButtonUp(flags, x, y, view) if flags == 256 && @button_down
	else
		onLButtonUp(flags, x, y, view) if flags == 1 && !@button_down
	end
end

#THRUPAINT_TOOL: Button click DOWN - Means that we end the selection
def onLButtonDown(flags, x, y, view)
	return if super	
	@button_down = true
	@xdown = x
	@ydown = y
	@pt_buf = nil
	@time_click_down = Time.now.to_f
	handle_click_down(flags, x, y, view)
	
	view.invalidate
end

#THRUPAINT_TOOL: Button click UP - Means that we end the selection
def onLButtonUp(flags, x, y, view)
	return if super	
	return unless @button_down
	@button_down = false
	@xup = x
	@yup = y
	@pt_buf = nil
	handle_click_up(flags, x, y, view)
end

#THRUPAINT_TOOL: Double Click received
def onLButtonDoubleClick(flags, x, y, view)
	return if super
	handleDoubleClick(flags, x, y, view)
end

#THRUPAINT_TOOL: Cancellation and undo
def onCancel(flag, view)
	miro_edition_commit
	miro_invalidate_all
	reset_drawing_env
	if flag == 0
		if @action_uv
			@action_uv = nil
			onMouseMove_zero
			return
		elsif @miro_error || @miro_warning
			start_over
			onMouseMove_zero
			return
		end	
		Sketchup.undo
		visual_cancel if @visual_edition_active
		handle_undo
	else	
		UI.start_timer(0) { handle_undo }
	end
end

#THRUPAINT_TOOL: Exit the tool
def exit_tool
	@model.select_tool nil
end

#THRUPAINT_TOOL: Draw method for Polyline tool
def draw(view)	
	#Drawing in the view
	handle_drawing(view)
	
	#Drawing the palette
	super
	
	#Synchro with Move
	@drawing_ = false	
end

#THRUPAINT_TOOL: Refresh of animation used for Repeat events on Windows
def nextFrame(view)
	return false unless @arrow_animation_proc
	@arrow_animation_proc.call @repeat if @repeat > 1
	@repeat += 1
	@view.show_frame 
	true
end

#THRUPAINT_TOOL: Handle Key down
def onKeyDown(key, rpt, flags, view)
	key = Traductor.new_check_key key, flags, false
	@num_keydown = 0 unless @num_keydown
	@num_keydown += 1
	case key			
	when CONSTRAIN_MODIFIER_KEY
		@shift_down = true
		set_action_uv :sample unless @visual_edition_active
		
	when COPY_MODIFIER_KEY
		@ctrl_down = @num_keydown
		onMouseMove_zero 1
		
	when VK_DOWN, VK_UP, VK_LEFT, VK_RIGHT
		if !@button_down && !@arrow_animation_proc && !@arrow_animation_started
			if direct_edition_authorized?
				if @miro
					return if @miro.edition_locked?
					#return if @miro_locked
					miro_edition_prepare
					@miro.edition_compute_hotfaces
					start_operation_edition
					handle_arrow_down key, @ctrl_down, @shift_down, 0
				else	
					miro_edit_texture
					miro_edition_prepare
					return if @miro.edition_locked?
					start_operation_edition
				end	
				if @miro
					@repeat = 1
					@arrow_animation_proc = proc { |repeat| handle_arrow_down(key, @ctrl_down, @shift_down, repeat) }
					arrow_animation_start
				end	
			end
		end	
		
	when 9
	
	when 13
		if @shift_down || @ctrl_down
			
		end	
	
	when :vk_F5	#F5
		miro_edition_toggle_lock if @miro
	when :vk_F7	#F7
		@miro.toggle_show_guide if @miro && @uv_mode == :mesh
	when :vk_F9	#F9
		call_native_supaint
	
	when :vk_F10	
		Sketchup.set_status_text "", SB_VCB_VALUE
		ThruPaint::VCBKeyHelpDialog.display
		
	else	
		@shift_down = @ctrl_down = false
	end	
end

#THRUPAINT_TOOL: Key UP received
def onKeyUp(key, rpt, flags, view)
	key = Traductor.new_check_key key, flags, true
	case key	
	when VK_DELETE, 8
		material_set_to_default
		
	when 9	#TAB
		if RUN_ON_MAC
			material_history_navigate -1
		else	
			material_history_navigate((@shift_down) ? 1 : -1)
		end	
		
	when 25	#SHIFT TAB
		material_history_navigate(1) if RUN_ON_MAC

	when CONSTRAIN_MODIFIER_KEY
		@time_shift_up = Time.now
		@shift_down = false
		@forced_paint = false
		
	when COPY_MODIFIER_KEY
		@time_ctrl_up = Time.now
		if @ctrl_down && @ctrl_down == @num_keydown
			if @visual_edition_active
				miro_visual_toggle_inference
			else	
				@forced_paint = !@forced_paint
			end	
		end	
		onMouseMove_zero 0
		@ctrl_down = false
		
	when 33, 34	#Page Up, Page Down
		if direct_edition_authorized? && @model.pages.size < 2
			fac = (key == 33) ? -1 : 1
			miro_edition_rotate90_uv fac
		end
		@forced_paint = false
				
	when VK_DOWN, VK_UP, VK_LEFT, VK_RIGHT
		@arrow_animation_proc = false
		
	else 
		@arrow_animation_proc = false
		if @time_ctrl_up && (Time.now - @time_ctrl_up) < 0.1	
			onMouseMove_zero 0
		end	
		if @time_shift_up && (Time.now - @time_shift_up) < 0.1	
			onMouseMove_zero 0
		end	
		@forced_paint = false
		@shift_down = @ctrl_down = false
	end	
	arrow_animation_stop	
end

def onMouseLeave(view)
	@mouseOut = true
	show_message
	view.invalidate
end

def onMouseEnter(view)
	@mouseOut = false
	view.invalidate
end

def onUserText(text, view)
	handle_VCB(text, view)
end	

#--------------------------------------------------------------
#--------------------------------------------------------------
# Palette Management
#--------------------------------------------------------------
#--------------------------------------------------------------

#---------------------------------------------------------------------
# Creation of the palette
#---------------------------------------------------------------------

#Initialize the main palette and top level method
def init_palette
	hshpal = { :width_message => 250, :width_message_min => 150, :key_registry => :thrupaint }
	@palette = Traductor::Palette.new hshpal
	@draw_local = self.method "draw_button_opengl"
	@blason_proc = self.method "draw_button_blason"
	blason_long_proc = proc { ThruPaint::VCBKeyHelpDialog.display }
	@symb_blason = :blason
	@bk_color_tool = "lemonchiffon"
		
	#Blason Button
	tip = T7[:PlugName] + ' ' + T6[:T_STR_DefaultParamDialog]
	tip += "\n" + T6[:T_TXT_LongClick] + ' ' + T7[:MNU_HelpVCB]
	hsh = { :blason => true, :draw_proc => @blason_proc, :tooltip => tip,
            :long_click_proc => blason_long_proc }
	@palette.declare_button(@symb_blason, hsh) { MYPLUGIN.invoke_default_parameter_dialog }

	#Options and actions for material
	palette_actions_uv
	
	#UV Mode
	hidden_proc = proc { !@painter_mode_face }
	hshb = { :height => 32, :width => 32, :hidden_proc => hidden_proc }
	
	hsh = { :passive => true, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_uv_mode_sepa1, hshb, hsh
	proc = proc { @uv_mode == :mesh}
	hsh = { :value_proc => proc, :draw_proc => @draw_local, :tooltip => T7[:TIP_UVMode_Mesh] }
	@palette.declare_button(:pal_uv_mode_mesh, hsh, hshb) { set_uv_mode :mesh }	
	proc = proc { @uv_mode == :natural}
	hsh = { :value_proc => proc, :draw_proc => @draw_local, :tooltip => T7[:TIP_UVMode_Natural] }
	@palette.declare_button(:pal_uv_mode_natural, hsh, hshb) { set_uv_mode :natural}	
	proc = proc { @uv_mode == :projected}
	hsh = { :value_proc => proc, :draw_proc => @draw_local, :tooltip => T7[:TIP_UVMode_Projected] }
	@palette.declare_button(:pal_uv_mode_projected, hsh, hshb) { set_uv_mode :projected }	
	
	hsh = { :passive => true, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_uv_mode_sepa2, hshb, hsh
	
	proc = proc { @uv_mode == :transfer}
	hsh = { :value_proc => proc, :draw_proc => @draw_local, :tooltip => T7[:TIP_UVMode_Transfer] }
	@palette.declare_button(:pal_uv_mode_transfer, hsh, hshb) { set_uv_mode :transfer }	
	
	#Option for faces
	palette_face_painting
	
	#Option for Edges Selection
	palette_edge_painting
	
	#Option for Container painting
	palette_container_painting
	
	#Option for the SU environment
	palette_su_env

	#Help
	pal_separator
	@palette.set_current_family 
	hsh = { :draw_proc => :std_help, :tooltip => T7[:MNU_HelpVCB] }
	@palette.declare_button(:pal_help, hsh) { ThruPaint::VCBKeyHelpDialog.display }

	#Exit tool
	pal_separator
	@palette.set_current_family 
	hsh = { :draw_proc => :std_exit, :tooltip => T6[:T_STR_ExitTool] }
	@palette.declare_button(:pal_exit, hsh) { @model.select_tool nil }
		
	#Floating palette for Projected Mode and Visual Edition
	palette_floating_projected
	palette_floating_visual
	
	#Associating the palette
	set_palette @palette
end

#Configure the floating palette for Projected UV Mode
def palette_floating_projected
	#Declare floating palette
	hidden_float_projected_proc = proc { @uv_mode != :projected || !@with_texture || @button_down || @visual_edition_active}
	@palette_projected = :floating_projected
	@palette.declare_floating @palette_projected, { :title => T7[:TIT_UVProjected_Palette], :hidden_proc => hidden_float_projected_proc }
	
	tiplocal = " - #{T7[:TIP_UVProjected_Local]}"
	tipmodel = " - #{T7[:TIP_UVProjected_Model]}"

	lst_label = [T7[:BOX_UVProjected_ByFace], T7[:BOX_UVProjected_Local], T7[:BOX_UVProjected_Model]]
	ltxwid = lst_label.collect { |a| G6.simple_text_size(a)[0] }
	widlab = ltxwid.max + 10

	hshfloat_lab = { :floating => @palette_projected, :height => 32, :width => widlab,  :passive => true, :justif => "LH" }
	hshfloat_but = { :floating => @palette_projected, :height => 32, :width => 32, :hi_color => 'lightblue', :draw_proc => @draw_local }
	
	double_click_proc = proc { ask_projected_plane if @uv_projected_custom_plane }
	palette_floating_projected_label 0, :pal_proj_lab_face, T7[:BOX_UVProjected_ByFace], T7[:TIP_UVProjected_ByFace], hshfloat_lab
	palette_floating_projected_button 0, :picked_face, T7[:TIP_UVProjected_PickedFace], hshfloat_but
	palette_floating_projected_button 0, :view_plane, T7[:TIP_UVProjected_View], hshfloat_but
	tip = T7[:TIP_UVProjected_Custom]
	tip += "\n" + T7[:TIP_UVProjected_Custom_DoubleClick] if @uv_projected_custom_plane
	palette_floating_projected_button 0, :custom_plane, tip, hshfloat_but, double_click_proc

	palette_floating_projected_label 1, :pal_proj_lab_local, T7[:BOX_UVProjected_Local], T7[:TIP_UVProjected_Local], hshfloat_lab
	palette_floating_projected_button 1, :zl, T7[:TIP_UVProjected_Z] + tiplocal, hshfloat_but
	palette_floating_projected_button 1, :xl, T7[:TIP_UVProjected_X] + tiplocal, hshfloat_but
	palette_floating_projected_button 1, :yl, T7[:TIP_UVProjected_Y] + tiplocal, hshfloat_but

	palette_floating_projected_label 2, :pal_proj_lab_model, T7[:BOX_UVProjected_Model], T7[:TIP_UVProjected_Model], hshfloat_lab
	palette_floating_projected_button 2, :z, T7[:TIP_UVProjected_Z] + tipmodel, hshfloat_but
	palette_floating_projected_button 2, :x, T7[:TIP_UVProjected_X] + tipmodel, hshfloat_but
	palette_floating_projected_button 2, :y, T7[:TIP_UVProjected_Y] + tipmodel, hshfloat_but
end

def palette_floating_projected_label(irow, symb, text, tip, hshfloat)
	pal_symb = "pal_proj_#{symb}".intern
	hsh = { :row => irow, :text => text, :tooltip => tip }
	@palette.declare_button(pal_symb, hshfloat, hsh )
end

def palette_floating_projected_button(irow, symb, tip, hshfloat, double_click_proc=nil)
	pal_symb = "pal_proj_#{symb}".intern
	value_proc = proc { @uv_projected_specs == symb }
	hsh = { :value_proc => value_proc, :double_click_proc => double_click_proc, :tooltip => tip, :row => irow }
	@palette.declare_button(pal_symb, hshfloat, hsh ) { set_uv_projected_specs symb }
end

#Configure the floating palette for Visual Edition
def palette_floating_visual
	#Declare floating palette
	hidden_float_visual_proc = proc { !@visual_edition_active || @visu.clicked_handle }
	@palette_visual = :floating_visual
	@palette.declare_floating @palette_visual, { :title => T7[:TIT_Visual_Palette], :hidden_proc => hidden_float_visual_proc }
	
	lst_label = [T7[:BOX_Visual_Rotation], T7[:BOX_Visual_Mirror], T7[:BOX_Visual_Tiling], T7[:BOX_Visual_Reset]]
	ltxwid = lst_label.collect { |a| G6.simple_text_size(a)[0] }
	widlab = ltxwid.max + 10
	widbut = 52
	hgt = 20

	hshfloat_lab = { :floating => @palette_visual, :height => hgt, :width => widlab,  :passive => true, :justif => "LH" }
	hshfloat_but = { :floating => @palette_visual, :height => hgt, :width => widbut, :justif => "MH" }
	
	irow = 0
	palette_floating_visual_label irow, :rotation, lst_label[irow], lst_label[irow], hshfloat_lab
	palette_floating_visual_button(irow, :rotation_plus90, "+90°", T7[:MNU_RotatePlus90], hshfloat_but) { miro_edition_rotate90_uv 1 }
	palette_floating_visual_button(irow, :rotation_minus90, "-90°", T7[:MNU_RotateMinus90], hshfloat_but) { miro_edition_rotate90_uv -1 }
	palette_floating_visual_button(irow, :rotation_180, "180°", T7[:MNU_Rotate180], hshfloat_but) { miro_edition_rotate90_uv 2 }

	irow = 1
	palette_floating_visual_label irow, :mirror, lst_label[irow], lst_label[irow], hshfloat_lab
	palette_floating_visual_button(irow, :mirrorUV, "UV", T7[:MNU_MirrorTexture], hshfloat_but) { miro_edition_mirror_uv  }
	palette_floating_visual_button(irow, :mirrorU, "U", T7[:MNU_MirrorTextureU], hshfloat_but) { miro_edition_mirror_uv :u }
	palette_floating_visual_button(irow, :mirrorV, "V", T7[:MNU_MirrorTextureU], hshfloat_but) { miro_edition_mirror_uv :v }

	irow = 2
	palette_floating_visual_label irow, :tiling, lst_label[irow], lst_label[irow], hshfloat_lab
	palette_floating_visual_button(irow, :tilingU, "1x1", T7[:MNU_TilingUV1x1], hshfloat_but) { miro_tiling_uv 1, 1 }
	palette_floating_visual_button(irow, :tilingV, "nU x mV", T7[:MNU_TilingUV], hshfloat_but) { miro_tiling_uv }
	palette_floating_visual_button(irow, :tilingUV, "?nUmV", T7[:MNU_TilingUVParam], hshfloat_but) { miro_tiling_uv_ask }

	irow = 3
	palette_floating_visual_label irow, :reset, lst_label[irow], lst_label[irow], hshfloat_lab
	palette_floating_visual_button(irow, :reset_all, "ALL", T7[:MNU_ResetTexture], hshfloat_but) { miro_edition_translate_uv nil }
	palette_floating_visual_button(irow, :reset_scale, "Scale", T7[:MNU_ResetTextureScaling], hshfloat_but) { miro_edition_scale_uv 0, 0 }
	palette_floating_visual_button(irow, :reset_rotation, "Rot.", T7[:MNU_ResetTextureRotation], hshfloat_but) { miro_edition_rotate_uv 0 }
	
	irow = 4
	wid_exit = widbut
	wid = (widlab + 3 * widbut - wid_exit) * 0.5
	hshb = { :floating => @palette_visual, :height => hgt, :width => wid, :justif => "MH", :row => irow }
	vproc = proc { miro_visual_inference? }
	hsh = { :text => T7[:BOX_VisualInference], :tooltip => T7[:TIP_VisualToggleInference], :value_proc => vproc, :hi_color => 'lightgreen' }
	@palette.declare_button(:pal_visual_inference, hshb, hsh ) { miro_visual_toggle_inference }
	vproc = proc { miro_edition_locked? }
	hsh = { :text => T7[:BOX_EditionLocked], :tooltip => T7[:TIP_EditionToggleLock], :value_proc => vproc, :hi_color => 'lightpink' }
	@palette.declare_button(:pal_miro_lock, hshb, hsh ) { miro_edition_toggle_lock }
	hsh = { :text => T6[:T_BUTTON_Exit], :width => wid_exit, :tooltip => T7[:MNU_VisualStop], :bk_color => 'khaki' }
	@palette.declare_button(:pal_miro_visual_exit, hshb, hsh ) { visual_stop }
end

#Create a button for label Visual
def palette_floating_visual_label(irow, symb, text, tip, hshfloat)
	pal_symb = "pal_visual_#{symb}".intern
	hsh = { :row => irow, :text => text, :tooltip => tip }
	@palette.declare_button(pal_symb, hshfloat, hsh )
end

#Create a button for Action Visual
def palette_floating_visual_button(irow, symb, text, tip, hshfloat, &proc)
	pal_symb = "pal_visual_#{symb}".intern
	hsh = { :tooltip => tip, :row => irow }
	hsh[:text] = text if text
	@palette.declare_button(pal_symb, hshfloat, hsh ) { proc.call }
end

#Separator for the Main and floating palette
def pal_separator ;	@palette.set_current_family ; @palette.declare_separator ; end

#Palette buttons for Face Painting
def palette_su_env
	hsh = { :passive => true, :height => 32, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_su_env_sepa, hsh

	symb_master = :pal_su_env
	
	hsh = { :type => 'multi_free', :passive => true, :text => T7[:BOX_SUEnv], 
	        :height => 16, :tooltip => T7[:TIP_SUEnv] }
	@palette.declare_button(symb_master, hsh)

	hshp = { :parent => symb_master, :draw_proc => @draw_local }

	wid = 20	
	proc = proc { @action_uv == :mark_diagonal }
	hsh = { :width => wid, :value_proc => proc, :tooltip => T7[:TIP_MarkDiagonal] }
	@palette.declare_button(:pal_mark_diagonal, hshp, hsh) { diagonal_toggle }	
	
	proc = proc { @tracking_auto }
	hsh = { :width => wid, :value_proc => proc, :tooltip => T7[:DEF_TrackingAuto] }
	@palette.declare_button(:pal_tracking_auto, hshp, hsh) { toggle_tracking_auto }	
	
	hsh = { :width => wid, :tooltip => T7[:TIP_SUEnv_CallNativePaint] }
	@palette.declare_button(:pal_native_paint, hshp, hsh) { call_native_supaint }
	
	proc = proc { @rendering_options["DrawHidden"] }
	hsh = { :width => wid, :value_proc => proc, :tooltip => T6[:T_TIP_DrawHidden], :draw_proc => :std_draw_hidden }
	@palette.declare_button(:pal_draw_hidden, hshp, hsh) { toggle_draw_hidden }	
end

#Palette buttons for Face Painting
def palette_actions_uv
	hsh = { :passive => true, :height => 32, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_action_uv_sepa, hsh

	#Top Button
	symb_master = :pal_action_uv
	
	hsh = { :type => 'multi_free', :passive => true, :text => T7[:BOX_Material], 
	        :height => 16, :tooltip => T7[:TIP_ActionUV] }
	@palette.declare_button(symb_master, hsh)

	hshp = { :parent => symb_master, :draw_proc => @draw_local }
	
	hsh = { :width => 24, :value_proc => (proc { @action_uv == :sample }), :tooltip => T7[:TIP_ActionUV_Sample] }
	@palette.declare_button(:pal_action_uv_sample, hshp, hsh) { set_action_uv :sample }
	hsh = { :width => 24, :value_proc => (proc { @action_uv == :sample_plus }), :tooltip => T7[:TIP_ActionUV_SamplePlus] }
	@palette.declare_button(:pal_action_uv_sample_plus, hshp, hsh) { set_action_uv :sample_plus }
	
	hsh = { :width => 16, :tooltip => T7[:TIP_ActionUV_Prev_Mat], :long_click_proc => (proc { material_history_navigate -1, true }) }
	@palette.declare_button(:pal_action_uv_prev_mat, hshp, hsh) { material_history_navigate -1 }
	hsh = { :width => 16, :tooltip => T7[:TIP_ActionUV_Next_Mat], :long_click_proc => (proc { material_history_navigate +1, true }) }
	@palette.declare_button(:pal_action_uv_next_mat, hshp, hsh) { material_history_navigate +1 }
	
	hsh = { :width => 16, :draw_proc => @draw_local, :tooltip => T7[:TIP_Unpaint] }
	@palette.declare_button(:pal_default_material, hshp, hsh) { material_set_to_default }	
	
end

#Palette buttons for Container and Element Painting
def palette_container_painting
	hsh = { :passive => true, :height => 32, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_face_sepa, hsh

	#Main Button
	text1 = T7[:BOX_CONT]
	text2 = T7[:BOX_TEXT]
	text = text1 + "\n" + text2
	wid = [G6.simple_text_size(text1)[0], G6.simple_text_size(text2)[0]].max + 5
	value_proc = proc { @painter_mode_container }
	hsh = { :value_proc => value_proc, :text => text, :hi_color => 'khaki', :justif => 'MH', 
	        :height => 32, :width => wid, :tooltip => T7[:TIP_PainterContainer], :double_click_proc => (proc { force_painter_mode_face }) }
	@palette.declare_button(:pal_container, hsh) { toggle_painter_mode_container }
	
	#Options for Container and element Selection
	wid = 24
	symb_master = :pal_container_selection
	hidden_proc = proc { !@painter_mode_container }
	value_proc = proc { @painter_mode_container }
	hsh = { :type => 'multi_free', :value_proc => value_proc, :text => T7[:BOX_Selection], :hi_color => 'khaki', 
	        :height => 16, :tooltip => T7[:TIP_SetToDefault], 
			:long_click_proc => (proc { set_container_parameters_default }), :hidden_proc => hidden_proc }
	@palette.declare_button(symb_master, hsh) { set_container_parameters_default }

	hshp = { :parent => symb_master, :width => wid, :draw_proc => @draw_local, :hidden_proc => hidden_proc, :draw_proc => @draw_local }
	
	hsh = { :value_proc => (proc { @option_container_selection =~ /GC/ }), :tooltip => T7[:TIP_ContainerSelectionContainer] }
	@palette.declare_button(:pal_container_selection_container, hshp, hsh) { toggle_container_selection 'GC' }
	hsh = { :value_proc => (proc { @option_container_selection =~ /T/ }), :tooltip => T7[:TIP_ContainerSelectionTop] }
	@palette.declare_button(:pal_container_selection_top, hshp, hsh) { toggle_container_selection 'T' }
	
	hsh = { :parent => symb_master, :passive => true, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_container_sepa1, hsh
		
	hsh = { :value_proc => (proc { @option_container_selection =~ /L/ }), :tooltip => T6[:T_TXT_TextLabel] }
	@palette.declare_button(:pal_container_selection_label, hshp, hsh) { toggle_container_selection 'L' }
	hsh = { :value_proc => (proc { @option_container_selection =~ /D/ }), :tooltip => T6[:T_TXT_Dimension] }
	@palette.declare_button(:pal_container_selection_dimension, hshp, hsh) { toggle_container_selection 'D' }	
end

#Palette buttons for Face Painting
def palette_face_painting
	hsh = { :passive => true, :height => 32, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_face_sepa, hsh

	#Main Button
	text = T6[:T_TXT_FACES]
	wid = G6.simple_text_size(text)[0] + 5
	value_proc = proc { @painter_mode_face }
	hsh = { :value_proc => value_proc, :text => text, :hi_color => 'lightgreen', :justif => 'MH', 
	        :height => 32, :width => wid, :tooltip => T7[:TIP_PainterFace], :double_click_proc => (proc { force_painter_mode_face }),
			:long_click_proc => (proc { set_face_parameters_default }) }
	@palette.declare_button(:pal_face, hsh) { toggle_painter_mode_face }
	
	#Options for Face Selection
	wid = 24
	symb_master = :pal_face_selection
	hidden_proc = proc { !@painter_mode_face }
	value_proc = proc { @painter_mode_face }
	hsh = { :type => 'multi_free', :value_proc => value_proc, :text => T7[:BOX_Selection], :hi_color => 'lightgreen', 
	        :height => 16, :tooltip => T7[:TIP_SetToDefault], :double_click_proc => (proc { force_painter_mode_face }),
			:long_click_proc => (proc { set_face_parameters_default }), :hidden_proc => hidden_proc }
	@palette.declare_button(symb_master, hsh) { set_face_selection_default }

	hshp = { :parent => symb_master, :width => wid, :draw_proc => @draw_local, :hidden_proc => hidden_proc }
	
	hsh = { :value_proc => (proc { @option_face_selection == :single }), :tooltip => T6[:T_TIP_FaceSelectionSingle],
            :draw_proc => :std_face_selection_single }
	@palette.declare_button(:pal_face_selection_single, hshp, hsh) { set_face_selection :single }
	hsh = { :value_proc => (proc { @option_face_selection == :surface }), :tooltip => T6[:T_TIP_FaceSelectionSurface],
	        :draw_proc => :std_face_selection_surface }
	@palette.declare_button(:pal_face_selection_surface, hshp, hsh) { set_face_selection :surface }
	hsh = { :value_proc => (proc { @option_face_selection == :connected }), :tooltip => T6[:T_TIP_FaceSelectionConnected],
	        :draw_proc => :std_face_selection_connected }
	@palette.declare_button(:pal_face_selection_connected, hshp, hsh) { set_face_selection :connected }
	hsh = { :value_proc => (proc { @option_face_selection == :same_color }), :tooltip => T6[:T_TIP_FaceSelectionSameColor],
	        :draw_proc => :std_face_selection_same_color }
	@palette.declare_button(:pal_face_selection_same_color, hshp, hsh) { set_face_selection :same_color }
	hsh = { :value_proc => (proc { @option_face_selection == :same_all }), :tooltip => T6[:T_TIP_FaceSelectionSameAll],
	        :draw_proc => :std_face_selection_same_all }
	@palette.declare_button(:pal_face_selection_same_all, hshp, hsh) { set_face_selection :same_all }
	
	#Options for Face Side
	wid = 24
	symb_master = :pal_face_side
	value_proc = proc { @painter_mode_face }
	hsh = { :type => 'multi_free', :value_proc => value_proc, :text => T7[:BOX_FaceSide], :hi_color => 'lightgreen', 
	        :height => 16, :tooltip => T7[:TIP_SetToDefault], :double_click_proc => (proc { force_painter_mode_face }),
			:long_click_proc => (proc { set_face_parameters_default }), :hidden_proc => hidden_proc }
	@palette.declare_button(symb_master, hsh) { set_face_side_default }

	hshp = { :parent => symb_master, :width => wid, :draw_proc => @draw_local, :hi_color => 'yellow', :hidden_proc => hidden_proc }
		
	hsh = { :value_proc => (proc { @option_face_side == :visible }), :tooltip => T7[:TIP_FaceSideVisible] }
	@palette.declare_button(:pal_face_side_visible, hshp, hsh) { set_face_side :visible }
	hsh = { :value_proc => (proc { @option_face_side == :recto }), :tooltip => T7[:TIP_FaceSideRecto], :text => ' F' }
	@palette.declare_button(:pal_face_side_recto, hshp, hsh) { set_face_side :recto }
	hsh = { :value_proc => (proc { @option_face_side == :verso }), :tooltip => T7[:TIP_FaceSideVerso], :text => ' B' }
	@palette.declare_button(:pal_face_side_verso, hshp, hsh) { set_face_side :verso }
	hsh = { :value_proc => (proc { @option_face_side == :recto_verso }), :tooltip => T7[:TIP_FaceSideRectoVerso], :text => 'F/B' }
	@palette.declare_button(:pal_face_side_recto_verso, hshp, hsh) { set_face_side :recto_verso }

	hsh = { :parent => symb_master, :passive => true, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_face_sepa2, hsh
	
	hsh = { :value_proc => (proc { @option_auto_flip }), :tooltip => T7[:TIP_FaceSideFlip], :hi_color => 'yellow' }
	@palette.declare_button(:pal_auto_flip, hshp, hsh) { toggle_auto_flip }
	
end

#Palette buttons for Edge Painting
def palette_edge_painting
	hsh = { :passive => true, :height => 32, :draw_proc => :separator_V, :width => 12 }	
	@palette.declare_button :pal_edge_sepa, hsh

	#Main Button
	hi_color_edge = 'lightblue'
	text = T6[:T_TXT_EDGES]
	wid, = G6.simple_text_size(text)[0]
	value_proc = proc { @painter_mode_edge }
	hsh = { :value_proc => value_proc, :text => text, :hi_color => hi_color_edge, :justif => 'MH',
	        :height => 32, :width => wid, :tooltip => T7[:TIP_PainterEdge], :double_click_proc => (proc { force_painter_mode_edge }),
			:long_click_proc => (proc { set_edge_parameters_default }) }
	@palette.declare_button(:pal_edge, hsh) { toggle_painter_mode_edge }
	
	#Options for Edge Selection
	
	wid = 24
	hidden_proc = proc { @painter_mode_face || @painter_mode_container }
	symb_master = :pal_edge_selection	
	value_proc = proc { @painter_mode_edge }
	hsh = { :type => 'multi_free', :value_proc => value_proc, :text => T7[:BOX_Selection], :hi_color => hi_color_edge, 
	        :height => 16, :tooltip => T7[:TIP_SetToDefault], :double_click_proc => (proc { force_painter_mode_edge }),
			:long_click_proc => (proc { set_edge_parameters_default }), :hidden_proc => hidden_proc }
	@palette.declare_button(symb_master, hsh) { set_edge_selection_default }
	
	hshp = { :parent => symb_master, :width => wid, :main_color => 'blue', :hidden_proc => hidden_proc }
	
	hsh = { :value_proc => (proc { @option_edge_selection == :single }), :draw_proc => @draw_local, :tooltip => T6[:T_TIP_EdgeSelectionSingle] }
	@palette.declare_button(:pal_edge_selection_single, hshp, hsh) { set_edge_selection :single }
	hsh = { :value_proc => (proc { @option_edge_selection == :curve }), :tooltip => T6[:T_TIP_EdgeSelectionCurve], :draw_proc => :circle_S2_blue }
	@palette.declare_button(:pal_edge_selection_curve, hshp, hsh) { set_edge_selection :curve }
	
	hshsepa = { :parent => symb_master, :passive => true, :draw_proc => :separator_V, :width => 8 }	
	@palette.declare_button :pal_edge_selection_sepa1, hshp, hshsepa
	hsh = { :value_proc => (proc { @option_edge_selection == :follow }), :tooltip => T6[:T_TIP_EdgeSelectionFollow], :draw_proc => :arrow_RL }
	@palette.declare_button(:pal_edge_selection_follow, hshp, hsh) { set_edge_selection :follow }
	hsh = { :value_proc => (proc { @stop_at_crossing }), :tooltip => T6[:T_TIP_EdgeSelectionStopAtCrossing], :draw_proc => :stop_at_crossing }
	@palette.declare_button(:pal_edge_selection_stop_at_crossing, hshp, hsh) { toggle_stop_at_crossing }
	@palette.declare_button :pal_edge_selection_sepa2, hshp, hshsepa
	
	hsh = { :value_proc => (proc { @option_edge_selection == :connected }), :tooltip => T6[:T_TIP_EdgeSelectionConnected], :draw_proc => :arrow_RULD }
	@palette.declare_button(:pal_edge_selection_connected, hshp, hsh) { set_edge_selection :connected }

	#Option for Edge Properties
	symb_master = :pal_edge_prop	
	hidden_proc = proc { !@painter_mode_edge }
	value_proc = proc { @painter_mode_edge }
	hsh = { :type => 'multi_free', :value_proc => value_proc, :text => T7[:BOX_Properties], :hi_color => hi_color_edge, 
	        :height => 16, :tooltip => T7[:TIP_SetToDefault], :double_click_proc => (proc { force_painter_mode_edge }),
			:long_click_proc => (proc { set_edge_parameters_default }), :hidden_proc => hidden_proc }
	@palette.declare_button(symb_master, hsh) { set_edge_prop_default } 
		
	hshp = { :parent => symb_master, :width => wid, :main_color => 'green', :hidden_proc => hidden_proc }
	
	hsh = { :value_proc => (proc { @option_edge_prop =~ /P/ }), :double_click_proc => (proc { set_edge_prop 'P' }), 
	        :draw_proc => :edge_prop_plain, :tooltip => T6[:T_DLG_EdgePlain] }
	@palette.declare_button(:pal_edge_prop_plain, hshp, hsh) { toggle_edge_prop 'P' }
	hsh = { :value_proc => (proc { @option_edge_prop =~ /S/ }), :double_click_proc => (proc { set_edge_prop 'S' }), 
	        :draw_proc => :edge_prop_soft, :tooltip => T6[:T_DLG_EdgeSoft] }
	@palette.declare_button(:pal_edge_prop_soft, hshp, hsh) { toggle_edge_prop 'S' }
	hsh = { :value_proc => (proc { @option_edge_prop =~ /M/ }), :double_click_proc => (proc { set_edge_prop 'M' }), 
	        :draw_proc => :edge_prop_smooth, :tooltip => T6[:T_DLG_EdgeSmooth] }
	@palette.declare_button(:pal_edge_prop_smooth, hshp, hsh) { toggle_edge_prop 'M' }
	hsh = { :value_proc => (proc { @option_edge_prop =~ /H/ }), :double_click_proc => (proc { set_edge_prop 'H' }), 
	        :draw_proc => :edge_prop_hidden, :tooltip => T6[:T_DLG_EdgeHidden] }
	@palette.declare_button(:pal_edge_prop_hidden, hshp, hsh) { toggle_edge_prop 'H' }
end

#--------------------------------------------------------------
# Custom drawing for palette buttons
#--------------------------------------------------------------

#Custom drawing of buttons
def draw_button_opengl(symb, dx, dy, main_color, frame_color, selected)
	code = symb.to_s
	lst_gl = []
	dx2 = dx / 2
	dy2 = dy / 2
	grayed = @palette.button_is_grayed?(symb)
	color = (grayed) ? 'gray' : frame_color
	
	case code
	
	#Projection Plane
	when /pal_proj_(x|y|z)(.*)/
		origin = Geom::Point3d.new(dx2, 1)
		ptz = Geom::Point3d.new(dx2, dy-6)
		ptx = Geom::Point3d.new(dx-1, dy2)
		pty = Geom::Point3d.new(1, dy2)
		widz = widx = widy = 1
		if $1 == 'z'
			widz = 3
			plan = [origin, ptx, Geom::Point3d.new(dx2, dy-2), pty]
		elsif $1 == 'x'
			widx = 3
			plan = [origin, ptz, Geom::Point3d.new(1, dy), pty]
		elsif $1 == 'y'
			widy = 3
			plan = [origin, ptx, Geom::Point3d.new(dx-1, dy), ptz]
		end	
		lst_gl.push [GL_LINE_LOOP, plan, 'gray', 1, '']
		lst_gl.push [GL_POLYGON, plan, 'gold']
		lst_gl.push [GL_LINE_STRIP, [origin, ptz], 'blue', widz, '']
		lst_gl.push [GL_LINE_STRIP, [origin, ptx], 'red', widx, '']
		lst_gl.push [GL_LINE_STRIP, [origin, pty], 'green', widy, '']
		if $2 == 'l'
			[1, 3].each do |dec|
				pts = [[dec,dec], [dx-dec, dec], [dx-dec,dy-dec], [dec, dy-dec]].collect { |a| Geom::Point3d.new *a }
				lst_gl.push [GL_LINE_LOOP, pts, 'blue', 1, '-']
			end	
		end	

	when /pal_proj_view_plane/
		ptmid = Geom::Point3d.new(dx2, dy2)
		t = Geom::Transformation.scaling ptmid, 1.4, 0.8, 1
		big = G6.pts_circle(dx2, dy2, 8).collect { |pt| t * pt }
		lst_gl.push [GL_POLYGON, big, 'yellow'] if selected
		lst_gl.push [GL_LINE_LOOP, big, 'black', 1, '']
		pts = G6.pts_circle(dx2, dy2, 4)
		lst_gl.push [GL_POLYGON, pts, ((selected) ? 'red' : 'black')]
		lpt = []
		big.each_with_index do |pt, i|
			vec = ptmid.vector_to pt
			lpt.push pt, pt.offset(vec, 4)
		end	
		lst_gl.push [GL_LINES, lpt, 'black', 2, '']
		
	when /pal_proj_custom_plane/
		pts = []
		pts.push Geom::Point3d.new(15, 15)
		pts.push Geom::Point3d.new(21, 15)
		pts.push Geom::Point3d.new(21, 21)
		pts.push Geom::Point3d.new(15, 21)
		lst_gl.push [GL_POLYGON, pts, 'blue']
		
		lpt = []
		[3, 9, 15, 21, 27].each do |x| 
			lpt.push Geom::Point3d.new(x, 3), Geom::Point3d.new(x, dy-2)
		end	
		[3, 9, 15, 21, 27].each do |y| 
			lpt.push Geom::Point3d.new(3, y), Geom::Point3d.new(dx-2, y)
		end	
		lst_gl.push [GL_LINES, lpt, 'black', 1, '']
		
	when /pal_proj_picked_face/
		pts = []
		pts.push Geom::Point3d.new(0, dy2)
		pts.push Geom::Point3d.new(dx2, dy2)
		pts.push Geom::Point3d.new(dx2, dy)
		pts.push Geom::Point3d.new(0, dy)
		lst_gl.push [GL_POLYGON, pts, 'silver']
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, '']
		draw_button_pinceau(lst_gl, dx, dy)
		
	#Actions UV
	when /pal_action_uv_prev_mat/i
		pts = []
		pts.push Geom::Point3d.new(0, dy2)
		pts.push Geom::Point3d.new(dx, dy)
		pts.push Geom::Point3d.new(dx, 0)
		color = 'gray'
		lst_gl.push [GL_POLYGON, pts, color]

	when /pal_action_uv_next_mat/i
		pts = []
		pts.push Geom::Point3d.new(0, 0)
		pts.push Geom::Point3d.new(0, dy)
		pts.push Geom::Point3d.new(dx, dy2)
		color = 'gray'
		lst_gl.push [GL_POLYGON, pts, color]
	
	when /pal_action_uv_sample/i
		w = 7
		w2 = w / 2
		hb = 5
		ht = 7
		top = dy+7
		top0 = dy
		base = []
		base.push Geom::Point3d.new(w2-2, 0)
		base.push Geom::Point3d.new(w2+2, 0)
		base.push Geom::Point3d.new(w2+2, hb)
		base.push Geom::Point3d.new(w2-2, hb)
		tube = []
		tube.push Geom::Point3d.new(0, hb)
		tube.push Geom::Point3d.new(w, hb)
		tube.push Geom::Point3d.new(w, ht)
		tube.push Geom::Point3d.new(0, ht)
		aig = []
		aig.push Geom::Point3d.new(w2-2, ht)
		aig.push Geom::Point3d.new(w2+1, ht)
		aig.push Geom::Point3d.new(w2+1, top)
		aig.push Geom::Point3d.new(w2-2, top)
		midr = Geom::Point3d.new(w2+1, top0)
		midl = Geom::Point3d.new(w2-2, top0)
		quad1 = [aig[0], aig[1], midr, midl]
		quad2 = [midl, midr, aig[2], aig[3]]
		
		tr = Geom::Transformation.rotation ORIGIN, Z_AXIS, 75.degrees
		tt = Geom::Transformation.translation Geom::Vector3d.new(dx-2, 0, 0)
		t = tt * tr
		base = base.collect { |pt| t * pt }
		tube = tube.collect { |pt| t * pt }
		aig = aig.collect { |pt| t * pt }
		quad1 = quad1.collect { |pt| t * pt }
		quad2 = quad2.collect { |pt| t * pt }
		lst_gl.push [GL_POLYGON, base, 'black']
		lst_gl.push [GL_POLYGON, tube, 'black']
		lst_gl.push [GL_POLYGON, quad1, 'white']
		lst_gl.push [GL_LINE_LOOP, base, 'black', 1, '']
		lst_gl.push [GL_LINE_LOOP, tube, 'black', 1, '']
		
		if code == 'pal_action_uv_sample_plus'
			pts = []
			pts.push Geom::Point3d.new(4, dy-8), Geom::Point3d.new(4, dy)
			pts.push Geom::Point3d.new(7, dy-4), Geom::Point3d.new(0, dy-4)
			lst_gl.push [GL_LINES, pts, 'red', 2, '']
		else
			lst_gl.push [GL_POLYGON, quad2, 'orange']
			lst_gl.push [GL_LINE_LOOP, aig, 'black', 1, '']
		end
	
	#Arrows to switch families	
	when /pal_native_paint/i
		ptmid = Geom::Point3d.new dx2, dy2
		tr = Geom::Transformation.rotation ptmid, Z_AXIS, 20.degrees
		pts = []
		pts.push Geom::Point3d.new(4, 0)
		pts.push Geom::Point3d.new(dx-4, 0)
		pts.push Geom::Point3d.new(dx-4, dy-2)
		pts.push Geom::Point3d.new(4, dy-2)
		pts = pts.collect { |pt| tr * pt }
		lst_gl.push [GL_POLYGON, pts, 'tan']
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, '']
		pts = []
		pts.push Geom::Point3d.new(7, dy-4)
		pts.push Geom::Point3d.new(dx, dy-4)
		pts = pts.collect { |pt| tr * pt }
		lst_gl.push [GL_LINE_STRIP, pts, 'saddlebrown', 2, '']
		pts = []
		pts.push Geom::Point3d.new(4, dy-2)
		pts.push Geom::Point3d.new(0, 2)
		pts.push Geom::Point3d.new(4, dy-8)
		pts = pts.collect { |pt| tr * pt }
		lst_gl.push [GL_POLYGON, pts, 'yellow']
		lst_gl.push [GL_LINE_LOOP, pts, 'gold', 1, '']

	when /pal_tracking_auto/i
		color = (selected) ? 'red' : 'green'
		pts = []
		pts.push Geom::Point3d.new(3, 1)
		pts.push Geom::Point3d.new(dx2, dy)
		pts.push Geom::Point3d.new(dx-3, 1)
		lst_gl.push [GL_LINE_STRIP, pts, color, 3, '']	
		pts = []
		pts.push Geom::Point3d.new(6, dy2-1)
		pts.push Geom::Point3d.new(dx-6, dy2-1)
		lst_gl.push [GL_LINE_STRIP, pts, color, 2, '']	
		
	when /pal_draw_hidden/i
		color = (selected) ? 'blue' : 'black'
		pts = []
		pts.push Geom::Point3d.new(0, 0)
		pts.push Geom::Point3d.new(dx, 0)
		pts.push Geom::Point3d.new(dx, dy)
		pts.push Geom::Point3d.new(0, dy)
		lst_gl.push [GL_LINE_LOOP, pts, 'gray', 1, '']	
		lst_gl.push [GL_LINE_STRIP, [pts[0], pts[2]], color, 2, '_']	
		lst_gl.push [GL_LINE_STRIP, [pts[1], pts[3]], color, 2, '_']	
		
	when /pal_mark_diagonal/i
		pts = []
		pts.push Geom::Point3d.new(0, 0)
		pts.push Geom::Point3d.new(dx, 0)
		pts.push Geom::Point3d.new(dx, dy)
		pts.push Geom::Point3d.new(0, dy)
		lst_gl.push [GL_LINE_LOOP, pts, 'gray', 1, '']	
		pts = []
		pts.push Geom::Point3d.new(0, 0)
		pts.push Geom::Point3d.new(dx, dy)
		color = (selected) ? 'green' : 'black'
		lst_gl.push [GL_LINE_LOOP, pts, color, 2, '_']	
		ptmid = Geom::Point3d.new dx2, 0
		tr = Geom::Transformation.rotation ptmid, Z_AXIS, 40.degrees
		color = (selected) ? 'blue' : 'gray'
		pts = []
		pts.push Geom::Point3d.new(dx2+2, 0)
		pts.push Geom::Point3d.new(dx, dy2-2)
		pts.push Geom::Point3d.new(dx2+2, dy2+1)
		lst_gl.push [GL_POLYGON, pts, color]	
		
	#Arrows to switch families	
	when /pal_uv_mode_natural/i
		dx3 = dx / 3
		dy3 = dy / 3
		fcolor = 'black'
		bcolor = (selected) ? ['yellow', 'red'] :  ['white', 'gray']
		for i in 0..2
			x0 = dx3 * i + 1
			x1 = x0 + dx3
			for j in 0..2
				pts = []
				k = (i+j).modulo(2)
				y0 = dy3 * j
				y1 = y0 + dy3
				pts.push Geom::Point3d.new(x0, y0)
				pts.push Geom::Point3d.new(x0, y1)
				pts.push Geom::Point3d.new(x1, y1)
				pts.push Geom::Point3d.new(x1, y0)
				lst_gl.push [GL_POLYGON, pts, bcolor[k]]
				lst_gl.push [GL_LINE_LOOP, pts, fcolor, 1, '']
			end	
		end

	when /pal_uv_mode_mesh/i
		dx3 = dx / 3
		dy3 = dy / 3
		fcolor = 'black'
		bcolor = (selected) ? ['yellow', 'red'] :  ['white', 'gray']
		dk = 3.0
		for i in 0..2
			ddy1 = dy - 2 * dk * i
			ddy2 = dy - 2 * dk * (i + 1)
			x0 = dx3 * i + 1
			x1 = x0 + dx3
			for j in 0..2
				pts = []
				k = (i+j).modulo(2)
				j1 = j + 1
				y0 = dk * i + ddy1 / 3 * j
				y1 = y0 + ddy1 / 3
				y2 = dk * (i+1) + ddy2 / 3 * j
				y3 = y2 + ddy2 / 3
				pts.push Geom::Point3d.new(x0, y0)
				pts.push Geom::Point3d.new(x0, y1)
				pts.push Geom::Point3d.new(x1, y3)
				pts.push Geom::Point3d.new(x1, y2)
				lst_gl.push [GL_POLYGON, pts, bcolor[k]]
				lst_gl.push [GL_LINE_LOOP, pts, fcolor, 1, '']
			end	
		end

	when /pal_uv_mode_projected/i
		dy4 = dy / 4
		fcolor = 'black'
		bcolor1 = (selected) ? 'yellow' : 'white' 
		bcolor2 = (selected) ? 'red' : 'gray' 
		top = Geom::Point3d.new(dx2, dy)
		para = []
		para.push Geom::Point3d.new(0, 0)
		para.push Geom::Point3d.new(dx-4, 0)
		para.push Geom::Point3d.new(dx, dy2)
		para.push Geom::Point3d.new(4, dy2)
		pts = []
		para.each { |pt| pts.push top, pt }
		pmid = Geom::Point3d.new(dx2, dy4)
		quad1 = [para[0], Geom::Point3d.new(dx2-2, 0), pmid, Geom::Point3d.new(2, dy4)]
		lst_gl.push [GL_POLYGON, quad1, bcolor1]
		lst_gl.push [GL_LINE_LOOP, quad1, fcolor, 1, '']
		quad2 = [quad1[3], pmid, Geom::Point3d.new(dx2+2, dy2), Geom::Point3d.new(4, dy2)]
		lst_gl.push [GL_POLYGON, quad2, bcolor2]
		lst_gl.push [GL_LINE_LOOP, quad2, fcolor, 1, '']
		quad3 = [quad1[1], Geom::Point3d.new(dx-4, 0), Geom::Point3d.new(dx-2, dy4), pmid]
		lst_gl.push [GL_POLYGON, quad3, bcolor2]
		lst_gl.push [GL_LINE_LOOP, quad3, fcolor, 1, '']
		quad4 = [pmid, quad3[2], Geom::Point3d.new(dx, dy2), quad2[2]]
		lst_gl.push [GL_POLYGON, quad4, bcolor1]
		lst_gl.push [GL_LINE_LOOP, quad4, fcolor, 1, '']
		lst_gl.push [GL_LINE_LOOP, para, fcolor, 1, '']
		lst_gl.push [GL_LINES, pts, ((selected) ? 'blue' : 'black'), 1, '']

	when /pal_uv_mode_transfer/i
		dym = dy2 + 3
		dyb = dym-4
		dyp = dy
		ptmid = Geom::Point3d.new dx2, dy2
		tr = Geom::Transformation.rotation ptmid, Z_AXIS, 45.degrees
		
		pts = []
		pts.push Geom::Point3d.new(dx2-3, 0)
		pts.push Geom::Point3d.new(dx2-2, -1)
		pts.push Geom::Point3d.new(dx2, -2)
		pts.push Geom::Point3d.new(dx2+2, -1)
		pts.push Geom::Point3d.new(dx2+3, 0)
		pts.push Geom::Point3d.new(dx2+3, dyb)
		pts.push Geom::Point3d.new(dx2-3, dyb)
		pts = pts.collect { |pt| tr * pt }
		lst_gl.push [GL_POLYGON, pts, (selected) ? 'yellow' : 'white']
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, '']

		pts = []
		pts.push Geom::Point3d.new(dx2+5, dyb)
		pts.push Geom::Point3d.new(dx2+5, dym)
		pts.push Geom::Point3d.new(dx2-5, dym)
		pts.push Geom::Point3d.new(dx2-5, dyb)
		pts = pts.collect { |pt| tr * pt }
		lst_gl.push [GL_POLYGON, pts, (selected) ? 'red' : 'black']	

		colors = ['red', 'yellow', 'blue', 'lightgreen']
		colbor = (selected) ? 'purple' : 'black'
		for i in 0..3
			pts = []
			x1 = dx2 - 6 + i * 3
			x2 = x1 + 3
			pts.push Geom::Point3d.new(x1, dyp)
			pts.push Geom::Point3d.new(x1, dym)
			pts.push Geom::Point3d.new(x2, dym)
			pts.push Geom::Point3d.new(x2, dyp)
			pts = pts.collect { |pt| tr * pt }
			lst_gl.push [GL_POLYGON, pts, colors[i]]	
			lst_gl.push [GL_LINE_LOOP, pts, colbor, 1, '']	
		end	
				
	when /pal_edge_selection_single/i
		pts = []
		pts.push Geom::Point3d.new(3, dy2)
		pts.push Geom::Point3d.new(dx-3, dy2)
		color = 'blue'
		lst_gl.push [GL_LINE_STRIP, pts, color, 2, '']
		
	when /pal_default_material/i
		fcolor = @rendering_options["FaceFrontColor"]
		bcolor = @rendering_options["FaceBackColor"]
		pts = []
		pts.push Geom::Point3d.new(0, 0)
		pts.push Geom::Point3d.new(dx, 0)
		pts.push Geom::Point3d.new(0, dy)
		lst_gl.push [GL_POLYGON, pts, bcolor] 
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, ''] 
		pts = []
		pts.push Geom::Point3d.new(dx, 0)
		pts.push Geom::Point3d.new(dx, dy)
		pts.push Geom::Point3d.new(0, dy)
		lst_gl.push [GL_POLYGON, pts, fcolor] 
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, ''] 
	
	when /pal_auto_flip/i
		fcolor = @rendering_options["FaceFrontColor"]
		bcolor = @rendering_options["FaceBackColor"]
		pts = []
		pts.push Geom::Point3d.new(0, dy/2)
		pts.push Geom::Point3d.new(dx/2, dy)
		pts.push Geom::Point3d.new(dx/2, 0)
		lst_gl.push [GL_POLYGON, pts, fcolor] 
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, ''] 
		pts = []
		pts.push Geom::Point3d.new(dx/2, dy)
		pts.push Geom::Point3d.new(dx/2, 0)
		pts.push Geom::Point3d.new(dx, dy/2)
		lst_gl.push [GL_POLYGON, pts, bcolor] 
		lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, ''] 
		
		
	when /pal_face_side_(.+)/i
		sub = $1
		fcolor = @rendering_options["FaceFrontColor"]
		bcolor = @rendering_options["FaceBackColor"]
		
		if sub =~ /recto_verso/
			dxb = dxf = dx/2
		else
			dxb = dx
			dxf = 1
		end	
		
		if sub =~ /recto/
			pts = []
			pts.push Geom::Point3d.new(1, 0)
			pts.push Geom::Point3d.new(dxb, 0)
			pts.push Geom::Point3d.new(dxb, dy)
			pts.push Geom::Point3d.new(1, dy)
			#lst_gl.push [GL_POLYGON, pts, fcolor] 
			#lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, ''] 
		end
		if sub =~ /verso/
			pts = []
			pts.push Geom::Point3d.new(dxf, 0)
			pts.push Geom::Point3d.new(dx, 0)
			pts.push Geom::Point3d.new(dx, dy)
			pts.push Geom::Point3d.new(dxf, dy)
			#lst_gl.push [GL_POLYGON, pts, bcolor] 
			#lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, ''] 
		end	
		if sub =~ /visible/
			dx4 = dx / 4
			dy5 = dy / 5
			pts = []
			pts.push Geom::Point3d.new(0, dy2)
			pts.push Geom::Point3d.new(dx4, dy-1)
			pts.push Geom::Point3d.new(dx2, dy)
			pts.push Geom::Point3d.new(3*dx4, dy-1)
			pts.push Geom::Point3d.new(dx, dy2)
			pts.push Geom::Point3d.new(3*dx4, 2)
			pts.push Geom::Point3d.new(dx2, 0)
			pts.push Geom::Point3d.new(dx4, 2)
			lst_gl.push [GL_POLYGON, pts, ((selected) ? 'yellow' : 'lightgrey')] 
			lst_gl.push [GL_LINE_LOOP, pts, 'blue', 2, ''] 
			pts = G6.pts_square dx2, dy2, 2
			lst_gl.push [GL_POLYGON, pts, 'blue'] 
		end	

	when /pal_container_selection_container/i
		lcolor = ((selected) ? 'blue' : 'black')
		pcolor = ((selected) ? 'red' : 'gray')
		w = dx2 + 2
		h = dy2 + 2
		pts1 = [Geom::Point3d.new(1, 1), Geom::Point3d.new(w, 1), Geom::Point3d.new(w, h), Geom::Point3d.new(1, h)]
		pts2 = pts1.collect { |pt| Geom::Point3d.new(pt.x + 5, pt.y + 4) }
		pts = []
		for i in 0..3
			pts.push pts1[i], pts2[i]
		end	
		lst_gl.push [GL_LINE_LOOP, pts1, lcolor, 1, ''] 
		lst_gl.push [GL_LINE_LOOP, pts2, lcolor, 1, ''] 
		lst_gl.push [GL_LINES, pts, lcolor, 1, ''] 

	when /pal_container_selection_top/i
		lcolor = ((selected) ? 'blue' : 'black')
		pcolor = ((selected) ? 'red' : 'gray')
		pts = []
		pts.push Geom::Point3d.new(8, dy-5), Geom::Point3d.new(6, 1)
		lst_gl.push [GL_LINE_STRIP, pts, lcolor, 1, ''] 
		pts = G6.pts_rectangle 1, dy-3, 8, 4
		lst_gl.push [GL_POLYGON, pts, pcolor] 
		pts = G6.pts_rectangle 6, dy-7, 9, 3
		lst_gl.push [GL_POLYGON, pts, 'gray'] 
		pts = G6.pts_rectangle 6, 1, 9, 3
		lst_gl.push [GL_POLYGON, pts, 'gray'] 

	when /pal_container_selection_label/i
		lcolor = ((selected) ? 'blue' : 'black')
		pcolor = ((selected) ? 'red' : 'gray')
		ptbeg = Geom::Point3d.new(1, 1)
		ptmid = Geom::Point3d.new(dx/3, dy/2)
		ptend = Geom::Point3d.new(dx/3+3, dy/2)
		lst_gl.push [GL_LINE_STRIP, [ptbeg, ptmid, ptend], lcolor, 1, ''] 
		pts = G6.pts_rectangle dx/3+3, dy2-2, 8, 5
		lst_gl.push [GL_POLYGON, pts, pcolor] 

	when /pal_container_selection_dimension/i
		lcolor = ((selected) ? 'blue' : 'black')
		pcolor = ((selected) ? 'red' : 'gray')
		ptbeg = Geom::Point3d.new(1, 3)
		ptend = Geom::Point3d.new(dx-1, 3)
		lst_gl.push [GL_LINES, [ptbeg, ptend], 'black', 1, ''] 
		pts = []
		pts.push ptbeg, Geom::Point3d.new(4, 5), ptbeg, Geom::Point3d.new(4, 1)
		pts.push ptend, Geom::Point3d.new(dx-4, 5), ptend, Geom::Point3d.new(dx-4, 1)
		pts.push ptbeg, Geom::Point3d.new(1, dy), ptend, Geom::Point3d.new(dx-1, dy)
		lst_gl.push [GL_LINES, pts, 'black', 1, '-'] 
		pts = [Geom::Point3d.new(1, dy), Geom::Point3d.new(dx-1, dy)]
		lst_gl.push [GL_LINE_STRIP, pts, 'gray', 1, ''] 
		pts = G6.pts_rectangle dx/2-2, 1, 5, 4
		lst_gl.push [GL_POLYGON, pts, pcolor] 
	
	end	#case code
	
	lst_gl
end

def draw_button_pinceau(lst_gl, dx, dy)
	dx2 = dx/2
	dy2 = dy/2
	dym = dy * 3 / 4
	dyb = dym-4
	ptmid = Geom::Point3d.new dx2, dy2
	tr = Geom::Transformation.rotation ptmid, Z_AXIS, 45.degrees
	
	pts = []
	pts.push Geom::Point3d.new(dx2-2, 0)
	pts.push Geom::Point3d.new(dx2-1, -1)
	pts.push Geom::Point3d.new(dx2, -2)
	pts.push Geom::Point3d.new(dx2+1, -1)
	pts.push Geom::Point3d.new(dx2+2, 0)
	pts.push Geom::Point3d.new(dx2+2, dyb)
	pts.push Geom::Point3d.new(dx2-2, dyb)
	pts = pts.collect { |pt| tr * pt }
	lst_gl.push [GL_POLYGON, pts, 'yellow']
	lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, '']
	
	pts = []
	pts.push Geom::Point3d.new(dx2+2, dyb)
	pts.push Geom::Point3d.new(dx2+2, dym)
	pts.push Geom::Point3d.new(dx2-2, dym)
	pts.push Geom::Point3d.new(dx2-2, dyb)
	pts = pts.collect { |pt| tr * pt }
	lst_gl.push [GL_POLYGON, pts, 'black']
	
	pts = []
	pts.push Geom::Point3d.new(dx2-2, dym)
	pts.push Geom::Point3d.new(dx2-3, dym+4)
	pts.push Geom::Point3d.new(dx2-1, dym+6)
	pts.push Geom::Point3d.new(dx2, dym+8)
	pts.push Geom::Point3d.new(dx2+1, dym+6)
	pts.push Geom::Point3d.new(dx2+3, dym+4)
	pts.push Geom::Point3d.new(dx2+2, dym)
	pts = pts.collect { |pt| tr * pt }
	lst_gl.push [GL_POLYGON, pts, 'red']
	lst_gl.push [GL_LINE_LOOP, pts, 'black', 1, '']
	
end

#Custom drawing for the Blason
def draw_button_blason(symb, dx, dy)
	lst_gl = []
	draw_button_pinceau(lst_gl, dx, dy)	
	lst_gl
end

end	#class ThruPaintTool

#==================================================
#----------------------------------------------------------------------------------------------------
# Class Miro (generic)
#----------------------------------------------------------------------------------------------------
#==================================================

class Miro

@@dico = "FredoTools_ThruPaint"
@@attr_mark_recto = "R"
@@attr_mark_verso = "V"
@@attr_pts_recto = "i_r"
@@attr_pts_verso = "i_v"
@@attr_param_recto = "p_r"
@@attr_param_verso = "p_v"
@@attr_tr_recto = "tr_r"
@@attr_tr_verso = "tr_v"
@@attr_master_recto = "ms_r"
@@attr_master_verso = "ms_v"

#MIRO: Check the stamp and uv_mode of a face
def Miro.check_stamp_uv_mode(face, recto, verso)
	stamp = face.get_attribute @@dico, ((recto) ? @@attr_mark_recto : @@attr_mark_verso)
	uv_mode = :native
	if stamp
		case stamp[0..0]
		when 'M'
			uv_mode = :mesh
		when 'P'	
			uv_mode = :projected
		when 'N'	
			uv_mode = :natural
		else
			stamp = nil
		end
	end
	[uv_mode, stamp]
end

#Get the attribute of a face based on recto / verso directives	
def Miro.get_attr_param(stamp, recto, verso)
	return nil unless stamp
	attr_recto = "#{stamp} - #{@@attr_tr_recto}"
	attr_verso = "#{stamp} - #{@@attr_tr_verso}"
	model = Sketchup.active_model
	val_recto = model.get_attribute(@@dico, attr_recto)
	return val_recto if val_recto && recto
	val_verso = model.get_attribute(@@dico, attr_verso)
	return val_verso if val_verso && verso
	return val_recto if val_recto
	return val_verso if val_verso
	nil
end

#MIRO: Check if the texture on the face is locked
def Miro.check_locked(stamp, recto, verso)
	return false unless stamp
	sparam = Miro.get_attr_param(stamp, recto, verso)
	return false unless sparam
	begin
		hparam = eval sparam
		return hparam[:lk]
	rescue
	end
	false
end

#Create a Miro class instance (based on uv_mode)
def Miro.create(uv_mode, stamp, recto, verso)
	case uv_mode
	when :mesh
		miro_class = MiroMesh
	when :projected	
		miro_class = MiroProjected
	when :transfer	
		miro_class = MiroTransfer
	else	
		miro_class = MiroNatural
	end
	stamp = Miro.make_stamp(uv_mode) unless stamp
	miro_class.new(stamp, recto, verso)
end

#MIRO: Compute the stamp string (based on uv_mode)
def Miro.make_stamp(uv_mode)
	case uv_mode
	when :mesh
		letter = 'M'
	when :projected	
		letter = 'P'
	else
		letter = 'N'
	end
	"#{letter}#{Time.now.to_f}"	
end

#MIRO: Retrieve the default transformation associated to a Material
def Miro.get_material_transformation(mat)
	return nil unless mat && mat.texture && @hsh_mat_transfo
	@hsh_mat_transfo[mat.object_id]
end

#MIRO: Retrieve the default transformation associated to a Material
def Miro.register_material_transformation(mat, fu, fv, angle_rot)
	return unless mat && mat.texture
	@hsh_mat_transfo = {} unless @hsh_mat_transfo
	lval = @hsh_mat_transfo[mat.object_id]
	lval = @hsh_mat_transfo[mat.object_id] = [1.0, 1.0, 0.0] unless lval
	lval[0] = fu if fu 
	lval[1] = fv if fv 
	lval[2] = angle_rot if angle_rot
	lval	
end

#MIRO: Sample material transformation a face
def Miro.sample_material_transformation(mat, stamp, recto, verso)
	sparam =  Miro.get_attr_param(stamp, recto, verso)
	return unless sparam
	begin
		hparam = eval sparam
		Miro.register_material_transformation mat, hparam[:fu], hparam[:fv], hparam[:rot]
	rescue
	end
end	

#--------------------------------------------------------------------------------
# Instance Initialization
#--------------------------------------------------------------------------------

#MIRO: Instance Initialization
def initialize(family_stamp, recto, verso)
	@recto = recto
	@verso = verso
	@hsh_warning_faces = {}
	@hsh_family_faces = {}
	@hsh_face_recto = {}
	@hsh_face_verso = {}
	@hsh_prev_uv = {}
	@family_stamp = family_stamp
	@validated = false
	@retrieved = false
	@ops_edition = false
	@show_guide = false
	@model = Sketchup.active_model
	@tw = Sketchup.create_texture_writer
	@nb_hotfaces_max = MYDEFPARAM[:DEFAULT_ThruPaint_NbHotFaces]
	@angle_rot = 0.0
	@fac_u = @fac_v = 1.0
end

#MIRO: Force the future recalculation of the family faces
def invalidate
	@validated = false
	@family_contour = nil
	@retrieved = false
end

#MIRO: Check if the miro does not contain any painted faces	
def empty?
	(@hsh_family_faces.empty?)
end
		
#MIRO: Check if edition of texture has been saved or not yet	
def not_committed?
	@ops_edition
end	

#MIRO: Validate the commit operation for texture edition	
def committed
	@ops_edition = false
end

#MIRO: Check if the Mrio has some Errors	
def in_error?
	!@processing_OK
end
	
#MIRO: Placeholder for error message	
def error_message ; "" ; end	
def number_warnings ; @hsh_warning_faces.length ; end	

#MIRO: Messsage when some faces cannot be painted	
def warning_message 
	T7[:ERR_MiroFaceNotPainted, number_warnings]
end	

#--------------------------------------------------------------------------------
# Family Management
#--------------------------------------------------------------------------------

#MIRO: Check if a face matches the material according to the recto / verso specifications
def match_material?(face, mat)
	(!@recto || (@recto && face.material == mat)) && (!@verso || (@verso && face.back_material == mat))
end

#MIRO: Return the tsamp associated with the Miro
def get_stamp
	@family_stamp
end

#MIRO: Check if the Miro contains the initial face. 
def contain_initial_face(uv_mode, mat, initial_face, recto, verso)
	match_mode = (!mat || !mat.texture || uv_mode == @uv_mode)
	status = (initial_face && match_mode && @recto == recto && @verso == verso && @hsh_family_faces[initial_face.entityID] &&
	          match_material?(initial_face, mat))
	return false unless status
	
	unless @validated
		family_search_stamped_faces @family_stamp, mat, initial_face
		status = @hsh_family_faces[initial_face.entityID]
		edition_param_retrieve
	end	
	status
end

#MIRO: Compute the contour of textured faces if applicable
def family_compute_contour
	@family_contour = G6.contour_of_faces(@hsh_family_faces) unless @family_contour
	@family_contour
end

#MIRO: Check if a face matches the material and stamp
def family_stamp_matching(face, stamp, mat)
	recto = @recto
	verso = @verso
	
	return false if recto && mat != 0 && face.material != mat
	return false if verso && mat != 0 && face.back_material != mat
	if @with_texture
		return false if recto && get_attr_stamp(face, @@attr_mark_recto) != stamp
		return false if verso && get_attr_stamp(face, @@attr_mark_verso) != stamp
	end
	
	id = face.entityID
	@hsh_face_recto[id] = recto if recto
	@hsh_face_verso[id] = verso if verso
	true
end

#MIRO: Get the attribute of a given facein the ThurPaint dictionary
def get_attr_stamp(face, attr)
	stamp = face.get_attribute(@@dico, attr)
	return nil if stamp && stamp !~ /\AN|P|M/
	stamp
end

#MIRO: Determine the family of faces with the same stamp as the initial face
def family_search_stamped_faces(family_stamp, mat, initial_face)
	#Initialization
	@hsh_family_faces = []
	@hsh_face_recto = {}
	@hsh_face_verso = {}
	@with_texture = (mat && mat != 0 && mat.texture)
	
	#No match or face with no attribute
	return unless family_stamp_matching(initial_face, family_stamp, mat)
	
	#Computing the connected faces with same material 
	hsh_faces = {}
	lst_next = [initial_face]
	while lst_next.length > 0
		face = lst_next.shift
		hsh_faces[face.entityID] = face
		face.edges.each do |edge|
			edge.faces.each do |f|
				next if hsh_faces[f.entityID] || !family_stamp_matching(f, family_stamp, mat)
				lst_next.push f unless lst_next.include?(f)
			end
		end	
	end
	@hsh_family_faces = hsh_faces if hsh_faces.length > 0
	@validated = true
	@family_contour = nil
	@hsh_family_faces
end
	
#MIRO: Check if guides should be shown
def show_guide? ; @show_guide ; end
def toggle_show_guide ; @show_guide = !@show_guide ; Sketchup.active_model.active_view.invalidate ; end
	
#--------------------------------------------------------------------------------
# Session Management
#--------------------------------------------------------------------------------
	
#MIRO: Prepare a painting Session
def prepare_session(mat, face_ini, edge_ini, vorigin, uv_param, tr_screen)
	#Key parameters
	@material_painted = mat
	@with_texture = (mat && mat.texture)
	@face_ini = face_ini
	@edge_ini = edge_ini
	@vorigin = vorigin
	@uv_param = uv_param
	@processing_OK = true
	@tr_screen = tr_screen
	@view = Sketchup.active_model.active_view
	texture_param
	
	#Retrieving the session if any
	retrieve_session
end

#MIRO: Compute the texture ratios	
def texture_param
	if @with_texture
		@wtex = @material_painted.texture.width
		@htex = @material_painted.texture.height
		@ratio_uv = @wtex / @htex
	end
end
	
#MIRO: Generic method to retrieve session information from model	
def retrieve_session
	return if @retrieved
	@retrieved = true
	@show_guide = false
	@hsh_session_faces = {}
	@hsh_painted = {}
	@hsh_edges_used = {}
	@lst_faces_next_soft = []
	@lst_faces_next_plain = []
	@hsh_vertex_used = {}
	@hsh_face_vertices_used = {}

	#Specific method for retrieval if there are already family faces
	@hsh_family_faces.each do |face_id, f| 
		if match_material?(f, @material_painted)
			@hsh_session_faces[face_id] = f 
			@hsh_painted[face_id] = f
			f.edges.each { |e| @hsh_edges_used[e.entityID] = f }
		end
	end

	#retrieving the transformation for edition
	texture_param
	init_transformation
	edition_param_retrieve unless @hsh_family_faces.empty?
	
	#Otherwise, retrieve the parameters from the existing family faces
	_retrieve_session if @with_texture && defined?(_retrieve_session)
end
	
#MIRO: Top method to paint faces progressively
def continue_session(faces, last_face=nil)
	return unless faces
	
	@last_face = last_face if last_face
	
	#Initializing the faces
	faces.each { |face| @hsh_session_faces[face.entityID] = face }
	
	#Checking if there is at least one new face to paint
	return unless @hsh_session_faces.keys.find { |key| !@hsh_painted[key] }

	#Calculation, either initial or subsequent
	time_processing = Time.now
	@processing_OK = true
	if @with_texture
		if @hsh_family_faces.empty?
			@processing_OK = _initial_calculate(faces) if defined?(_initial_calculate)
		else
			@processing_OK = _continue_calculate(faces) if defined?(_continue_calculate)
		end
		return unless @processing_OK
	end
	
	#Repaint all faces
	repaint_previous_faces if defined?(repaint_previous_faces)
	
	#Painting faces progressively
	while true
		Traductor::HourGlass.check?
		compute_next_faces @last_face if @last_face
		face, edge = get_next_face
		break unless face
		edge_uv = (@with_texture) ? compute_next_uv(@last_face, face, edge) : nil
		painting_single_face face, edge_uv
		@last_face = face
	end
	
	@show_guide = true
	@hsh_family_faces = @hsh_painted
	@family_contour = G6.contour_of_faces @hsh_painted
	@hsh_session_faces = @hsh_painted.clone
end

#MIRO: End of the painting session. Validate and store
def finish_session
	if @with_texture 
		@family_stamp = Miro.make_stamp(@uv_mode)
		@hsh_painted.each { |key, face| @hsh_painted.delete(key) if @hsh_warning_faces[key] }
		@hsh_family_faces = @hsh_painted.clone
		unless defined?(_finish_session) && _finish_session			
			@hsh_painted.each { |key, face| stamp_face_attributes(face, @family_stamp) }
			@tr_param_info = nil
			edition_param_storage
		end	
		edition_param_show
	else
		@hsh_painted.each { |key, face| delete_face_attributes(face) }
	end
	#@hsh_family_faces = @hsh_painted
	@family_contour = nil
	@retrieved = true
end

#MIRO: Put the stamp attribute on a face
def stamp_face_attributes(face, stamp)
	recto, verso = recto_verso_for_face(face)
	face.set_attribute @@dico, @@attr_mark_recto, stamp if recto
	face.set_attribute @@dico, @@attr_mark_verso, stamp if verso
end

#MIRO: Delete the attribute of a face
def delete_face_attributes(face)
	recto, verso = recto_verso_for_face(face)
	if recto
		face.delete_attribute @@dico, @@attr_mark_recto
		face.delete_attribute @@dico, @@attr_pts_recto
		face.delete_attribute @@dico, @@attr_param_recto
	end
	if verso				
		face.delete_attribute @@dico, @@attr_mark_verso
		face.delete_attribute @@dico, @@attr_pts_verso
		face.delete_attribute @@dico, @@attr_param_verso
	end	
end

#MIRO: Update the list of next faces
def compute_next_faces(face)
	return unless face
	face.edges.each do |edge|
		@hsh_edges_used[edge.entityID] = face
		edge.faces.each do |f|
			Traductor::HourGlass.check?
			next if f == face
			id = f.entityID
			next unless @hsh_session_faces[id]
			next if @hsh_painted[id]
			lnext = (G6.edge_plain?(edge)) ? @lst_faces_next_plain : @lst_faces_next_soft
			lnext.push [f, edge, face]
		end	
	end
end		

#MIRO: Get the next face to paint, with its starting edge	
def get_next_face
	#Finding it in the current list
	[@lst_faces_next_soft, @lst_faces_next_plain].each do |lnext|
		while lnext.length > 0
			face, edge, @last_face = lnext.shift
			return [face, edge] unless @hsh_painted[face.entityID]
		end
	end
	
	#Finding a painted face and edge where to start from otherwise
	@hsh_session_faces.each do |key, face|
		next if @hsh_painted[key]
		face.edges.each do |edge|
			@last_face = @hsh_edges_used[edge.entityID]
			return [face, edge] if @last_face
		end
	end	
	
	#Nor more face
	return nil if @with_texture
	@hsh_session_faces.each do |fid, f| 
		return [f, f.edges[0]] unless @hsh_painted[fid]
	end
	nil
end

#----------------------------------------------------------------------------------
# Material Application
#----------------------------------------------------------------------------------

#MIRO: Transfer material on all faces
def transfer_material(mat)
	retrieve_session
	@hsh_painted.each do |face_id, face|
		recto, verso = recto_verso_for_face(face)
		face.material = mat if recto
		face.back_material = mat if verso
		delete_face_attributes unless mat && mat.texture
	end	
end

#MIRO: Texturing the initial face	
def painting_initial_face
	return painting_single_face(@face_ini, nil) unless @with_texture
	_painting_initial_face if defined?(_painting_initial_face)
end

#MIRO: Texture a single face
def painting_single_face(face, edge_uv=nil)
	#Flipping face if required
	auto_flip face
	side_of_face face
	
	#Material with no texture
	unless edge_uv
		@hsh_painted[face.entityID] = face
		if @with_texture
			@hsh_warning_faces[face.entityID] = face
			return
		end	
		recto, verso = recto_verso_for_face(face)
		face.material = @material_painted if recto
		face.back_material = @material_painted if verso
		return
	end
	
	#Material with texture
	lsuv = []
	edge_uv.each_with_index do |v, i|
		if i % 2 == 0
			if v.class == Sketchup::Vertex
				lsuv.push v.position
				declare_vertex_used face, v
			else
				lsuv.push v
			end	
		else	
			lsuv.push v
		end	
	end	
	@hsh_painted[face.entityID] = face
	apply_textured_material face, lsuv
end		

#MIRO: Apply a textured material to a face based on a list of UV specs
def apply_textured_material(face, lsuv)
	recto, verso = recto_verso_for_face(face)
	if lsuv.empty?
		face.material = @material_painted if recto 
		face.back_material = @material_painted if verso
		return true
	end	

	#Checking if it is worth painting
	face_id = face.entityID
	aluv = [1, 3, 5, 7].collect { |i| lsuv[i].to_a if lsuv[i]}
	return true if @hsh_prev_uv[face_id] == aluv
	@hsh_prev_uv[face_id] = aluv

	begin
		face.position_material @material_painted, lsuv, true if recto
		face.position_material @material_painted, lsuv, false if verso
	rescue StandardError => e
		@hsh_warning_faces[face.entityID] = face
	end
	true
end

#--------------------------------------------------------------------------------
# Axes of the UV Map
#--------------------------------------------------------------------------------
	
#MIRO: Compute the axes for the picked point (generic)
def compute_axes_uv(face, origin, mat, front)
	#Computing the axes and auxiliary points
	normal = face.normal
	axes = normal.axes
	tr_axes = Geom::Transformation.axes origin, *axes
	pt1 = tr_axes * Geom::Point3d.new(0, 1, 0)
	pt2 = tr_axes * Geom::Point3d.new(1, 1, 0)
	uv0, uv1, uv2 = G6.uv_at_points face, [origin, pt1, pt2], front, @tw
	
	#Axes for U
	u = uv2.y - uv1.y
	if u == 0
		vec_u = pt1.vector_to pt2
	else
		trot = Geom::Transformation.rotation origin, normal, -Math.atan2(uv0.y - uv1.y, u)
		vec_u = origin.vector_to(trot * pt1)
	end

	#Axes for V
	v = uv2.x - uv1.x
	if v == 0
		vec_v = pt1.vector_to pt2
	else
		trot = Geom::Transformation.rotation origin, normal, -Math.atan2(uv0.x - uv1.x, v)
		vec_v = origin.vector_to(trot * pt1)
	end
	
	#Orienting the axes properly
	ptu = origin.offset vec_u, 1
	ptv = origin.offset vec_v, 1
	uv_u, uv_v = G6.uv_at_points face, [ptu, ptv], front, @tw
	vec_u = vec_u.reverse if uv0.x > uv_u.x
	vec_v = vec_v.reverse if uv0.y > uv_v.y
	[vec_u, vec_v]
end

#--------------------------------------------------------------------------------
# Texture Transformation
#--------------------------------------------------------------------------------
	
#MIRO: Initialize the transformation	
def init_transformation
	@tr_id = Geom::Transformation.new
	@tr_transform = @tr_id
	reset_transformation
end

#MIRO: Reset the transformation	
def reset_transformation
	@tr_natural = @tr_transform.inverse
	@angle_rot = 0.0
	@fac_u = @fac_v = 1.0
	@tr_transform = @tr_id
	fu, fv, ang = Miro.get_material_transformation @material_painted
	if fu
		edition_set_rotation_uv(ang, ORIGIN)
		edition_set_scaling_uv(fu, fv, ORIGIN)
	end	
	@origin_uv = ORIGIN
end

def oldreset_transformation
	@angle_rot = 0.0
	@fac_u = @fac_v = 1.0
	@tr_natural = @tr_transform.inverse
	edition_set_scaling_uv(fac_u, fac_v, origin=nil)
	@tr_transform = @tr_id
	@origin_uv = ORIGIN
end

#MIRO: Prepare the edition of texture
def edition_prepare(mat)
	@material_painted = mat
	@hsh_hotfaces = nil
	@tr_hot_transform = @tr_id
	@tw = Sketchup.create_texture_writer unless @tw
	retrieve_session
end

#MIRO: Set the origin (for Natural and Projected)
def edition_set_origin(origin3d, face, recto)
	@face_origin = face
	@origin_uv = (origin3d) ? G6.uv_at_point(face, origin3d, recto, @tw) : ORIGIN
end

#MIRO: Return origin (for Natural and Projected)
def compute_origin
	@origin_uv
end

#MIRO: Check if the edition is locked
def edition_locked?
	@locked
end

#MIRO: Toggle the lock status
def edition_toggle_lock
	@ops_edition = true
	@locked = !@locked
end

#MIRO: Compute the unitary U and V along axis
def get_axis_uv
	tex = @material_painted.texture
	w = tex.width
	h = tex.height
	[w / @fac_u.abs, h / @fac_v.abs]
end

#MIRO: Texture translation
def edition_translate_uv(vec) ; edition_refresh_uv if edition_set_translation_uv(vec) ; end
def edition_set_translation_uv(vec)
	if vec.length == 0
		reset_transformation
	else
		t = Geom::Transformation.translation(vec.reverse)
		@tr_transform = t * @tr_transform
		@tr_natural = t * @tr_natural
	end	
	true
end

#MIRO: Scale the texture, uniform or non-uniform
def edition_scale_uv(fac_u, fac_v, origin=nil) ; edition_refresh_uv if edition_set_scaling_uv(fac_u, fac_v, origin) ; end
def edition_set_scaling_uv(fac_u, fac_v, origin=nil)
	origin = compute_origin unless origin
	fac_u = 1.0 / @fac_u if (fac_u == 0)
	fac_v = 1.0 / @fac_v if (fac_v == 0)
	@fac_u *= fac_u
	@fac_v *= fac_v
	t = Geom::Transformation.scaling(origin, fac_u, fac_v, 1)
	@tr_transform = t * @tr_transform
	@tr_natural = t * @tr_natural
	true
end

	
#MIRO: Rotate the texture	
def edition_rotate_uv(angle, origin=nil) ; edition_refresh_uv if edition_set_rotation_uv(angle, origin) ; end
def edition_set_rotation_uv(angle, origin=nil)
	origin = compute_origin unless origin
	ts = Geom::Transformation.scaling(origin, 1, (@ratio_uv * @fac_v / @fac_u).abs, 1)
	angle = -@angle_rot if angle == 0
	@angle_rot += angle
	@angle_rot = @angle_rot.modulo(2*Math::PI)
	t = ts * Geom::Transformation.rotation(origin, Z_AXIS, angle) * ts.inverse
	@tr_transform = t * @tr_transform
	@tr_natural = t * @tr_natural
	true
end

#MIRO: Mirror the texture	
def edition_mirror_uv(uv=nil, origin=nil) ;	edition_refresh_uv if edition_set_mirror_uv(uv, origin) ; end
def edition_set_mirror_uv(uv=nil, origin=nil)
	if uv == :u
		edition_set_scaling_uv 1, -1, origin
	elsif uv == :v
		edition_set_scaling_uv -1, 1, origin
	else
		edition_set_scaling_uv -1, 1, origin
		edition_set_rotation_uv 180.degrees, origin
	end	
	true
end

#MIRO: Image tiling (for Mesh and Projected mode only)
def edition_tiling_uv(fu=nil, fv=nil) ; edition_refresh_uv if edition_set_tiling_uv(fu, fv) ; end
def edition_set_tiling_uv(fu=nil, fv=nil)
	#Adjusting the parameters
	fu = @map_u unless fu
	fv = @map_v unless fv
	if fu == nil && fv == nil
		fu = fv = 1.0
	elsif fu == nil
		fu = fv
	elsif fv == nil
		fv = fu
	end	
	fu = 1.0 unless fu
	fv = 1.0 unless fv
	
	#Finding the boudnaries in UV
	bb = Geom::BoundingBox.new
	t = (@uv_mode == :natural) ? @tr_natural : @tr_id
	@hsh_painted.each do |face_id, face|
		lsuv = face_uv(face)
		next unless lsuv
		[1, 3, 5, 7].each { |i| bb.add t * lsuv[i] if lsuv[i] }
	end
	ptmin = bb.min 
	ptmax = bb.max
	
	#Calculating the transformation
	vec = ORIGIN.vector_to(ptmin)
	du = ptmax.x - ptmin.x
	dv = ptmax.y - ptmin.y
	su = 1.0 / du * fu 
	sv = 1.0 / dv * fv 
	
	#Already mapped
	return true if vec.length == 0 && (su - 1).abs < 0.00001 && (sv - 1).abs < 0.00001
	
	#Setting the transformation
	if fu != 1 && fv != 1
		@map_u = fu
		@map_v = fv
	end	
	edition_set_translation_uv vec unless vec.length == 0
	edition_set_scaling_uv su, sv, ORIGIN
	true
end

#MIRO: Ask for the tiling parameters
def edition_ask_tiling_uv
	map_u = (@map_u) ? @map_u : 1
	map_v = (@map_v) ? @map_v : 1
	results = [map_u, map_v].collect { |v| Traductor.nice_float v, 3 }
	prompts = [T7[:MNU_TilingUVParamU], T7[:MNU_TilingUVParamV]]
	
	while true
		results = UI.inputbox prompts, results, T7[:MNU_TilingUVAsk]
		return nil unless results
		map_u = Traductor.string_to_float_formula results[0]
		map_v = Traductor.string_to_float_formula(results[1])
		break if map_u && map_v
		UI.beep
	end	
	@map_u = map_u.abs
	@map_v = map_v.abs
	[@map_u, @map_v]
end
	
#MIRO: Update the faces with transformed texture	
def edition_refresh_uv(lst_faces=nil)
	return unless @with_texture
	@hsh_prev_uv = {} unless @hsh_prev_uv
	
	#Setting the lsit of faces, either hot or all, or argument
	tr = (@uv_mode == :natural) ? @tr_natural : @tr_id
	if !lst_faces
		lst_faces = (@hsh_hotfaces) ? @hsh_hotfaces.values : @hsh_painted.values
	elsif @uv_mode == :natural
		@tr_natural = @tr_transform * @tr_hot_transform
	end	
	
	#Applying the material with proper transformation
	if @uv_mode == :natural
		lst_faces.each do |face|
			lsuv = face_uv(face)
			next unless lsuv
			[1, 3, 5, 7].each { |i| lsuv[i] = @tr_natural * lsuv[i] if lsuv[i] }
			apply_textured_material face, lsuv
		end		
	else
		lst_faces.each do |face|
			lsuv = face_uv(face)
			next unless lsuv
			apply_textured_material face, lsuv
		end	
	end	
	@tr_natural = @tr_id
	edition_param_show
	@ops_edition = true
end

#MIRO: Compute the hot faces for interactive transformation
def edition_compute_hotfaces
	return if @hsh_painted.length <= @nb_hotfaces_max || !@face_origin
	
	#Computing the adjacent faces
	n = 0
	hsh_faces = {}
	lface = [@face_origin]	
	while lface.length > 0 && n < @nb_hotfaces_max
		f = lface.shift
		next if hsh_faces[f.entityID]
		hsh_faces[f.entityID] = f
		n += 1
		f.edges.each do |e|
			e.faces.each do |ff| 
				break if n > @nb_hotfaces_max
				lface.push ff unless ff == f || hsh_faces[ff.entityID] || !@hsh_painted[ff.entityID]
			end	
		end
	end	
	
	#Storing the hot faces and transformation
	@hsh_hotfaces = hsh_faces
	@tr_hot_transform = @tr_transform.inverse
end

#MIRO: Paint the faces left aside during the interactive edition
def edition_finalize_hotfaces
	return if !@hsh_hotfaces || @hsh_painted.length <= @nb_hotfaces_max
	lst_faces = []
	@hsh_painted.each do |face_id, face|
		lst_faces.push face unless @hsh_hotfaces[face_id]
	end
	edition_refresh_uv lst_faces unless lst_faces.empty?
end

#--------------------------------------------------------------------------------------
# MIRO: Management of Transformation parameter
#--------------------------------------------------------------------------------------

#MIRO: Store the Texture Transformation information in the model
def edition_param_storage
	hparam = { :ang => @angle_rot, :fu => @fac_u, :fv => @fac_v, :tt => @tr_transform.to_a, 
	           :mu => @map_u, :mv => @map_v, :lk => @locked }
	return if hparam == @tr_param_info
	Miro.register_material_transformation @material_painted, @fac_u, @fac_v, @angle_rot
	@tr_param_info = hparam
	s = hparam.inspect
	attr_recto = "#{@family_stamp} - #{@@attr_tr_recto}"
	attr_verso = "#{@family_stamp} - #{@@attr_tr_verso}"
	@model.set_attribute @@dico, attr_recto, s if @recto
	@model.set_attribute @@dico, attr_verso, s if @verso
	
	edition_param_face_master
	@face_master = @hsh_painted.values[0] unless @face_master
	attr_ms_recto = "#{@family_stamp} - #{@@attr_master_recto}"
	attr_ms_verso = "#{@family_stamp} - #{@@attr_master_verso}"
	if @face_master
		@face_master.set_attribute @@dico, attr_ms_recto, @family_stamp if @recto
		@face_master.set_attribute @@dico, attr_ms_verso, @family_stamp if @verso
		@face_master.set_attribute @@dico, attr_recto, s if @recto
		@face_master.set_attribute @@dico, attr_verso, s if @verso
	end	
end

#MIRO: Retrieve the Texture Transformation information from the model
def edition_param_retrieve
	attr_recto = "#{@family_stamp} - #{@@attr_tr_recto}"
	attr_verso = "#{@family_stamp} - #{@@attr_tr_verso}"
	sparam = get_attr_of_face(@model, attr_recto, attr_verso)
	edition_param_face_master
	return edition_param_parse(sparam) if sparam
	if @face_master
		sparam = get_attr_of_face(@face_master, attr_recto, attr_verso)
		edition_param_parse(sparam) if sparam
	end	
end

#MIRO: Parse the Miro parameters stored in model or face master
def edition_param_parse(sparam)
	return unless sparam
	begin
		hparam = eval sparam
		@tr_param_info = hparam
		if hparam.class == Hash
			@tr_param_info = hparam
			@angle_rot = hparam[:ang]
			@fac_u = hparam[:fu].to_f
			@fac_v = hparam[:fv].to_f
			@map_u = hparam[:mu]
			@map_v = hparam[:mu]
			@locked = hparam[:lk]
			@tr_transform = Geom::Transformation.new hparam[:tt]
		else
			tangle, tfac_u, tfac_v, ttot = eval(@tr_param_info)
			@angle_rot = tangle.to_f
			@fac_u = tfac_u.to_f
			@fac_v = tfac_v.to_f
			@tr_transform = Geom::Transformation.new ttot
		end	
		@tr_natural = @tr_id
	rescue
		#puts "error evasl TR"
	end
end

#MIRO: Transfer the texture information from old stamp to new stamp
def edition_param_face_master
	return @face_master if @face_master && @face_master.valid? && @hsh_family_faces[@face_master]
	attr_recto = "#{@family_stamp} - #{@@attr_master_recto}"
	attr_verso = "#{@family_stamp} - #{@@attr_master_verso}"
	@face_master = nil
	@hsh_family_faces.each do |face_id, face|
		if get_attr_of_face(face, attr_recto, attr_verso) == @family_stamp
			@face_master = face
			break
		end
	end
	@face_master
end

#MIRO: Transfer the texture information from old stamp to new stamp
def edition_transfer_stamp(old_stamp, new_stamp)
	attr_recto = "#{old_stamp} - #{@@attr_tr_recto}"
	attr_verso = "#{old_stamp} - #{@@attr_tr_verso}"
	s = get_attr_of_face(@model, attr_recto, attr_verso)

	attr_recto = "#{new_stamp} - #{@@attr_tr_recto}"
	attr_verso = "#{new_stamp} - #{@@attr_tr_verso}"
	@model.set_attribute @@dico, attr_recto, s if @recto
	@model.set_attribute @@dico, attr_verso, s if @verso	
end

#MIRO: Show the transformation parameters
def edition_param_show
	return "" unless @with_texture
	fu = 1.0 / @fac_u
	fv = 1.0 / @fac_v
	if fu == fv
		text = "#{Traductor.nice_float(fu, 3)}x"
	else
		text = "#{Traductor.nice_float(fu, 3)}xU #{Traductor.nice_float(fv, 3)}xV"
	end
	text += " #{Sketchup.format_angle @angle_rot.modulo(2*Math::PI)}d"
	Sketchup.set_status_text text, SB_VCB_VALUE
	Sketchup.set_status_text "Texture", SB_VCB_LABEL
end

#--------------------------------------------------------------------------------
# Utilities methods
#--------------------------------------------------------------------------------
	
#MIRO: Setting options for face visibility and side management
def set_face_side_info(option_face_side, option_auto_flip, initial_face_front)
	@option_face_side = option_face_side
	@option_auto_flip = option_auto_flip
	@initial_face_front = initial_face_front
end

#MIRO: Register the association of a vertex and a face used for texturing
def declare_vertex_used(face, *lv)
	face_id = face.entityID
	if @hsh_face_vertices_used[face_id]
		@hsh_face_vertices_used[face_id] |= lv
	else
		@hsh_face_vertices_used[face_id] = lv.clone
	end	
	lv.each { |v| @hsh_vertex_used[v.entityID] = v }
end
	
#MIRO: Return the recto and verso flags for the face
def recto_verso_for_face(face)
	id = face.entityID
	[@hsh_face_recto[id], @hsh_face_verso[id]]
end
	
#MIRO: Determine if the front (or back) face is the visible face
def front_face_is_visible?(face)
	pt2d = @view.screen_coords(@tr_screen * face.vertices[0].position)
	ray = @view.pickray pt2d.x, pt2d.y
	vec = @tr_screen * face.normal
	(vec % ray[1] <= 0)	
end

#MIRO: Auto reverse the face if its side is not in continuity with previous
def auto_flip(face)
	return unless @option_auto_flip && @last_face && face != @last_face
	edge, = face.edges & @last_face.edges
	return unless edge
	face.reverse! if edge.reversed_in?(face) == edge.reversed_in?(@last_face)	
end

#MIRO: Compute the side of faces based on recto / verso options
def side_of_face(face)
	id = face.entityID
	if @option_face_side == :visible
		front = (@option_auto_flip) ? @initial_face_front : front_face_is_visible?(face)
		@hsh_face_recto[id] = front
		@hsh_face_verso[id] = !front
	else
		@hsh_face_recto[id] = @recto
		@hsh_face_verso[id] = @verso
	end	
end
	
#MIRO: Compute Vertex from Points for a face
def vertices_from_points(face, pts)
	lsv = []
	pts.each do |pt|
		face.vertices.each { |v| lsv.push v if v.position == pt }
	end	
	lsv
end
	
#MIRO: Get the attribute of a face based on recto / verso directives	
def get_attr_of_face(face, attr_recto, attr_verso)
	val_recto = face.get_attribute(@@dico, attr_recto)
	return val_recto if val_recto && @recto
	val_verso = face.get_attribute(@@dico, attr_verso)
	return val_verso if val_verso && @verso
	return val_recto if val_recto
	return val_verso if val_verso
	nil
end
	
#----------------------------------------------------------------------------
# MIRO: drawing methods
#----------------------------------------------------------------------------
	
def draw_guides(view, t, err_color=nil)
	_draw_guides(view, t, err_color) if @with_texture && defined?(_draw_guides)
end

def draw_error(view, t, err_color=nil)
	draw_guides(view, t, err_color)
end

#MIRO: Draw Faces with warning (not painted)	
def draw_warning_faces(view, t, color)
	return if @hsh_warning_faces.length == 0
	triangles = []
	@hsh_warning_faces.each do |face_id, face|
		triangles += G6.face_triangles(face, t)
	end
	view.drawing_color = color
	view.draw GL_TRIANGLES, triangles.collect { |pt| G6.small_offset view, pt } if triangles.length > 0
end
	
end	#class Miro (generic)

#==================================================
#----------------------------------------------------------------------------------------------------
# Class MiroTransfer
#----------------------------------------------------------------------------------------------------
#==================================================

class MiroTransfer < Miro

#TRANSFER: Class instance initialization
def initialize(family_stamp, recto, verso)
	@uv_mode = :transfer
	super
end

#----------------------------------------------------------------------------
# TRANSFER: Session Management
#----------------------------------------------------------------------------

#TRANSFER: Stamping the faces with a new stamp	
def _finish_session
	hstamp = {}
	@hsh_painted.each do |key, face| 
		recto, verso = recto_verso_for_face(face)
		uv_mode, stamp = Miro.check_stamp_uv_mode(face, recto, verso)
		if stamp
			new_stamp = hstamp[stamp]
			new_stamp = hstamp[stamp] = Miro.make_stamp(uv_mode) unless hstamp[stamp]
			face.set_attribute @@dico, @@attr_mark_recto, new_stamp if recto
			face.set_attribute @@dico, @@attr_mark_verso, new_stamp if verso
		else
			delete_face_attributes face
		end
	end	
	
	#Transfering the transformation parameters
	hstamp.each do |old_stamp, new_stamp|
		edition_transfer_stamp old_stamp, new_stamp
	end
	
	true
end
	
#----------------------------------------------------------------------------
# TRANSFER: UV for Faces
#----------------------------------------------------------------------------

#TRANSFER: Return the computed UV list for a face (used for edition)
def face_uv(face)
	[]
end

#TRANSFER: Compute the UV for the vertices of an edge in a face
def compute_next_uv(last_face, new_face, edge)
	[]
end

end	#class MiroTransfer

#==================================================
#----------------------------------------------------------------------------------------------------
# Class MiroNatural
#----------------------------------------------------------------------------------------------------
#==================================================

class MiroNatural < Miro

#NATURAL: Class instance initialization
def initialize(family_stamp, recto, verso)
	@uv_mode = :natural
	super
end

#----------------------------------------------------------------------------
# NATURAL: Session Management
#----------------------------------------------------------------------------

#NATURAL: Initializing the family faces
def _retrieve_session
	@hsh_face_uv = {}	
	return if @hsh_family_faces.empty?
	
	#Managing the vertices for the family
	@hsh_session_faces.each do |face_id, f| 
		if f.vertices.length <= 4
			declare_vertex_used f, *(f.vertices)
		else	
			pts = get_attr_of_face(f, @@attr_pts_recto, @@attr_pts_verso)
			pts = G6.face_best_three_vertices(f) unless pts
			declare_vertex_used f, *vertices_from_points(f, pts) if pts
		end	
	end
	
	#Populating the current UV for the faces
	@hsh_painted.each do |face_id, face|
		lsuv = []
		@hsh_face_uv[face_id] = lsuv
		lvx = @hsh_face_vertices_used[face_id]
		next unless lvx
		recto, verso = recto_verso_for_face(face)
		lvx.each do |v|
			break if lsuv.length == 8
			pt = v.position
			uv = G6.uv_at_point face, pt, recto, @tw
			lsuv.push pt, uv
		end
	end	
end

#NATURAL: Correcting Texture for continuity in natural uv mode	
def _finish_session
	texture_correction if @with_texture
	false
end

def float_close_to(f1, f2)
	f1 == f2 || (f1 - f2).abs < 0.00001
end
	
#----------------------------------------------------------------------------
# NATURAL: UV for Faces
#----------------------------------------------------------------------------

#NATURAL: Return the computed UV list for a face (used for edition)
def face_uv(face)
	@hsh_face_uv[face.entityID]
end

#NATURAL: Compute the UV for the vertices of an edge in a face
#In Natural Mode: UV coordinates for Common edge
def compute_next_uv(last_face, new_face, edge)
	recto, verso = recto_verso_for_face(last_face)
	lst_ptuv = []
	[edge.start, edge.end].each do |v|
		uv = G6.uv_at_point last_face, v.position, recto, @tw
		lst_ptuv.push v, uv
	end
	
	lst_ptuv
end

#NATURAL: Texturing the initial face	
def _painting_initial_face
	u = @edge_ini.length / @wtex
	v_end = @edge_ini.other_vertex @vorigin
	vec_u = @vorigin.position.vector_to v_end.position
	vec_v = G6.normal_in_to_edge(@edge_ini, @face_ini)
	ps = (vec_u * vec_v) % @face_ini.normal
	if ps > 0
		uv_start = Geom::Point3d.new(0, 0, 0)
		uv_end = Geom::Point3d.new(u, 0, 0)
	else
		uv_end = Geom::Point3d.new(0, 0, 0)
		uv_start = Geom::Point3d.new(u, 0, 0)
	end
	uv_start = @tr_transform * uv_start
	uv_end = @tr_transform * uv_end
	ptuv = [@vorigin, uv_start, v_end, uv_end]
	declare_vertex_used @face_ini, @vorigin, v_end
	painting_single_face @face_ini, ptuv
end

#----------------------------------------------------------------------------------
# NATURAL: Finishing session with Texture correction
#----------------------------------------------------------------------------------
	
#NATURAL: Correcting Texture for continuity in natural uv mode	
def texture_correction
	return unless @with_texture && @uv_mode == :natural
	t0 = Time.now
	
	#Collecting the UV for each vertex of the selected faces
	hsh_group_uv = {}
	@hsh_painted.each do |key, face|
		face.vertices.each do |v|
			next unless @hsh_vertex_used[v.entityID]
			declare_vertex_used face, v
			recto, verso = recto_verso_for_face(face)
			ptuv = G6.uv_at_point face, v.position, recto, @tw
			insert_uv_at_vertex hsh_group_uv, v, face, ptuv		
		end	
	end
	
	#Computing the average UV at vertices
	hsh_avg_uv = {}
	hsh_group_uv.each do |key, groups|
		hsh_avg_uv[key] = groups.collect { |grp| group_average_uv grp }
	end
	
	#Reapplying the UV to selected faces
	@hsh_face_uv = {}
	@hsh_painted.each do |face_id, face|
		recto, verso = recto_verso_for_face(face)
		lsuv = []
		hsh = @hsh_face_vertices_used[face_id]
		next unless hsh
		hsh.each do |v|
			groups = hsh_avg_uv[v.entityID]
			next unless groups
			groups.each do |a|
				lsf, ptuv = a
				if lsf.include?(face) 
					lsuv.push v.position, ptuv if lsuv.length < 6
					break
				end	
			end	
		end
		next if lsuv.length <= 2
		
		#Updating the texture on the face	
		if apply_textured_material(face, lsuv)
			lsuv = extend_lsuv face, lsuv, recto
			@hsh_face_uv[face_id] = lsuv
			pts = @hsh_face_vertices_used[face_id].collect { |v| v.position }
			pts = pts[0..2] if pts.length > 3
			face.set_attribute @@dico, @@attr_pts_recto, pts if recto
			face.set_attribute @@dico, @@attr_pts_verso, pts if verso
		end	
	end
	@hsh_family_faces = @hsh_painted
	
	#Resetting variables
	hsh_group_uv = hsh_avg_uv = nil
end

#NATURAL: Making sure that all faces have at least 3 points for UV definition
def extend_lsuv(face, lsuv, recto)
	return lsuv if lsuv.length > 4
	pt0 = lsuv[0]
	pt1 = lsuv[2]
	face.vertices.each do |vx|
		pt = vx.position
		next if pt == pt0 || pt == pt1 || pt.on_line?([pt0, pt1])
		uv = G6.uv_at_point face, pt, recto, @tw
		lsuv.push pt, uv
		@hsh_face_vertices_used[face.entityID].push vx
		break
	end
	lsuv
end

#NATURAL: Register a vertex into groups
def insert_uv_at_vertex(hsh_group_uv, v, face, ptuv0)
	v_id = v.entityID
	lst = hsh_group_uv[v_id]
	unless lst
		hsh_group_uv[v_id] = [[[face, ptuv0]]]
		return
	end
	ipos = nil
	lst_pos = []
	lst.each_with_index do |group, ipos|
		group.each do |a|
			f, ptuv = a
			d = ptuv0.distance ptuv
			lst_pos.push [d, ipos] if d < 0.5
		end	
	end	
	
	if lst_pos.empty?
		hsh_group_uv[v_id].push [[face, ptuv0]]
	else
		lst_pos.sort! { |a, b| a[0] <=> b[0] }
		ipos = lst_pos[0][1]
		lst[ipos].push [face, ptuv0]
	end
end

#NATURAL: Compute the average UV of a group
def group_average_uv(group)
	x = y = 0
	n = group.length
	lsf = []
	group.each do |a|
		f, ptuv = a
		lsf.push f
		x += ptuv.x
		y += ptuv.y
	end
	[lsf, Geom::Point3d.new(x / n, y / n, 0)]
end
	
end	#class MiroNatural

#==================================================
#----------------------------------------------------------------------------------------------------
# Class MiroProjected
#----------------------------------------------------------------------------------------------------
#==================================================

class MiroProjected < Miro

#PROJECTED: Class instance initialization
def initialize(family_stamp, recto, verso)
	@uv_mode = :projected
	super
end

#----------------------------------------------------------------------------
# PROJECTED: Session Management
#----------------------------------------------------------------------------

#PROJECTED: Initializing the family faces
def _retrieve_session	
	#If there is no face, calculate the plane and axes for projection
	return if @hsh_family_faces.empty?

	#Otherwise, retrieve the parameters from the existing family faces
	faces = @hsh_family_faces.values
	lsf = (@face_ini) ? [@face_ini] : []
	(lsf + faces).each do |face|
		pts = get_attr_of_face(face, @@attr_pts_recto, @@attr_pts_verso)
		if pts
			master_recalculate pts
			break
		end	
	end
	@hsh_base_face_uv = {}
	compute_face_base_uv faces
end

#PROJECTED: At finishing session, store the plane information
def _finish_session
	#Stamping the faces with the plane parameters
	@hsh_painted.each do |face_id, face|
		recto, verso = recto_verso_for_face(face)
		face.set_attribute @@dico, @@attr_pts_recto, @master_info if recto
		face.set_attribute @@dico, @@attr_pts_verso, @master_info if verso
	end	
	false
end

#----------------------------------------------------------------------------
# PROJECTED: UV Coordinates for faces
#----------------------------------------------------------------------------

#PROJECTED: Compute the UV for the vertices of an edge in a face
def compute_next_uv(last_face, new_face, edge)
	face_uv(new_face)
end

#PROJECTED: Calculate the UV Coordinates for a face
def face_uv(face)
	lst_uv = @hsh_base_face_uv[face.entityID]
	lsuv = []
	lst_uv.each_with_index do |a, i|
		if (i % 2 == 0)
			lsuv.push a
		else
			lsuv.push @tr_transform * a
		end
	end
	lsuv
end
	
#PROJECTED: Compute the base face UV	
def compute_face_base_uv(faces)
	faces.each do |face|
		face_id = face.entityID
		next if @hsh_base_face_uv[face_id]
		lsuv = []
		
		#Checking the plane - Apply a small rotation if plane is orthogonal to face plane
		if (face.normal % @plane_ini[1]).abs < 0.00001
			tr_small_rot = Geom::Transformation.rotation @plane_ini[0], face.normal * @plane_ini[1], 0.001
			vec = G6.transform_vector @plane_ini[1], tr_small_rot
			plane = [@plane_ini[0], vec]
		else
			plane = @plane_ini
		end	
		
		#Computing the projected UV Coordinates
		G6.face_best_three_vertices(face).each do |vx|
			break if lsuv.length == 3
			pt = @tr_axes * vx.position.project_to_plane(plane)
			ptuv = Geom::Point3d.new(pt.x / @wtex, pt.y / @htex, 1)
			lsuv.push vx, ptuv
		end
		@hsh_base_face_uv[face_id] = lsuv
	end
end

#--------------------------------------------------------------------------------------------------
# PROJECTED: Calculate the projection plane and direction
#--------------------------------------------------------------------------------------------------

#PROJECTED: Calculate the UV Mesh
def _initial_calculate(faces=nil)
	origin = @vorigin.position
	normal = @uv_param[0]
	normal = @face_ini.normal unless normal
	@plane_ini = [origin, normal]
	ptsu = @edge_ini.other_vertex(@vorigin).position
	ptsu = ptsu.project_to_plane @plane_ini
	vec = origin.vector_to ptsu
	vec_dir = G6.normal_in_to_edge(@edge_ini, @face_ini)
	vec = vec.reverse if (vec * vec_dir) % @face_ini.normal < 0
	vecy = normal * vec
	@tr_axes = Geom::Transformation.axes(origin, vec, normal * vec, normal).inverse
	@master_info = [origin, ptsu, origin.offset(vecy)]
	@hsh_base_face_uv = {}
	
	compute_face_base_uv faces
	true
end

#PROJECTED: Continue calcuation of faces
def _continue_calculate(faces=nil)
	compute_face_base_uv faces
	true
end

#PROJECTED: Recalculate the projection plane based on existing information stored with faces
def master_recalculate(pts)
	origin = pts[0]
	vec = origin.vector_to pts[1]
	vecy = origin.vector_to pts[2]
	normal = vec * vecy
	@plane_ini = [origin, normal]
	@tr_axes = Geom::Transformation.axes(origin, vec, vecy, normal).inverse
	@master_info = pts
end

end	#class MiroProjected

#==================================================
#----------------------------------------------------------------------------------------------------
# Class MiroMesh
#----------------------------------------------------------------------------------------------------
#==================================================

class MiroMesh < Miro

def initialize(family_stamp, recto, verso)
	@uv_mode = :mesh
	super
end

#MESH: Return the Error Message text
def error_message
	T7[:ERR_MiroMesh, @qmesh.number_errors]
end
	
#----------------------------------------------------------------------------
# MESH: Session Management
#----------------------------------------------------------------------------

#MESH: Initializing the family faces
def _retrieve_session
	
	#If there is no face, calculate the plane and axes for projection
	return if @hsh_family_faces.empty?
	
	#Otherwise, retrieve the parameters from the existing family faces
	@error_quad = 0
	@hsh_base_face_uv = {}
	@qmesh = QuadMesh.new(@wtex, @htex)
	faces = @hsh_family_faces.values
	faces.each do |face|
		pts = get_attr_of_face(face, @@attr_pts_recto, @@attr_pts_verso)
		next unless pts
		luvparam = get_attr_of_face(face, @@attr_param_recto, @@attr_param_verso)
		next unless luvparam
		pquad = @qmesh.pquad_create_from_face face, pts, luvparam
		@error_quad += 1 unless pquad
	end
	@qmesh.compute_curvi
	compute_face_base_uv faces
end

#MESH: Finishing the session	
def _finish_session
	#Stamping the faces with the plane parameters
	@hsh_painted.each do |face_id, face|
		recto, verso = recto_verso_for_face(face)
		lvx, luvparam = @qmesh.get_face_attributes(face)
		next unless lvx
		lpt = lvx.collect { |vx| (vx) ? vx.position : nil }
		if recto
			face.set_attribute @@dico, @@attr_pts_recto, lpt
			face.set_attribute @@dico, @@attr_param_recto, luvparam
		end
		if verso
			face.set_attribute @@dico, @@attr_pts_verso, lpt
			face.set_attribute @@dico, @@attr_param_verso, luvparam
		end	
	end	
	false
end

#----------------------------------------------------------------------------
# MESH: UV Coordinates for faces
#----------------------------------------------------------------------------

#MESH: Compute the UV for the vertices of an edge in a face
def compute_next_uv(last_face, new_face, edge)
	face_uv(new_face)
end

#MESH: Calculate the UV Coordinates for a face
def face_uv(face)
	lst_uv = @hsh_base_face_uv[face.entityID]
	lsuv = []
	return nil unless lst_uv
	lst_uv.each_with_index do |a, i|
		if (i % 2 == 0)
			lsuv.push a
		else
			lsuv.push @tr_transform * a
		end
	end
	lsuv
end

#----------------------------------------------------------------------------
# MESH: Calculation of the pseudo-quad Mesh
#----------------------------------------------------------------------------

#MESH: Initial calculation before painting
def _initial_calculate(faces=nil)
	@hsh_base_face_uv = {}
	@qmesh = QuadMesh.new(@wtex, @htex)
	return false if @face_ini.vertices.length > 4
	status = @qmesh.initial_calculate faces, @face_ini, @vorigin, @edge_ini, @uv_param[1]
	compute_face_base_uv(faces) if status
	status
end

#MESH: Possible repainting of faces when loops are detected
def repaint_previous_faces
	if @qmesh && @qmesh.repaint?
		compute_face_base_uv(@hsh_painted.values)
		edition_refresh_uv
	end		
end

#MESH: Extend the mesh as painting goes
def _continue_calculate(faces=nil)
	faces = faces.find_all { |f| !@hsh_base_face_uv[f.entityID] }
	status = @qmesh.continue_calculate faces
	compute_face_base_uv(faces)	if status
	status
end

#MESH: Compute the base UV for a face (before transformation)
def compute_face_base_uv(faces)
	faces.each do |face|
		lsuv = @qmesh.compute_face_ptuv(face, @wtex, @htex)
		@hsh_base_face_uv[face.entityID] = (lsuv) ? lsuv.flatten : nil
	end	
end

#MESH: Draw the mesh in red/green
def _draw_guides(view, t, err_color=nil)
	@qmesh.draw_guides view, t, err_color if @qmesh
end

end	#class MiroMesh

#==================================================
#----------------------------------------------------------------------------------------------------
# Class QuadMesh
#----------------------------------------------------------------------------------------------------
#==================================================

class QuadMesh

#QUADMESH: Pseudo Quad structure
PseudoQuad = Struct.new :lvx, :led, :face0, :face2, :iu, :iv, :ru, :rv, :luvparam, :dsides, :error

#QUADMESH: Edge description
PedgeInfo = Struct.new :edge, :type

#QUADMESH: Initialize the instance
def initialize(wtex, htex)
	@wtex = wtex
	@htex = htex
	reset_env
end

#QUADMESH: Initiate the environment variables
def reset_env
	@angle_continuity_good = 160.degrees
	@angle_continuity_bad = 130.degrees
	@angle_continuity_gap = 20.degrees
	
	@view_tracker = G6::ViewTracker.new
	@hsh_all_faces = {}
	@hsh_pedge_info = {}
	@hsh_faces_treated = {}
	@hsh_quad_faces = {}
	@kumin = @kumax = @kvmin = @kvmax = nil
	@hsh_base_u = {}
	@hsh_base_v = {}
	@hsh_curvi_u = {}
	@hsh_curvi_v = {}
	@lst_next_faces = []
	@hsh_all_quads = {}
	@error_quad = 0
	@llinesU = []
	@llinesV = []
	reset_display_cache
end

def reset_display_cache
	@new_linesU = []
	@new_linesV = []
end
	
#QUADMESH: Calculate the UV Mesh
def initial_calculate(faces, face0, vx0, edge0, edge3)
	t0 = Time.now
	reset_env
	faces.each { |f| @hsh_all_faces[f.entityID] = f }
	
	#Creating the initial edges
	pe0 = pedge_info_create edge0, :u
	pe3 = pedge_info_create edge3, :v
	
	#making sure texture is on the right side
	vx1 = edge0.other_vertex(vx0)
	vx3 = edge3.other_vertex(vx0)
	vec3 = vx3.position.vector_to(vx0.position)
	normal = vec3 * vx0.position.vector_to(vx1.position)
	vx0 = vx1 if normal % face0.normal < 0 
	@lst_next_faces = [[face0, vx0, edge0, 0, 0, 0, vec3, vec3]]
	
	#Loop to explore all adjacent quads
	while @lst_next_faces.length > 0
		explore_quad *(@lst_next_faces.shift)
	end
	return false if @error_quad > 0
	compute_curvi
	true
end

#QUADMESH: Extending the mesh with new faces
def continue_calculate(faces)
	#Registering the adjacent faces
	Traductor::HourGlass.check?
	faces.each { |f| @hsh_all_faces[f.entityID] = f }
	faces.each { |face| adjacent_to_mesh(face) }
	
	#Processing these adjavcent faces
	while @lst_next_faces.length > 0
		Traductor::HourGlass.check?
		explore_quad *(@lst_next_faces.shift)
	end
	return false if @error_quad > 0
	compute_curvi
	true
end

#QUADMESH: Check and register face if adjacent to a pquad of the mesh
def adjacent_to_mesh(face)
	face.edges.each do |edge|
		edge.faces.each do |f|
			pquad = @hsh_quad_faces[f.entityID]
			return register_adjacent(face, edge, pquad) if pquad
		end
	end	
end

#QUADMESH: Compute the continuity edges from a pquad contiguous by edge [vxa, vxb]
def register_adjacent(face, edge, pquad)
	return unless pquad || vxa == vxb
	vx0, vx1, vx2, vx3 = pquad.lvx
	e0, e1, e2, e3 = pquad.led
	iu = pquad.iu
	iv = pquad.iv
	case edge
	when e0
		@lst_next_faces.push [face, vx1, edge, 2, iu, iv-1, e3, e1, pquad]
	when e1
		@lst_next_faces.push [face, vx2, edge, 1, iu+1, iv, e0, e2, pquad]
	when e2
		@lst_next_faces.push [face, vx3, edge, 0, iu, iv+1, e1, e3, pquad]
	when e3
		@lst_next_faces.push [face, vx0, edge, 3, iu-1, iv, e2, e0, pquad]
	end
end

#QUADMESH: Process a pseudo quad, either true quad or 1 or 2 triangles
def explore_quad(face0, vx0, e0, dk, iu, iv, old_e1, old_e3, prev_quad=nil)
	#Ignore face already treated and faces with more than 4 edges
	return if @hsh_faces_treated[face0.entityID]
	@hsh_faces_treated[face0.entityID] = true
	return if face0.edges.length > 4 || !e0
	
	#Edge and Vertices for the pseudo quad
	pe0 = pedge_info(e0)
	type0 = pe0.type
	type1 = (type0 == :u) ? :v : :u
	vx1 = e0.other_vertex vx0
	e3 = face0.edges.find { |e| e != e0 && e.used_by?(vx0) }
	e1 = face0.edges.find { |e| e != e0 && e.used_by?(vx1) }
	vx2 = e1.other_vertex vx1
	vx3 = e3.other_vertex vx0
	
	#Finding lateral edges based on edge continuity
	face2 = face0
	if face2.vertices.length == 3
		pe1 = pedge_info(e1)
		pe3 = pedge_info(e3)
		e3, face23 = find_edge_continuity_at_vertex(face0, vx0, e0, e3, old_e3) unless pe3 && pe3.type == type1
		e1, face21 = find_edge_continuity_at_vertex(face0, vx1, e0, e1, old_e1) unless pe1 && pe1.type == type1
		face2 = face21 if face21 && face21 != face0
		face2 = face23 if face23 && face23 != face0
	end
	
	#Ordering the vertices and registering the edges
	vx2 = (e1) ? e1.other_vertex(vx1) : nil
	vx3 = (e3) ? e3.other_vertex(vx0) : nil
	e2 = (!vx2 || !vx3 || vx2 == vx3) ? nil : vx2.common_edge(vx3)
	@hsh_faces_treated[face2.entityID] = true if face2 != face0
	
	lvx = [vx0, vx1, vx2, vx3]
	le = [e0, e1, e2, e3]
	if dk != 0
		lvx = [0, 1, 2, 3].collect { |i| lvx[(i+dk).modulo(4)] }
		le = [0, 1, 2, 3].collect { |i| le[(i+dk).modulo(4)] }
	end
	
	#Creating the Quad
	pquad_create lvx, face0, face2, iu, iv, prev_quad

	#Next faces to explore
	return unless e2
	e0, e1, e2, e3 = le
	vx0, vx1, vx2, vx3 = lvx	
	register_next_face face0, face2, vx1, e0, 2, iu, iv-1, e3, e1
	register_next_face face0, face2, vx2, e1, 1, iu+1, iv, e0, e2
	register_next_face face0, face2, vx3, e2, 0, iu, iv+1, e1, e3
	register_next_face face0, face2, vx0, e3, 3, iu-1, iv, e2, e0
end

#QUADMESH: Register the next face bordering the quad if applicable
def register_next_face(face0, face2, vx, e, dk, iu, iv, old_e1, old_e3)
	return unless e
	face_next = other_face(e, face0, face2)
	@lst_next_faces.push [face_next, vx, e, dk, iu, iv, old_e1, old_e3] if face_next && @hsh_all_faces[face_next.entityID]
end

#QUADMESH: Compute the other face bordering an edge, which is different from <face> and <face2>
def other_face(edge, face0, face2=nil)
	face = edge.faces.find { |f| f != face0 && f != face2 }
end

#----------------------------------------------------------------------------
# QuadMesh: Utility methods
#----------------------------------------------------------------------------

#QUADMESH: Find the continuity edge at vertex vx0
def find_edge_continuity_at_vertex(face0, vx0, ebase, e0, old_e0)
	#Checking alternate edge
	e2 = nil
	face2 = other_face e0, face0
	e2 = vx0.edges.find { |e| e != e0 && e.used_by?(face2) } if face2
	
	#Checking if one of the edge is a diagonal
	return((e2) ? [e2, face2] : nil) if G6.edge_is_diagonal?(e0)
	return [e0, face0] if e2 && G6.edge_is_diagonal?(e2)
	
	#Computing the angles
	angle0 = edge_continuity_angle face0, vx0, ebase, e0, old_e0
	
	#NO alternate edge
	return ((angle0 > @angle_continuity_bad) ? [e0, face0] : nil) unless e2
	
	#One of the continuity angle is Bad
	angle2 = edge_continuity_angle face2, vx0, ebase, e2, old_e0
	return((angle0 > @angle_continuity_bad) ? [e0, face0] : nil) if angle2 < @angle_continuity_bad
	return((angle2 > @angle_continuity_bad) ? [e2, face2] : nil) if angle0 < @angle_continuity_bad
	
	#Both angles are candidates but are sufficiently different
	return [e0, face0] if angle0 - angle2 > @angle_continuity_gap
	return [e2, face2] if angle2 - angle0 > @angle_continuity_gap
	
	#Both angles are close
	angle0 = edge_continuity_angle_simple(face0, vx0, e0, old_e0)
	angle2 = edge_continuity_angle_simple(face0, vx0, e2, old_e0)
	return [e2, face2] if (angle2 > angle0)
	return [e0, face0]
end

#QUADMESH: Calculate the continuity angle at vertex between <e0> and <old_e0> - Simple mode
def edge_continuity_angle_simple(face0, vx0, e0, old_e0)
	origin = vx0.position
	vx1 = e0.other_vertex vx0
	if old_e0.class == Geom::Vector3d
		vec = old_e0
	else	
		old_vx1 = old_e0.other_vertex vx0
		vec = origin.vector_to(old_vx1.position)
	end	
	ptproj = origin.offset(vec, 1).project_to_plane face0.plane
	vec = origin.vector_to ptproj
	angle = origin.vector_to(vx1.position).angle_between vec
	angle
end

#QUADMESH: Calculate the continuity angle at vertex between <e0> and <old_e0>
def edge_continuity_angle(face0, vx0, ebase, e0, old_e0)	
	#Previous edge given by a vector
	if old_e0.class == Geom::Vector3d
		vx1 = e0.other_vertex vx0
		origin = vx0.position
		return  origin.vector_to(vx1.position).angle_between(old_e0)
	elsif old_e0.class != Sketchup::Edge
		return 0
	end
	
	#Two edges
	origin = vx0.position
	ptb = ebase.other_vertex(vx0).position
	pt = e0.other_vertex(vx0).position
	old_pt = old_e0.other_vertex(vx0).position
	vec_base = origin.vector_to ptb
	vec = origin.vector_to pt
	old_vec = origin.vector_to old_pt
	return 0 unless (vec_base * vec).valid?
	snormal = vec_base * vec
	old_snormal = vec_base * old_vec
	normal = (vec_base * vec) * vec
	old_normal = (vec_base * old_vec) * old_vec
	old_normal = old_normal.reverse if normal % old_normal < 0
	angle = normal.angle_between old_normal
	Math::PI - angle
end

#QUADMESH: Compute the position of a point <pt> on <face> when unfolded to the plane of <face0>
def unfolded_position(face0, face, pt)
	return pt if pt.on_plane?(face0.plane)
	edge = face0.edges.find { |e| e.faces.include?(face) }
	return pt unless edge
	pt0 = edge.start.position
	normal0 = face0.normal
	normal = face.normal
	normal = normal.reverse if normal0 % normal < 0
	angle_normal = normal0.angle_between normal
	vec_pivot = pt0.vector_to edge.end.position
	vec_pivot = vec_pivot.reverse if vec_pivot % (normal0 * normal) < 0
	t = Geom::Transformation.rotation pt0, vec_pivot, -angle_normal
	t * pt
end

#----------------------------------------------------------------------------
# QuadMesh: Quad Management
#----------------------------------------------------------------------------

#QUADMESH: Create a pseudo Quad
def pquad_create(lvx, face0, face2, iu, iv, prev_quad=nil)
	#Storing the coordinates
	pquad = PseudoQuad.new
	pquad.lvx = lvx
	pquad.iu = iu
	pquad.iv = iv
	@kumin = iu if !@kumin || iu < @kumin
	@kumax = iu if !@kumax || iu > @kumax
	@kvmin = iv if !@kvmin || iv < @kvmin
	@kvmax = iv if !@kvmax || iv > @kvmax
	vx0, vx1, vx2, vx3 = lvx
	
	#Storing the standard width
	dsides = []
	du = dsides[0] = (vx0 && vx1) ? vx0.position.distance(vx1.position) : 0
	dsides[2] = (vx2 && vx3) ? vx2.position.distance(vx3.position) : 0
	du = dsides[2] if du == 0
	ru = @hsh_base_u[iu]
	ru = @hsh_base_u[iu] = du / ((prev_quad) ? prev_quad.ru : 1.0) unless ru
	pquad.ru = ru = du / ru
	
	#Storing the standard height
	dv = dsides[3] = (vx0 && vx3) ? vx0.position.distance(vx3.position) : 0
	dsides[1] = (vx1 && vx2) ? vx1.position.distance(vx2.position) : 0
	dv = dsides[1] if dv == 0
	rv = @hsh_base_v[iv]
	rv = @hsh_base_v[iv] = dv / ((prev_quad) ? prev_quad.rv : 1.0) unless rv
	pquad.rv = rv = dv / rv
	
	pquad.dsides = dsides
	pquad.luvparam = [iu, iv, ru, rv]

	#Registering the faces and quads
	pquad.face0 = face0
	pquad.face2 = face2
	@hsh_quad_faces[face0.entityID] = pquad if face0
	@hsh_quad_faces[face2.entityID] = pquad if face2
	@hsh_all_quads["#{iu}-#{iv}"] = pquad

	#Registering the Edges
	led = []
	for i in 0..3
		j = (i + 1).modulo(4)
		next if lvx[i] == nil || lvx[j] == nil || lvx[i] == lvx[j]
		led[i] = lvx[i].common_edge(lvx[j])
		type_uv = (i == 0 || i == 2) ? :u : :v
		next unless led[i]
		pe = pedge_info_create led[i], type_uv
		pquad.error = true if pe.type != type_uv
	end		
	pquad.led = led
	@error_quad += 1 if pquad.error
	
	pquad
end

#QUADMESH: Register a face for reconstruction of the quad mesh
def pquad_create_from_face(face, lpt, luvparam)
	pquad = @hsh_quad_faces[face.entityID]
	return pquad if pquad

	lvx = []
	ndiag = 0
	for i in 0..3
		pt = lpt[i]
		lvx[i] = face.vertices.find { |v| v.position == pt }
		ndiag += 1 unless lvx[i]
	end	
	return nil if ndiag > 1
	
	#Diagonal
	vx0, vx1, vx2, vx3 = lvx
	face2 = face
	if ndiag == 1
		e = (vx0 && vx2) ? vx0.common_edge(vx2) : vx1.common_edge(vx3)
		return nil unless e
		face2 = other_face e, face
		return nil unless face2	
		for i in 0..3
			unless lvx[i]
				pt = lpt[i]
				lvx[i] = face2.vertices.find { |v| v.position == pt }
				return nil unless lvx[i]
			end
		end	
	end
	
	#Coordinates in the Mesh
	iu, iv, ru, rv = luvparam
	unless @hsh_base_u[iu]
		du = lvx[0].position.distance lvx[1].position
		du = lvx[2].position.distance lvx[3].position if du == 0
		@hsh_base_u[iu] = du / ru
	end	
	unless @hsh_base_v[iv]
		dv = lvx[0].position.distance lvx[3].position
		dv = lvx[1].position.distance lvx[2].position if dv == 0
		@hsh_base_v[iv] = dv / rv 
	end	
	
	#Creating the Quad
	pquad_create(lvx, face, face2, iu, iv)
end

#QUADMESH: Return the attributes of the quad to be stored with faces
def get_face_attributes(face)
	pquad = @hsh_quad_faces[face.entityID]
	return nil unless pquad
	[pquad.lvx, pquad.luvparam]
end

#QUADMESH: Check errrors for quads
def number_errors ; @error_quad ; end

#----------------------------------------------------------------------------
# QuadMesh: Grid Calculation
#----------------------------------------------------------------------------

def repaint?
	@loop_u || @loop_v
end

#QUADMESH: Compute the curvilinear coordinates of each quad row and column
def find_loop
	k = @kvmin
	for i in @kumin..@kumax
		
	end
end

#QUADMESH: Compute the curvilinear coordinates of each quad row and column
def compute_curvi
	return unless @kumin
	
	#Coordinates in U
	kumin = kumax = kumin_z = kumax_z = nil
	for i in @kumin..@kumax
		base = @hsh_base_u[i]
		if !kumin_z && !base
			kumin_z = i-1
		elsif kumin_z && !kumax_z && base
			kumax_z = i
		end	
	end
	kumin_z = 0 unless kumin_z
	kumax_z = 0 unless kumax_z

	###@loop_u = true
	hsh_base_u = (@loop_u) ? manage_loop(@hsh_base_u, @wtex) : @hsh_base_u
	
	@hsh_curvi_u = {}
	if kumax_z == 0
		@hsh_curvi_u[@kumin] = 0
		for i in @kumin..@kumax
			@hsh_curvi_u[i+1] = @hsh_curvi_u[i] + hsh_base_u[i]
		end	
	else	
		@hsh_curvi_u[kumax_z] = 0
		for i in kumax_z..@kumax
			@hsh_curvi_u[i+1] = @hsh_curvi_u[i] + hsh_base_u[i]
		end	
		@hsh_curvi_u[@kumin] = @hsh_curvi_u[@kumax+1]
		for i in @kumin..kumin_z
			@hsh_curvi_u[i+1] = @hsh_curvi_u[i] - hsh_base_u[i]
		end	
	end	
			
	#Coordinates in V
	kvmin = kvmax = kvmin_z = kvmax_z = nil
	for i in @kvmin..@kvmax
		base = @hsh_base_v[i]
		if !kvmin_z && !base
			kvmin_z = i-1
		elsif kvmin_z && !kvmax_z && base
			kvmax_z = i
		end	
	end
	kvmin_z = 0 unless kvmin_z
	kvmax_z = 0 unless kvmax_z

	###@loop_v = true
	hsh_base_v = (@loop_v) ? manage_loop(@hsh_base_v, @htex) : @hsh_base_v
	
	@hsh_curvi_v = {}
	if kvmax_z == 0
		@hsh_curvi_v[@kvmin] = 0
		for i in @kvmin..@kvmax
			@hsh_curvi_v[i+1] = @hsh_curvi_v[i] + hsh_base_v[i]
		end	
	else	
		@hsh_curvi_v[kvmax_z] = 0
		for i in kvmax_z..@kvmax
			@hsh_curvi_v[i+1] = @hsh_curvi_v[i] + hsh_base_v[i]
		end	
		@hsh_curvi_v[@kvmin] = @hsh_curvi_v[@kvmax+1]
		for i in @kvmin..kvmin_z
			@hsh_curvi_v[i+1] = @hsh_curvi_v[i] - hsh_base_v[i]
		end	
	end	
	
end

#QUADMESH: Small adjustments for loops
def manage_loop(hsh_base, sz)
	hsh_new_base = {}
	d = 0
	hsh_base.each { |i, val| d += val / sz }
	dec = d - d.round
	if dec != 0
		scale = 1.0 - dec / d
		scale = 1.0 if scale == 0
		hsh_base.each { |i, val| hsh_new_base[i] = val * scale }
	end
	hsh_new_base
end

#QUADMESH: Compute the UV for a face in the mesh
def compute_face_ptuv(face, wtex, htex)
	pquad = @hsh_quad_faces[face.entityID]
	return nil unless pquad
	lvx = pquad.lvx
	iu = pquad.iu
	iv = pquad.iv
	u = @hsh_curvi_u[iu] / wtex
	u1 = @hsh_curvi_u[iu+1] / wtex
	v = @hsh_curvi_v[iv] / htex
	v1 = @hsh_curvi_v[iv+1] / htex
	luv = []
	luv[0] = Geom::Point3d.new(u, v, 1)
	luv[1] = Geom::Point3d.new(u1, v, 1)
	luv[2] = Geom::Point3d.new(u1, v1, 1)
	luv[3] = Geom::Point3d.new(u, v1, 1)
	
	#Computing the UV Coordinates and position in plane of face for the 4 vertices
	face0 = pquad.face0
	face2 = pquad.face2
	if face0 == face2
		lpt = lvx.collect { |vx| (vx) ? vx.position : nil }
	elsif face == face0
		lpt = lvx.collect { |vx| (vx) ? unfolded_position(face0, face2, vx.position) : nil }
	else	
		lpt = lvx.collect { |vx| (vx) ? unfolded_position(face2, face0, vx.position) : nil }
	end
	
	#Normal case
	lst_uv = []
	for i in 0..3
		lst_uv.push [lpt[i], luv[i]] if lpt[i]
	end	
	
	#Correction for Spikes
	if face0 == face2 && !lvx.include?(nil) && lvx.uniq.length == 3
		vx0, vx1, vx2, vx3 = lvx
		pt0, pt1, pt2, pt3 = lvx.collect { |vx| vx.position }
		mid_u = 0.5 * (u + u1)
		mid_v = 0.5 * (v + v1)
		r = 0.5
		r1 = 1 - r
		if vx0 == vx1
			lst_uv[0][0] = Geom.linear_combination(r1, pt3, r, pt0)
			lst_uv[1][0] = Geom.linear_combination(r1, pt2, r, pt1)
		elsif vx1 == vx2
			lst_uv[1][0] = Geom.linear_combination(r1, pt0, r, pt1)
			lst_uv[2][0] = Geom.linear_combination(r1, pt3, r, pt2)
		elsif vx2 == vx3
			lst_uv[2][0] = Geom.linear_combination(r1, pt1, r, pt2)
			lst_uv[3][0] = Geom.linear_combination(r1, pt0, r, pt3)
		elsif vx3 == vx0	
			lst_uv[3][0] = Geom.linear_combination(r1, pt2, r, pt3)
			lst_uv[0][0] = Geom.linear_combination(r1, pt1, r, pt0)
		else
			lst_uv = []
		end	
	end	
	
	lst_uv
end

#----------------------------------------------------------------------------
# QuadMesh Edge Info management
#----------------------------------------------------------------------------

#QUADMESH: Get a Pedge information structure
def pedge_info(edge)
	@hsh_pedge_info[edge.entityID]
end

#QUADMESH: Create a Pedge information structure
def pedge_info_create(edge, type_uv)
	pedge = pedge_info(edge)
	return pedge if pedge
	key = edge.entityID
	pedge = PedgeInfo.new
	pedge.type = type_uv
	pedge.edge = edge
	if type_uv == :u
		@new_linesU.push edge.start.position, edge.end.position
	else	
		@new_linesV.push edge.start.position, edge.end.position
	end	
	@hsh_pedge_info[key] = pedge
end

#----------------------------------------------------------------------------
# QuadMesh drawing methods
#----------------------------------------------------------------------------

#QUADMESH: Draw the Grid of idrections U and V
def compute_guides(view, t)
	if @view_tracker.changed?
		@llinesU = []
		@llinesV = []
		@hsh_pedge_info.each do |key, info|
			edge = info.edge
			if info.type == :u
				@llinesU += [edge.start, edge.end].collect { |v| G6.small_offset view, t * v.position, 3 }
			else	
				@llinesV += [edge.start, edge.end].collect { |v| G6.small_offset view, t * v.position, 3 }
			end	
		end	
	else
		@llinesU += @new_linesU.collect { |pt| G6.small_offset view, t * pt, 3 }
		@llinesV += @new_linesV.collect { |pt| G6.small_offset view, t * pt, 3 }
	end	
	reset_display_cache
end

#QUADMESH: Draw the Grid of idrections U and V
def draw_guides(view, t, err_color=nil)
	return unless t && @hsh_pedge_info && @hsh_pedge_info.length > 0
	
	#Drawing the Quads in error
	if @error_quad
		triangles = []
		@hsh_quad_faces.each do |face_id, pquad|
			next unless pquad.error
			triangles += G6.face_triangles(pquad.face0, t)
			triangles += G6.face_triangles(pquad.face2, t) if pquad.face2
		end	
		view.drawing_color = err_color
		view.draw GL_TRIANGLES, triangles.collect { |pt| G6.small_offset view, pt } if triangles.length > 0
	end
	
	#Drawing the Mesh
	compute_guides(view, t)
	view.line_stipple = ''
	view.line_width = 1
	view.drawing_color = 'red'
	view.draw GL_LINES, @llinesU if @llinesU.length > 0
	view.drawing_color = 'green'
	view.draw GL_LINES, @llinesV if @llinesV.length > 0
end
	
end	#class QuadMesh

#=============================================================
#-------------------------------------------------------------
# Class VCBKeyHelpDialog: Dialog box for help
#-------------------------------------------------------------
#=============================================================

HTML = Traductor::HTML

class VCBKeyHelpDialog

#HELP_DIALOG: Invoke the Parameter dialog box
def VCBKeyHelpDialog.display
	key = 'FredoTools-ThruPaint-KeyHelp'
	VCBKeyHelpDialog.new(key) unless Traductor::Wdlg.check_instance_displayed(key)
end

#HELP_DIALOG: Calculate the dialog box
def initialize(unique_key)
	@wdlg_key = unique_key
	@wid_col1 = (@type == 'F') ? 250 : 170
	@wid_colT = 100
	@wid_colP = 80
	
	@title = T7[:HLP_TitleMain]
	@wdlg = create_dialog(unique_key)
end	

#HELP_DIALOG: Create the dialog box
def create_dialog(unique_key)
	wdlg = Traductor::Wdlg.new @title, @wdlg_key, false
	wdlg.set_unique_key unique_key
	@wid_section = 100
	@wid_desc = 500
	@wid_example = 150
	wid = @wid_section + @wid_desc + @wid_example + 20
	wdlg.set_size wid, 600
	wdlg.set_background_color 'lightyellow'
	wdlg.set_callback self.method('dialog_callback') 
	wdlg.set_on_close { on_close() }
	html = format_html wdlg
	wdlg.set_html html
	wdlg.show
	wdlg
end

#HELP_DIALOG: procedure executed when the dialog box closes
def on_close
	@notify_close_proc.call(self) if @notify_close_proc
end

#HELP_DIALOG: Close the dialog box
def close_dialog
	@wdlg.close
end

#HELP_DIALOG: Call back for Statistics Dialog
def dialog_callback(event, type, id, svalue)
	case event
	
	#Command buttons
	when /onclick/i
		case id
		when 'ButtonDone'
			@wdlg.close
		when 'ButtonPrint'
			@wdlg.print
		end
	
	when /onKeyUp/i	#Escape and Return key
		@wdlg.close if svalue =~ /\A27\*/ || svalue =~ /\A13\*/
		
	end
end

#HELP_DIALOG: Build the HTML for Statistics Dialog
def format_html(wdlg)
	
	#Creating the HTML stream	
	html = Traductor::HTML.new
	
	#Color Setting
	bg0 = 'BG: lemonchiffon'
	bg1 = 'BG: khaki'
	kbg0 = 'BG: lightblue'
	kbg1 = 'BG: lightsteelblue'
	bg2 = 'BG: lightgrey'
	@col_border_key = '1px solid blue'
	@col_border_vcb = '1px solid goldenrod'
	
	#Style used in the dialog box	
	@border_key = "border-bottom: #{@col_border_key} ; border-top: #{@col_border_key}"
	@border_vcb = "border-bottom: #{@col_border_vcb} ; border-top: #{@col_border_vcb}"
	
	html.create_style 'Title', nil, 'B', 'K: navy', 'F-SZ: 18', 'text-align: center'
	html.create_style 'HeaderVCB', nil, 'B', 'BG: sienna', 'F-SZ: 12', 'K:white', 'text-align: center', @border_vcb
	html.create_style 'HeaderKey', nil, 'B', 'BG: royalblue', 'F-SZ: 12', 'K:white', 'text-align: center', @border_key
	html.create_style 'BG0', nil, bg0
	html.create_style 'BG1', nil, bg1
	html.create_style 'BG2', nil, bg2
	html.create_style 'KBG0', nil, kbg0
	html.create_style 'KBG1', nil, kbg1
	html.create_style 'CellIndic', nil, 'I', 'K: maroon', 'F-SZ: 11', 'text-align: center'
	html.create_style 'CellSectionVCB', nil, 'B', 'K: blue', 'F-SZ: 12', 'text-align: center', @border_vcb
	html.create_style 'CellSectionKey', nil, 'B', 'K: blue', 'F-SZ: 12', 'text-align: center', @border_key
	html.create_style 'CellKey', nil, 'K: black', 'F-SZ: 11', 'text-align: left', 'padding-left: 8px'
	html.create_style 'CellDesc', nil, 'K: black', 'F-SZ: 11', 'text-align: left', 'padding-left: 8px'
	html.create_style 'CellExample', nil, 'K: green', 'F-SZ: 11', 'text-align: left', 'padding-left: 8px'		
	html.create_style 'Button', nil, 'F-SZ: 10'
	
	#Styling for screen and printing
	main_div_height = 410
	text = "<style type='text/css' media='screen'>"
	text += ".MAIN_DIV_Style {position: relative; height: #{main_div_height}px; overflow-y: auto; overflow-x: hidden; border:2px solid sienna}"
	text += "</style>"
	html.body_add text
	
	#Creating the title
	html.body_add "<div cellspacing='0px' cellpadding='0px' class='Title T_NOSCREEN_Style Title'>#{@title}</div>"
	
	#Inserting the main table
	text = ""
	text += "<div width='100%' class='MAIN_DIV_Style DivTable'>"

	tx_ctrl = T6[:T_KEY_CTRL]
	tx_shift = T6[:T_KEY_SHIFT]
	tx_arrow_right = T6[:T_KEY_ArrowRight]
	tx_arrow_left = T6[:T_KEY_ArrowLeft]
	tx_arrow_up = T6[:T_KEY_ArrowUp]
	tx_arrow_down = T6[:T_KEY_ArrowDown]
	tx_ctrl_arrow_right = tx_ctrl + '-' + tx_arrow_right
	tx_ctrl_arrow_left = tx_ctrl + '-' + tx_arrow_left
	tx_ctrl_arrow_up = tx_ctrl + '-' + tx_arrow_up
	tx_ctrl_arrow_down = tx_ctrl + '-' + tx_arrow_down
	tx_shift_arrow_right = tx_shift + '-' + tx_arrow_right
	tx_shift_arrow_left = tx_shift + '-' + tx_arrow_left
	tx_shift_arrow_up = tx_shift + '-' + tx_arrow_up
	tx_shift_arrow_down = tx_shift + '-' + tx_arrow_down
	
	
	#Table for Arrow Help
	title_arrow = T7[:HLP_TitleArrow]
	text += "<br><div cellspacing='0px' cellpadding='0px' class='Title'>#{title_arrow}</div>"
	text += "<table width='100%' cellspacing='0px' cellpadding='0px' border>"
	text += "<tr><td class='HeaderKey'>#{T6[:T_STR_Transformation]}</td>"
	text += "<td class='HeaderKey' align='center'>#{T6[:T_KEY_Key]}</td>"
	text += "<td class='HeaderKey' align='center'>#{T6[:T_STR_Description]}</td></tr>"

	text += html_section_arrow T7[:HLP_ArrowGeneral], 
	                     [[nil, T7[:HLP_AboutOriginRotScale]]], "BG2"
	text += html_section_arrow T6[:T_STR_TR_Translation], 
	                     [[tx_arrow_right, T7[:HLP_AlongRedAxis]],
						 [tx_arrow_up, T7[:HLP_AlongGreenAxis]],
						 [tx_arrow_left, T7[:HLP_OppositeRedAxis]],
						 [tx_arrow_down, T7[:HLP_OppositeGreenAxis]]]
	text += html_section_arrow T6[:T_STR_TR_Scaling], 
	                     [[tx_ctrl_arrow_up, T7[:HLP_UniformScalingGrowing]],
						 [tx_ctrl_arrow_down, T7[:HLP_UniformScalingReducing]],
						 [tx_shift_arrow_right, T7[:HLP_ScalingUGrowing]],
						 [tx_shift_arrow_left, T7[:HLP_ScalingUReducing]],
						 [tx_shift_arrow_up, T7[:HLP_ScalingVGrowing]],
						 [tx_shift_arrow_down, T7[:HLP_ScalingVReducing]]]
	text += html_section_arrow T6[:T_STR_TR_Rotation], 
	                     [[tx_ctrl_arrow_right, T7[:HLP_RotationGreenToRed]],
						  [tx_ctrl_arrow_left, T7[:HLP_RotationRedToGreen]],
						  [T6[:T_KEY_PageUp], T7[:HLP_RotationP90NoScene]],
						  [T6[:T_KEY_PageDown], T7[:HLP_RotationM90NoScene]]]
	text += "</table>"	

	#Table for Arrow Help
	title_key = T6[:T_STR_TXT_OtherShortcuts]
	text += "<br><div cellspacing='0px' cellpadding='0px' class='Title'>#{title_key}</div>"
	text += "<table width='100%' cellspacing='0px' cellpadding='0px' border>"
	text += "<tr><td class='HeaderKey'>#{T6[:T_STR_Operation]}</td>"
	text += "<td class='HeaderKey' align='center'>#{T6[:T_KEY_Key]}</td>"
	text += "<td class='HeaderKey' align='center'>#{T6[:T_STR_Description]}</td></tr>"
	text += html_section_arrow T6[:T_STR_TXT_Material], 
	                     [[T6[:T_KEY_Enter], T7[:HLP_Sample]],
						  [T6[:T_KEY_Backspace], T7[:HLP_MaterialToDefault]],
						  [T6[:T_KEY_Tab], T7[:HLP_MaterialCycleBackward]],
						  [T6[:T_KEY_ShiftTab], T7[:HLP_MaterialCycleForward]]]
	text += html_section_arrow T6[:T_STR_TXT_Texturing], 
						 [[T6[:T_KEY_ArrowAny], T7[:HLP_SampleUV]],
	                      [T6[:T_KEY_CtrlAlone], T7[:HLP_ForcePaint]],
	                      [T6[:T_KEY_CtrlAlone], T7[:HLP_VisualToggleInference]],
						  ["F7", T7[:HLP_ToggleMeshVisibility]]]
	text += html_section_arrow T6[:T_STR_TXT_Miscellaneous], 
	                     [["F9", T7[:HLP_CallNativePaintTool]],
						  ["F10", T6[:T_STR_TXT_ShowThisHelp]]]
	text += "</table>"	

	#Table for VCB Help
	title_vcb = T6[:T_STR_TXT_VCBInputs]
	text += "<br><div cellspacing='0px' cellpadding='0px' class='Title'>#{title_vcb}</div>"
	text += "<table width='100%' cellspacing='0px' cellpadding='0px' border>"
	text += "<tr><td class='HeaderVCB' width='120px' align='center'>#{T6[:T_STR_Transformation]}</td>"
	text += "<td class='HeaderVCB' align='center'>#{T6[:T_STR_Description]}</td>"
	text += "<td class='HeaderVCB' align='center'>#{T6[:T_STR_Example]}</td></tr>"

	text += html_section_vcb T6[:T_STR_TXT_VCBGeneral], 
	                     [[T7[:HLP_ChainedCommand], "2xu 30d 4*v"],
	                      [T7[:HLP_Formula], "2+3x; (3*4+2)d"]], "BG2"
	text += html_section_vcb T6[:T_STR_TR_Translation], 
	                     [[T7[:HLP_TranslationPositive], ""],
	                      [T6[:T_STR_TR_TranslationU], "0.5u"],
	                      [T6[:T_STR_TR_TranslationV], "0.5v"],
	                      [T6[:T_STR_TR_TranslationUV], "0.5"]]
	text += html_section_vcb T6[:T_STR_TR_Rotation], 
	                     [[T7[:HLP_AnglePositive], ""],
	                      [T7[:HLP_RotationAbout], ""],
	                      [T7[:HLP_RelRotationDegree], "30d"],
	                      [T7[:HLP_RelRotationRadians], "0.5r"],
	                      [T7[:HLP_RelRotationGrades], "100/3g"],
	                      [T7[:HLP_RelRotationSlope], "45%"],
	                      [T7[:HLP_AbsRotation], "30dd;0.5rr"],
	                      [T7[:HLP_RotationP90], "+"],
	                      [T7[:HLP_RotationM90], "-"],
	                      [T7[:HLP_Rotation180], "++"]]
	text += html_section_vcb T6[:T_STR_TR_Scaling], 
	                     [[T7[:HLP_ScalePositive], ""],
	                      [T7[:HLP_ScaleAbout], ""],
	                      [T6[:T_STR_TR_ScalingUniform], "3x"],
	                      [T6[:T_STR_TR_ScalingU], "2.5xu"],
	                      [T6[:T_STR_TR_ScalingV], "3.5xv"],
	                      [T6[:T_STR_TR_ScalingUV], "2.5xu 3.5xv"]]
	text += html_section_vcb T7[:BOX_Visual_Mirror], 
	                     [[T7[:HLP_MirrorAbout], ""],
	                      [T7[:HLP_MirrorOrigin], "/"],
	                      [T7[:HLP_MirrorAxisU], "/u"],
	                      [T7[:HLP_MirrorAxisV], "/v"]]
	text += html_section_vcb T7[:BOX_Visual_Tiling], 
	                     [[T7[:HLP_TilingDesc], ""],
	                      [T7[:HLP_TilingFull], "1*"],
	                      [T7[:HLP_TilingU], "2*u"],
	                      [T7[:HLP_TilingV], "2*v"],
	                      [T7[:HLP_TilingStored], "*"],
	                      [T7[:HLP_TilingAsk], "**"]]
	text += html_section_vcb T7[:HLP_ResetTexture], 
	                     [[T7[:HLP_ResetAll], "0"],
	                      [T7[:HLP_ResetRotation], "0d"],
	                      [T7[:HLP_ResetScaling], "0x"]]
	text += "</table>"	

	#End of scrolling DIV
	text += "</div>"	
	html.body_add text	
	
	#Creating the DONE button
	butdone = HTML.format_button T6[:T_BUTTON_Done], "ButtonDone", 'Button', nil
	butprint = HTML.format_button T6[:T_BUTTON_Print], id="ButtonPrint", 'Button', nil
	html.body_add "<table class='T_NOPRINT_Style' width='99%' cellpadding='6px'><tr>"
	html.body_add "<td width='50%' align='left'>", butprint, "</td>"
	html.body_add "<td align='right'>", butdone, "</td>"
	html.body_add "</tr></table>"
	
	#Returning the HTML object
	html	
end

#HELP_DIALOG: Build the HTML for a section of the VCB Help
def html_section_vcb(name, lst, bg=nil)
	@col_count = 0 unless @col_count
	@col_count = (@col_count + 1).modulo(2)
	bg = "BG#{@col_count}" unless bg
	n = lst.length
	text = ""
	lst.each_with_index do |a, i|
		desc, example = a
		style_top = ""
		style_bottom = ""
		text += "<tr>"
		if i == 0
			style_top = "border-top: #{@col_border_vcb}"
			text += "<td  width='120px' rowspan='#{n}' class='CellSectionVCB #{bg}'>#{name}</td>"
		end	
		style_bottom = "border-bottom: #{@col_border_vcb}" if i == n-1
		style = "style='#{style_top} ; #{style_bottom}'"
		if example == ""
			text += "<td #{style} colspan='2' class='CellIndic #{bg}'>#{desc}</td></tr>"	
		else	
			lex = example.split(';').join(" or ")
			text += "<td #{style} class='CellDesc #{bg}'>#{desc}</td><td #{style} class='CellExample #{bg}'>#{lex}</td></tr>"	
		end	
	end	
	text
end

#HELP_DIALOG: Build the HTML for a section of the Arrow Help
def html_section_arrow(name, lst, bg=nil)
	@col_count = 0 unless @col_count
	@col_count = (@col_count + 1).modulo(2)
	bg = "KBG#{@col_count}" unless bg
	n = lst.length
	text = ""
	lst.each_with_index do |a, i|
		key, desc = a
		style_top = ""
		style_bottom = ""
		text += "<tr>"
		if i == 0
			style_top = "border-top: #{@col_border_key}"
			text += "<td rowspan='#{n}' class='CellSectionKey #{bg}'>#{name}</td>"
		end	
		style_bottom = "border-bottom: #{@col_border_key}" if i == n-1
		style = "style='#{style_top} ; #{style_bottom}'"
		if key == nil
			text += "<td colspan='2' #{style} class='CellIndicKey #{bg}'>#{desc}</td></tr>"	
		else	
			text += "<td #{style} class='CellKey #{bg}'>#{key}</td><td #{style} class='CellDesc #{bg}'>#{desc}</td></tr>"	
		end	
	end	
	text
end

end	#class VCBKeyHelpDialog

end	#End Module ThruPaint

end	#End Module F6_FredoTools
